# DNSApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**dnsAddGet**](DNSApi.md#dnsAddGet) | **GET** /dns/add | Создание записи домена
[**dnsBindGet**](DNSApi.md#dnsBindGet) | **GET** /dns/bind | Привязка одного домена к другому
[**dnsListGet**](DNSApi.md#dnsListGet) | **GET** /dns/list | Получить список доменных имён
[**dnsProlongListGet**](DNSApi.md#dnsProlongListGet) | **GET** /dns/prolong/list | Информация по продлению доменов
[**dnsRawGet**](DNSApi.md#dnsRawGet) | **GET** /dns/raw | Редактирование \&quot;сырой\&quot; зоны
[**dnsRawManagedmxGet**](DNSApi.md#dnsRawManagedmxGet) | **GET** /dns/raw/managedmx | Редактировать DNS-зону


<a name="dnsAddGet"></a>
# **dnsAddGet**
> String dnsAddGet(token_, addDnsZone, addDnsRecord, iisSiteForDns, bindOnly)

Создание записи домена

### Example
```java
// Import classes:
//import io.swagger.client.ApiException;
//import io.swagger.client.api.DNSApi;


DNSApi apiInstance = new DNSApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
String addDnsZone = "addDnsZone_example"; // String | зона, которую необходимо создать
String addDnsRecord = "addDnsRecord_example"; // String | 
String iisSiteForDns = "iisSiteForDns_example"; // String | ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку
Boolean bindOnly = true; // Boolean | 
try {
    String result = apiInstance.dnsAddGet(token_, addDnsZone, addDnsRecord, iisSiteForDns, bindOnly);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling DNSApi#dnsAddGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |
 **addDnsZone** | **String**| зона, которую необходимо создать |
 **addDnsRecord** | **String**|  | [optional]
 **iisSiteForDns** | **String**| ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку | [optional]
 **bindOnly** | **Boolean**|  | [optional]

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="dnsBindGet"></a>
# **dnsBindGet**
> String dnsBindGet(token_, key_, bindTo)

Привязка одного домена к другому

### Example
```java
// Import classes:
//import io.swagger.client.ApiException;
//import io.swagger.client.api.DNSApi;


DNSApi apiInstance = new DNSApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
Integer key_ = 56; // Integer | ID домена из списка /dns/list
String bindTo = "bindTo_example"; // String | домен, к которому необходимо сделать привязку
try {
    String result = apiInstance.dnsBindGet(token_, key_, bindTo);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling DNSApi#dnsBindGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |
 **key_** | **Integer**| ID домена из списка /dns/list |
 **bindTo** | **String**| домен, к которому необходимо сделать привязку | [optional]

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="dnsListGet"></a>
# **dnsListGet**
> List&lt;InlineResponse2003&gt; dnsListGet(token_)

Получить список доменных имён

### Example
```java
// Import classes:
//import io.swagger.client.ApiException;
//import io.swagger.client.api.DNSApi;


DNSApi apiInstance = new DNSApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
try {
    List<InlineResponse2003> result = apiInstance.dnsListGet(token_);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling DNSApi#dnsListGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |

### Return type

[**List&lt;InlineResponse2003&gt;**](InlineResponse2003.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="dnsProlongListGet"></a>
# **dnsProlongListGet**
> List&lt;InlineResponse2004&gt; dnsProlongListGet(token_)

Информация по продлению доменов

### Example
```java
// Import classes:
//import io.swagger.client.ApiException;
//import io.swagger.client.api.DNSApi;


DNSApi apiInstance = new DNSApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
try {
    List<InlineResponse2004> result = apiInstance.dnsProlongListGet(token_);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling DNSApi#dnsProlongListGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |

### Return type

[**List&lt;InlineResponse2004&gt;**](InlineResponse2004.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="dnsRawGet"></a>
# **dnsRawGet**
> String dnsRawGet(token_, key_, sDel, sAdd, dnsType, dnsName, dnsValue)

Редактирование \&quot;сырой\&quot; зоны

### Example
```java
// Import classes:
//import io.swagger.client.ApiException;
//import io.swagger.client.api.DNSApi;


DNSApi apiInstance = new DNSApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
Integer key_ = 56; // Integer | ID домена из /dns/list
Integer sDel = 56; // Integer | Значение '1' сообщает, что запись необходимо удалить
Integer sAdd = 56; // Integer | Значение '1' сообщает, что запись необходимо создать
String dnsType = "dnsType_example"; // String | Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV
String dnsName = "dnsName_example"; // String | Имя записи, либо '@' для корневой
String dnsValue = "dnsValue_example"; // String | Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение)
try {
    String result = apiInstance.dnsRawGet(token_, key_, sDel, sAdd, dnsType, dnsName, dnsValue);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling DNSApi#dnsRawGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |
 **key_** | **Integer**| ID домена из /dns/list |
 **sDel** | **Integer**| Значение &#39;1&#39; сообщает, что запись необходимо удалить |
 **sAdd** | **Integer**| Значение &#39;1&#39; сообщает, что запись необходимо создать |
 **dnsType** | **String**| Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV |
 **dnsName** | **String**| Имя записи, либо &#39;@&#39; для корневой |
 **dnsValue** | **String**| Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение) |

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="dnsRawManagedmxGet"></a>
# **dnsRawManagedmxGet**
> String dnsRawManagedmxGet(token_, key_, managedMx, updManagedMx)

Редактировать DNS-зону

### Example
```java
// Import classes:
//import io.swagger.client.ApiException;
//import io.swagger.client.api.DNSApi;


DNSApi apiInstance = new DNSApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
Integer key_ = 56; // Integer | ID домена из /dns/list
Integer managedMx = 56; // Integer | Значение '1', если необходимо включить поддержку на MX-серверах хостинга и '0', если выключить
Integer updManagedMx = 56; // Integer | Значение '1' подтверждает операцию
try {
    String result = apiInstance.dnsRawManagedmxGet(token_, key_, managedMx, updManagedMx);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling DNSApi#dnsRawManagedmxGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |
 **key_** | **Integer**| ID домена из /dns/list |
 **managedMx** | **Integer**| Значение &#39;1&#39;, если необходимо включить поддержку на MX-серверах хостинга и &#39;0&#39;, если выключить |
 **updManagedMx** | **Integer**| Значение &#39;1&#39; подтверждает операцию |

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

