# VDSHyperVOpenVZApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**vdsCreateGet**](VDSHyperVOpenVZApi.md#vdsCreateGet) | **GET** /vds/create | Изменение параметров VDS
[**vdsDeleteGet**](VDSHyperVOpenVZApi.md#vdsDeleteGet) | **GET** /vds/delete | Удаление VDS
[**vdsIpAddGet**](VDSHyperVOpenVZApi.md#vdsIpAddGet) | **GET** /vds/ip/add | Добавление IP на VDS
[**vdsIpDeleteGet**](VDSHyperVOpenVZApi.md#vdsIpDeleteGet) | **GET** /vds/ip/delete | Удаление IP с VDS
[**vdsIpListGet**](VDSHyperVOpenVZApi.md#vdsIpListGet) | **GET** /vds/ip/list | Список IP-адресов виртуальных серверов
[**vdsListGet**](VDSHyperVOpenVZApi.md#vdsListGet) | **GET** /vds/list | Список виртуальных серверов
[**vdsRebootGet**](VDSHyperVOpenVZApi.md#vdsRebootGet) | **GET** /vds/reboot | Перезагрузка VDS
[**vdsTemplatesListGet**](VDSHyperVOpenVZApi.md#vdsTemplatesListGet) | **GET** /vds/templates-list | Список шаблонов виртуальных серверов
[**vdsUpdateGet**](VDSHyperVOpenVZApi.md#vdsUpdateGet) | **GET** /vds/update | Создание VDS


<a name="vdsCreateGet"></a>
# **vdsCreateGet**
> String vdsCreateGet(token_, type, crHvmem, crHvdsk, crHvcpu, template, forceMemo, hv1gbPanelVersion, panelInstall, crSsd1, crHvAllSystem)

Изменение параметров VDS

Изменение параметров уже существующего VDS

### Example
```java
// Import classes:
//import io.swagger.client.ApiException;
//import io.swagger.client.api.VDSHyperVOpenVZApi;


VDSHyperVOpenVZApi apiInstance = new VDSHyperVOpenVZApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
String type = "type_example"; // String | Тип создаваемого VDS. 'vz1', 'vz2', 'vz3', 'vz4', 'vz5' или 'vds.dynamic'. По умолчанию 'vds.dynamic'
Integer crHvmem = 56; // Integer | Количество доступной памяти в мегабайтах. По умолчанию 2048
Integer crHvdsk = 56; // Integer | Количество доступных гигабайт диска. По умолчанию 30
Integer crHvcpu = 56; // Integer | Количество ядер CPU. По умолчанию 2
String template = "template_example"; // String | Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list
String forceMemo = "forceMemo_example"; // String | 
String hv1gbPanelVersion = "hv1gbPanelVersion_example"; // String | 
Boolean panelInstall = true; // Boolean | Необходимо ли установить панель 1Gb на VDS
Boolean crSsd1 = true; // Boolean | Создать всю систему на SSD
Boolean crHvAllSystem = true; // Boolean | Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными)
try {
    String result = apiInstance.vdsCreateGet(token_, type, crHvmem, crHvdsk, crHvcpu, template, forceMemo, hv1gbPanelVersion, panelInstall, crSsd1, crHvAllSystem);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling VDSHyperVOpenVZApi#vdsCreateGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |
 **type** | **String**| Тип создаваемого VDS. &#39;vz1&#39;, &#39;vz2&#39;, &#39;vz3&#39;, &#39;vz4&#39;, &#39;vz5&#39; или &#39;vds.dynamic&#39;. По умолчанию &#39;vds.dynamic&#39; | [optional]
 **crHvmem** | **Integer**| Количество доступной памяти в мегабайтах. По умолчанию 2048 | [optional]
 **crHvdsk** | **Integer**| Количество доступных гигабайт диска. По умолчанию 30 | [optional]
 **crHvcpu** | **Integer**| Количество ядер CPU. По умолчанию 2 | [optional]
 **template** | **String**| Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list | [optional]
 **forceMemo** | **String**|  | [optional]
 **hv1gbPanelVersion** | **String**|  | [optional]
 **panelInstall** | **Boolean**| Необходимо ли установить панель 1Gb на VDS | [optional]
 **crSsd1** | **Boolean**| Создать всю систему на SSD | [optional]
 **crHvAllSystem** | **Boolean**| Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными) | [optional]

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="vdsDeleteGet"></a>
# **vdsDeleteGet**
> String vdsDeleteGet(token_, key_, forceCritical)

Удаление VDS

Предоставляет функционал для удаления VDS

### Example
```java
// Import classes:
//import io.swagger.client.ApiException;
//import io.swagger.client.api.VDSHyperVOpenVZApi;


VDSHyperVOpenVZApi apiInstance = new VDSHyperVOpenVZApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
Integer key_ = 56; // Integer | ID виртуального сервера, полученный из /vds/list
Boolean forceCritical = true; // Boolean | Если true, VDS будет удален срочно
try {
    String result = apiInstance.vdsDeleteGet(token_, key_, forceCritical);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling VDSHyperVOpenVZApi#vdsDeleteGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |
 **key_** | **Integer**| ID виртуального сервера, полученный из /vds/list |
 **forceCritical** | **Boolean**| Если true, VDS будет удален срочно | [optional]

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="vdsIpAddGet"></a>
# **vdsIpAddGet**
> String vdsIpAddGet(token_, key_)

Добавление IP на VDS

Этот вызов позволяет добавить ещё один IP адрес на указанный VDS

### Example
```java
// Import classes:
//import io.swagger.client.ApiException;
//import io.swagger.client.api.VDSHyperVOpenVZApi;


VDSHyperVOpenVZApi apiInstance = new VDSHyperVOpenVZApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
Integer key_ = 56; // Integer | ID виртуального сервера, полученный из /vds/list
try {
    String result = apiInstance.vdsIpAddGet(token_, key_);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling VDSHyperVOpenVZApi#vdsIpAddGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |
 **key_** | **Integer**| ID виртуального сервера, полученный из /vds/list |

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="vdsIpDeleteGet"></a>
# **vdsIpDeleteGet**
> String vdsIpDeleteGet(token_, key_, delIp)

Удаление IP с VDS

Этот вызов позволяет отвязать IP адрес от VDS

### Example
```java
// Import classes:
//import io.swagger.client.ApiException;
//import io.swagger.client.api.VDSHyperVOpenVZApi;


VDSHyperVOpenVZApi apiInstance = new VDSHyperVOpenVZApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
Integer key_ = 56; // Integer | ID виртуального сервера, полученный из /vds/list
String delIp = "delIp_example"; // String | IP адрес, который необходимо удалить
try {
    String result = apiInstance.vdsIpDeleteGet(token_, key_, delIp);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling VDSHyperVOpenVZApi#vdsIpDeleteGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |
 **key_** | **Integer**| ID виртуального сервера, полученный из /vds/list |
 **delIp** | **String**| IP адрес, который необходимо удалить |

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="vdsIpListGet"></a>
# **vdsIpListGet**
> List&lt;InlineResponse20011&gt; vdsIpListGet(token_, key_)

Список IP-адресов виртуальных серверов

Список IP-адресов виртуальных серверов

### Example
```java
// Import classes:
//import io.swagger.client.ApiException;
//import io.swagger.client.api.VDSHyperVOpenVZApi;


VDSHyperVOpenVZApi apiInstance = new VDSHyperVOpenVZApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
Integer key_ = 56; // Integer | ID виртуального сервера, полученный из /vds/list
try {
    List<InlineResponse20011> result = apiInstance.vdsIpListGet(token_, key_);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling VDSHyperVOpenVZApi#vdsIpListGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |
 **key_** | **Integer**| ID виртуального сервера, полученный из /vds/list | [optional]

### Return type

[**List&lt;InlineResponse20011&gt;**](InlineResponse20011.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="vdsListGet"></a>
# **vdsListGet**
> List&lt;InlineResponse20012&gt; vdsListGet(token_, key_)

Список виртуальных серверов

Позволяет получить список виртуальных серверов

### Example
```java
// Import classes:
//import io.swagger.client.ApiException;
//import io.swagger.client.api.VDSHyperVOpenVZApi;


VDSHyperVOpenVZApi apiInstance = new VDSHyperVOpenVZApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
Integer key_ = 56; // Integer | ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS
try {
    List<InlineResponse20012> result = apiInstance.vdsListGet(token_, key_);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling VDSHyperVOpenVZApi#vdsListGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |
 **key_** | **Integer**| ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS | [optional]

### Return type

[**List&lt;InlineResponse20012&gt;**](InlineResponse20012.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="vdsRebootGet"></a>
# **vdsRebootGet**
> String vdsRebootGet(token_, key_)

Перезагрузка VDS

Предоставляет функционал для перезагрузки VDS

### Example
```java
// Import classes:
//import io.swagger.client.ApiException;
//import io.swagger.client.api.VDSHyperVOpenVZApi;


VDSHyperVOpenVZApi apiInstance = new VDSHyperVOpenVZApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
Integer key_ = 56; // Integer | ID виртуального сервера, полученный из /vds/list
try {
    String result = apiInstance.vdsRebootGet(token_, key_);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling VDSHyperVOpenVZApi#vdsRebootGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |
 **key_** | **Integer**| ID виртуального сервера, полученный из /vds/list |

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="vdsTemplatesListGet"></a>
# **vdsTemplatesListGet**
> List&lt;InlineResponse20013&gt; vdsTemplatesListGet(token_)

Список шаблонов виртуальных серверов

Позволяет получить список шаблонов виртуальных серверов

### Example
```java
// Import classes:
//import io.swagger.client.ApiException;
//import io.swagger.client.api.VDSHyperVOpenVZApi;


VDSHyperVOpenVZApi apiInstance = new VDSHyperVOpenVZApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
try {
    List<InlineResponse20013> result = apiInstance.vdsTemplatesListGet(token_);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling VDSHyperVOpenVZApi#vdsTemplatesListGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |

### Return type

[**List&lt;InlineResponse20013&gt;**](InlineResponse20013.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="vdsUpdateGet"></a>
# **vdsUpdateGet**
> String vdsUpdateGet(token_, key_, crHvmem, crHvdsk, crHvcpu)

Создание VDS

Создание новых VDS с произвольными характеристиками

### Example
```java
// Import classes:
//import io.swagger.client.ApiException;
//import io.swagger.client.api.VDSHyperVOpenVZApi;


VDSHyperVOpenVZApi apiInstance = new VDSHyperVOpenVZApi();
String token_ = "token__example"; // String | Ключ доступа, полученный при авторизации
Integer key_ = 56; // Integer | ID виртуального сервера, полученный из /vds/list
Integer crHvmem = 56; // Integer | Количество доступной памяти в мегабайтах. По умолчанию 2048
Integer crHvdsk = 56; // Integer | Количество доступных гигабайт диска. По умолчанию 30
Integer crHvcpu = 56; // Integer | Количество ядер CPU. По умолчанию 2
try {
    String result = apiInstance.vdsUpdateGet(token_, key_, crHvmem, crHvdsk, crHvcpu);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling VDSHyperVOpenVZApi#vdsUpdateGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **String**| Ключ доступа, полученный при авторизации |
 **key_** | **Integer**| ID виртуального сервера, полученный из /vds/list |
 **crHvmem** | **Integer**| Количество доступной памяти в мегабайтах. По умолчанию 2048 | [optional]
 **crHvdsk** | **Integer**| Количество доступных гигабайт диска. По умолчанию 30 | [optional]
 **crHvcpu** | **Integer**| Количество ядер CPU. По умолчанию 2 | [optional]

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

