/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package io.swagger.client.api;

import io.swagger.client.ApiCallback;
import io.swagger.client.ApiClient;
import io.swagger.client.ApiException;
import io.swagger.client.ApiResponse;
import io.swagger.client.Configuration;
import io.swagger.client.Pair;
import io.swagger.client.ProgressRequestBody;
import io.swagger.client.ProgressResponseBody;

import com.google.gson.reflect.TypeToken;

import java.io.IOException;

import io.swagger.client.model.InlineResponse2003;
import io.swagger.client.model.InlineResponse2004;

import java.lang.reflect.Type;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class DNSApi {
    private ApiClient apiClient;

    public DNSApi() {
        this(Configuration.getDefaultApiClient());
    }

    public DNSApi(ApiClient apiClient) {
        this.apiClient = apiClient;
    }

    public ApiClient getApiClient() {
        return apiClient;
    }

    public void setApiClient(ApiClient apiClient) {
        this.apiClient = apiClient;
    }

    /* Build call for dnsAddGet */
    private com.squareup.okhttp.Call dnsAddGetCall(String token_, String addDnsZone, String addDnsRecord, String iisSiteForDns, Boolean bindOnly, final ProgressResponseBody.ProgressListener progressListener, final ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException {
        Object localVarPostBody = null;
        
        // verify the required parameter 'token_' is set
        if (token_ == null) {
            throw new ApiException("Missing the required parameter 'token_' when calling dnsAddGet(Async)");
        }
        
        // verify the required parameter 'addDnsZone' is set
        if (addDnsZone == null) {
            throw new ApiException("Missing the required parameter 'addDnsZone' when calling dnsAddGet(Async)");
        }
        

        // create path and map variables
        String localVarPath = "/dns/add".replaceAll("\\{format\\}","json");

        List<Pair> localVarQueryParams = new ArrayList<Pair>();
        if (token_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_token_", token_));
        if (addDnsZone != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "add_dns_zone", addDnsZone));
        if (addDnsRecord != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "add_dns_record", addDnsRecord));
        if (iisSiteForDns != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "iis_site_for_dns", iisSiteForDns));
        if (bindOnly != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "bind_only", bindOnly));

        Map<String, String> localVarHeaderParams = new HashMap<String, String>();

        Map<String, Object> localVarFormParams = new HashMap<String, Object>();

        final String[] localVarAccepts = {
            "application/json"
        };
        final String localVarAccept = apiClient.selectHeaderAccept(localVarAccepts);
        if (localVarAccept != null) localVarHeaderParams.put("Accept", localVarAccept);

        final String[] localVarContentTypes = {
            "application/json"
        };
        final String localVarContentType = apiClient.selectHeaderContentType(localVarContentTypes);
        localVarHeaderParams.put("Content-Type", localVarContentType);

        if(progressListener != null) {
            apiClient.getHttpClient().networkInterceptors().add(new com.squareup.okhttp.Interceptor() {
                @Override
                public com.squareup.okhttp.Response intercept(com.squareup.okhttp.Interceptor.Chain chain) throws IOException {
                    com.squareup.okhttp.Response originalResponse = chain.proceed(chain.request());
                    return originalResponse.newBuilder()
                    .body(new ProgressResponseBody(originalResponse.body(), progressListener))
                    .build();
                }
            });
        }

        String[] localVarAuthNames = new String[] {  };
        return apiClient.buildCall(localVarPath, "GET", localVarQueryParams, localVarPostBody, localVarHeaderParams, localVarFormParams, localVarAuthNames, progressRequestListener);
    }

    /**
     * Создание записи домена
     * 
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param addDnsZone зона, которую необходимо создать (required)
     * @param addDnsRecord  (optional)
     * @param iisSiteForDns ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку (optional)
     * @param bindOnly  (optional)
     * @return String
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public String dnsAddGet(String token_, String addDnsZone, String addDnsRecord, String iisSiteForDns, Boolean bindOnly) throws ApiException {
        ApiResponse<String> resp = dnsAddGetWithHttpInfo(token_, addDnsZone, addDnsRecord, iisSiteForDns, bindOnly);
        return resp.getData();
    }

    /**
     * Создание записи домена
     * 
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param addDnsZone зона, которую необходимо создать (required)
     * @param addDnsRecord  (optional)
     * @param iisSiteForDns ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку (optional)
     * @param bindOnly  (optional)
     * @return ApiResponse&lt;String&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public ApiResponse<String> dnsAddGetWithHttpInfo(String token_, String addDnsZone, String addDnsRecord, String iisSiteForDns, Boolean bindOnly) throws ApiException {
        com.squareup.okhttp.Call call = dnsAddGetCall(token_, addDnsZone, addDnsRecord, iisSiteForDns, bindOnly, null, null);
        Type localVarReturnType = new TypeToken<String>(){}.getType();
        return apiClient.execute(call, localVarReturnType);
    }

    /**
     * Создание записи домена (asynchronously)
     * 
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param addDnsZone зона, которую необходимо создать (required)
     * @param addDnsRecord  (optional)
     * @param iisSiteForDns ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку (optional)
     * @param bindOnly  (optional)
     * @param callback The callback to be executed when the API call finishes
     * @return The request call
     * @throws ApiException If fail to process the API call, e.g. serializing the request body object
     */
    public com.squareup.okhttp.Call dnsAddGetAsync(String token_, String addDnsZone, String addDnsRecord, String iisSiteForDns, Boolean bindOnly, final ApiCallback<String> callback) throws ApiException {

        ProgressResponseBody.ProgressListener progressListener = null;
        ProgressRequestBody.ProgressRequestListener progressRequestListener = null;

        if (callback != null) {
            progressListener = new ProgressResponseBody.ProgressListener() {
                @Override
                public void update(long bytesRead, long contentLength, boolean done) {
                    callback.onDownloadProgress(bytesRead, contentLength, done);
                }
            };

            progressRequestListener = new ProgressRequestBody.ProgressRequestListener() {
                @Override
                public void onRequestProgress(long bytesWritten, long contentLength, boolean done) {
                    callback.onUploadProgress(bytesWritten, contentLength, done);
                }
            };
        }

        com.squareup.okhttp.Call call = dnsAddGetCall(token_, addDnsZone, addDnsRecord, iisSiteForDns, bindOnly, progressListener, progressRequestListener);
        Type localVarReturnType = new TypeToken<String>(){}.getType();
        apiClient.executeAsync(call, localVarReturnType, callback);
        return call;
    }
    /* Build call for dnsBindGet */
    private com.squareup.okhttp.Call dnsBindGetCall(String token_, Integer key_, String bindTo, final ProgressResponseBody.ProgressListener progressListener, final ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException {
        Object localVarPostBody = null;
        
        // verify the required parameter 'token_' is set
        if (token_ == null) {
            throw new ApiException("Missing the required parameter 'token_' when calling dnsBindGet(Async)");
        }
        
        // verify the required parameter 'key_' is set
        if (key_ == null) {
            throw new ApiException("Missing the required parameter 'key_' when calling dnsBindGet(Async)");
        }
        

        // create path and map variables
        String localVarPath = "/dns/bind".replaceAll("\\{format\\}","json");

        List<Pair> localVarQueryParams = new ArrayList<Pair>();
        if (token_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_token_", token_));
        if (key_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_key_", key_));
        if (bindTo != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "bind_to", bindTo));

        Map<String, String> localVarHeaderParams = new HashMap<String, String>();

        Map<String, Object> localVarFormParams = new HashMap<String, Object>();

        final String[] localVarAccepts = {
            "application/json"
        };
        final String localVarAccept = apiClient.selectHeaderAccept(localVarAccepts);
        if (localVarAccept != null) localVarHeaderParams.put("Accept", localVarAccept);

        final String[] localVarContentTypes = {
            "application/json"
        };
        final String localVarContentType = apiClient.selectHeaderContentType(localVarContentTypes);
        localVarHeaderParams.put("Content-Type", localVarContentType);

        if(progressListener != null) {
            apiClient.getHttpClient().networkInterceptors().add(new com.squareup.okhttp.Interceptor() {
                @Override
                public com.squareup.okhttp.Response intercept(com.squareup.okhttp.Interceptor.Chain chain) throws IOException {
                    com.squareup.okhttp.Response originalResponse = chain.proceed(chain.request());
                    return originalResponse.newBuilder()
                    .body(new ProgressResponseBody(originalResponse.body(), progressListener))
                    .build();
                }
            });
        }

        String[] localVarAuthNames = new String[] {  };
        return apiClient.buildCall(localVarPath, "GET", localVarQueryParams, localVarPostBody, localVarHeaderParams, localVarFormParams, localVarAuthNames, progressRequestListener);
    }

    /**
     * Привязка одного домена к другому
     * 
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID домена из списка /dns/list (required)
     * @param bindTo домен, к которому необходимо сделать привязку (optional)
     * @return String
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public String dnsBindGet(String token_, Integer key_, String bindTo) throws ApiException {
        ApiResponse<String> resp = dnsBindGetWithHttpInfo(token_, key_, bindTo);
        return resp.getData();
    }

    /**
     * Привязка одного домена к другому
     * 
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID домена из списка /dns/list (required)
     * @param bindTo домен, к которому необходимо сделать привязку (optional)
     * @return ApiResponse&lt;String&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public ApiResponse<String> dnsBindGetWithHttpInfo(String token_, Integer key_, String bindTo) throws ApiException {
        com.squareup.okhttp.Call call = dnsBindGetCall(token_, key_, bindTo, null, null);
        Type localVarReturnType = new TypeToken<String>(){}.getType();
        return apiClient.execute(call, localVarReturnType);
    }

    /**
     * Привязка одного домена к другому (asynchronously)
     * 
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID домена из списка /dns/list (required)
     * @param bindTo домен, к которому необходимо сделать привязку (optional)
     * @param callback The callback to be executed when the API call finishes
     * @return The request call
     * @throws ApiException If fail to process the API call, e.g. serializing the request body object
     */
    public com.squareup.okhttp.Call dnsBindGetAsync(String token_, Integer key_, String bindTo, final ApiCallback<String> callback) throws ApiException {

        ProgressResponseBody.ProgressListener progressListener = null;
        ProgressRequestBody.ProgressRequestListener progressRequestListener = null;

        if (callback != null) {
            progressListener = new ProgressResponseBody.ProgressListener() {
                @Override
                public void update(long bytesRead, long contentLength, boolean done) {
                    callback.onDownloadProgress(bytesRead, contentLength, done);
                }
            };

            progressRequestListener = new ProgressRequestBody.ProgressRequestListener() {
                @Override
                public void onRequestProgress(long bytesWritten, long contentLength, boolean done) {
                    callback.onUploadProgress(bytesWritten, contentLength, done);
                }
            };
        }

        com.squareup.okhttp.Call call = dnsBindGetCall(token_, key_, bindTo, progressListener, progressRequestListener);
        Type localVarReturnType = new TypeToken<String>(){}.getType();
        apiClient.executeAsync(call, localVarReturnType, callback);
        return call;
    }
    /* Build call for dnsListGet */
    private com.squareup.okhttp.Call dnsListGetCall(String token_, final ProgressResponseBody.ProgressListener progressListener, final ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException {
        Object localVarPostBody = null;
        
        // verify the required parameter 'token_' is set
        if (token_ == null) {
            throw new ApiException("Missing the required parameter 'token_' when calling dnsListGet(Async)");
        }
        

        // create path and map variables
        String localVarPath = "/dns/list".replaceAll("\\{format\\}","json");

        List<Pair> localVarQueryParams = new ArrayList<Pair>();
        if (token_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_token_", token_));

        Map<String, String> localVarHeaderParams = new HashMap<String, String>();

        Map<String, Object> localVarFormParams = new HashMap<String, Object>();

        final String[] localVarAccepts = {
            "application/json"
        };
        final String localVarAccept = apiClient.selectHeaderAccept(localVarAccepts);
        if (localVarAccept != null) localVarHeaderParams.put("Accept", localVarAccept);

        final String[] localVarContentTypes = {
            "application/json"
        };
        final String localVarContentType = apiClient.selectHeaderContentType(localVarContentTypes);
        localVarHeaderParams.put("Content-Type", localVarContentType);

        if(progressListener != null) {
            apiClient.getHttpClient().networkInterceptors().add(new com.squareup.okhttp.Interceptor() {
                @Override
                public com.squareup.okhttp.Response intercept(com.squareup.okhttp.Interceptor.Chain chain) throws IOException {
                    com.squareup.okhttp.Response originalResponse = chain.proceed(chain.request());
                    return originalResponse.newBuilder()
                    .body(new ProgressResponseBody(originalResponse.body(), progressListener))
                    .build();
                }
            });
        }

        String[] localVarAuthNames = new String[] {  };
        return apiClient.buildCall(localVarPath, "GET", localVarQueryParams, localVarPostBody, localVarHeaderParams, localVarFormParams, localVarAuthNames, progressRequestListener);
    }

    /**
     * Получить список доменных имён
     * 
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @return List&lt;InlineResponse2003&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public List<InlineResponse2003> dnsListGet(String token_) throws ApiException {
        ApiResponse<List<InlineResponse2003>> resp = dnsListGetWithHttpInfo(token_);
        return resp.getData();
    }

    /**
     * Получить список доменных имён
     * 
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @return ApiResponse&lt;List&lt;InlineResponse2003&gt;&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public ApiResponse<List<InlineResponse2003>> dnsListGetWithHttpInfo(String token_) throws ApiException {
        com.squareup.okhttp.Call call = dnsListGetCall(token_, null, null);
        Type localVarReturnType = new TypeToken<List<InlineResponse2003>>(){}.getType();
        return apiClient.execute(call, localVarReturnType);
    }

    /**
     * Получить список доменных имён (asynchronously)
     * 
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param callback The callback to be executed when the API call finishes
     * @return The request call
     * @throws ApiException If fail to process the API call, e.g. serializing the request body object
     */
    public com.squareup.okhttp.Call dnsListGetAsync(String token_, final ApiCallback<List<InlineResponse2003>> callback) throws ApiException {

        ProgressResponseBody.ProgressListener progressListener = null;
        ProgressRequestBody.ProgressRequestListener progressRequestListener = null;

        if (callback != null) {
            progressListener = new ProgressResponseBody.ProgressListener() {
                @Override
                public void update(long bytesRead, long contentLength, boolean done) {
                    callback.onDownloadProgress(bytesRead, contentLength, done);
                }
            };

            progressRequestListener = new ProgressRequestBody.ProgressRequestListener() {
                @Override
                public void onRequestProgress(long bytesWritten, long contentLength, boolean done) {
                    callback.onUploadProgress(bytesWritten, contentLength, done);
                }
            };
        }

        com.squareup.okhttp.Call call = dnsListGetCall(token_, progressListener, progressRequestListener);
        Type localVarReturnType = new TypeToken<List<InlineResponse2003>>(){}.getType();
        apiClient.executeAsync(call, localVarReturnType, callback);
        return call;
    }
    /* Build call for dnsProlongListGet */
    private com.squareup.okhttp.Call dnsProlongListGetCall(String token_, final ProgressResponseBody.ProgressListener progressListener, final ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException {
        Object localVarPostBody = null;
        
        // verify the required parameter 'token_' is set
        if (token_ == null) {
            throw new ApiException("Missing the required parameter 'token_' when calling dnsProlongListGet(Async)");
        }
        

        // create path and map variables
        String localVarPath = "/dns/prolong/list".replaceAll("\\{format\\}","json");

        List<Pair> localVarQueryParams = new ArrayList<Pair>();
        if (token_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_token_", token_));

        Map<String, String> localVarHeaderParams = new HashMap<String, String>();

        Map<String, Object> localVarFormParams = new HashMap<String, Object>();

        final String[] localVarAccepts = {
            "application/json"
        };
        final String localVarAccept = apiClient.selectHeaderAccept(localVarAccepts);
        if (localVarAccept != null) localVarHeaderParams.put("Accept", localVarAccept);

        final String[] localVarContentTypes = {
            "application/json"
        };
        final String localVarContentType = apiClient.selectHeaderContentType(localVarContentTypes);
        localVarHeaderParams.put("Content-Type", localVarContentType);

        if(progressListener != null) {
            apiClient.getHttpClient().networkInterceptors().add(new com.squareup.okhttp.Interceptor() {
                @Override
                public com.squareup.okhttp.Response intercept(com.squareup.okhttp.Interceptor.Chain chain) throws IOException {
                    com.squareup.okhttp.Response originalResponse = chain.proceed(chain.request());
                    return originalResponse.newBuilder()
                    .body(new ProgressResponseBody(originalResponse.body(), progressListener))
                    .build();
                }
            });
        }

        String[] localVarAuthNames = new String[] {  };
        return apiClient.buildCall(localVarPath, "GET", localVarQueryParams, localVarPostBody, localVarHeaderParams, localVarFormParams, localVarAuthNames, progressRequestListener);
    }

    /**
     * Информация по продлению доменов
     * 
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @return List&lt;InlineResponse2004&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public List<InlineResponse2004> dnsProlongListGet(String token_) throws ApiException {
        ApiResponse<List<InlineResponse2004>> resp = dnsProlongListGetWithHttpInfo(token_);
        return resp.getData();
    }

    /**
     * Информация по продлению доменов
     * 
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @return ApiResponse&lt;List&lt;InlineResponse2004&gt;&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public ApiResponse<List<InlineResponse2004>> dnsProlongListGetWithHttpInfo(String token_) throws ApiException {
        com.squareup.okhttp.Call call = dnsProlongListGetCall(token_, null, null);
        Type localVarReturnType = new TypeToken<List<InlineResponse2004>>(){}.getType();
        return apiClient.execute(call, localVarReturnType);
    }

    /**
     * Информация по продлению доменов (asynchronously)
     * 
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param callback The callback to be executed when the API call finishes
     * @return The request call
     * @throws ApiException If fail to process the API call, e.g. serializing the request body object
     */
    public com.squareup.okhttp.Call dnsProlongListGetAsync(String token_, final ApiCallback<List<InlineResponse2004>> callback) throws ApiException {

        ProgressResponseBody.ProgressListener progressListener = null;
        ProgressRequestBody.ProgressRequestListener progressRequestListener = null;

        if (callback != null) {
            progressListener = new ProgressResponseBody.ProgressListener() {
                @Override
                public void update(long bytesRead, long contentLength, boolean done) {
                    callback.onDownloadProgress(bytesRead, contentLength, done);
                }
            };

            progressRequestListener = new ProgressRequestBody.ProgressRequestListener() {
                @Override
                public void onRequestProgress(long bytesWritten, long contentLength, boolean done) {
                    callback.onUploadProgress(bytesWritten, contentLength, done);
                }
            };
        }

        com.squareup.okhttp.Call call = dnsProlongListGetCall(token_, progressListener, progressRequestListener);
        Type localVarReturnType = new TypeToken<List<InlineResponse2004>>(){}.getType();
        apiClient.executeAsync(call, localVarReturnType, callback);
        return call;
    }
    /* Build call for dnsRawGet */
    private com.squareup.okhttp.Call dnsRawGetCall(String token_, Integer key_, Integer sDel, Integer sAdd, String dnsType, String dnsName, String dnsValue, final ProgressResponseBody.ProgressListener progressListener, final ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException {
        Object localVarPostBody = null;
        
        // verify the required parameter 'token_' is set
        if (token_ == null) {
            throw new ApiException("Missing the required parameter 'token_' when calling dnsRawGet(Async)");
        }
        
        // verify the required parameter 'key_' is set
        if (key_ == null) {
            throw new ApiException("Missing the required parameter 'key_' when calling dnsRawGet(Async)");
        }
        
        // verify the required parameter 'sDel' is set
        if (sDel == null) {
            throw new ApiException("Missing the required parameter 'sDel' when calling dnsRawGet(Async)");
        }
        
        // verify the required parameter 'sAdd' is set
        if (sAdd == null) {
            throw new ApiException("Missing the required parameter 'sAdd' when calling dnsRawGet(Async)");
        }
        
        // verify the required parameter 'dnsType' is set
        if (dnsType == null) {
            throw new ApiException("Missing the required parameter 'dnsType' when calling dnsRawGet(Async)");
        }
        
        // verify the required parameter 'dnsName' is set
        if (dnsName == null) {
            throw new ApiException("Missing the required parameter 'dnsName' when calling dnsRawGet(Async)");
        }
        
        // verify the required parameter 'dnsValue' is set
        if (dnsValue == null) {
            throw new ApiException("Missing the required parameter 'dnsValue' when calling dnsRawGet(Async)");
        }
        

        // create path and map variables
        String localVarPath = "/dns/raw".replaceAll("\\{format\\}","json");

        List<Pair> localVarQueryParams = new ArrayList<Pair>();
        if (token_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_token_", token_));
        if (key_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_key_", key_));
        if (sDel != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "s_del", sDel));
        if (sAdd != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "s_add", sAdd));
        if (dnsType != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "dns_type", dnsType));
        if (dnsName != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "dns_name", dnsName));
        if (dnsValue != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "dns_value", dnsValue));

        Map<String, String> localVarHeaderParams = new HashMap<String, String>();

        Map<String, Object> localVarFormParams = new HashMap<String, Object>();

        final String[] localVarAccepts = {
            "application/json"
        };
        final String localVarAccept = apiClient.selectHeaderAccept(localVarAccepts);
        if (localVarAccept != null) localVarHeaderParams.put("Accept", localVarAccept);

        final String[] localVarContentTypes = {
            "application/json"
        };
        final String localVarContentType = apiClient.selectHeaderContentType(localVarContentTypes);
        localVarHeaderParams.put("Content-Type", localVarContentType);

        if(progressListener != null) {
            apiClient.getHttpClient().networkInterceptors().add(new com.squareup.okhttp.Interceptor() {
                @Override
                public com.squareup.okhttp.Response intercept(com.squareup.okhttp.Interceptor.Chain chain) throws IOException {
                    com.squareup.okhttp.Response originalResponse = chain.proceed(chain.request());
                    return originalResponse.newBuilder()
                    .body(new ProgressResponseBody(originalResponse.body(), progressListener))
                    .build();
                }
            });
        }

        String[] localVarAuthNames = new String[] {  };
        return apiClient.buildCall(localVarPath, "GET", localVarQueryParams, localVarPostBody, localVarHeaderParams, localVarFormParams, localVarAuthNames, progressRequestListener);
    }

    /**
     * Редактирование \&quot;сырой\&quot; зоны
     * 
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID домена из /dns/list (required)
     * @param sDel Значение &#39;1&#39; сообщает, что запись необходимо удалить (required)
     * @param sAdd Значение &#39;1&#39; сообщает, что запись необходимо создать (required)
     * @param dnsType Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV (required)
     * @param dnsName Имя записи, либо &#39;@&#39; для корневой (required)
     * @param dnsValue Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение) (required)
     * @return String
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public String dnsRawGet(String token_, Integer key_, Integer sDel, Integer sAdd, String dnsType, String dnsName, String dnsValue) throws ApiException {
        ApiResponse<String> resp = dnsRawGetWithHttpInfo(token_, key_, sDel, sAdd, dnsType, dnsName, dnsValue);
        return resp.getData();
    }

    /**
     * Редактирование \&quot;сырой\&quot; зоны
     * 
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID домена из /dns/list (required)
     * @param sDel Значение &#39;1&#39; сообщает, что запись необходимо удалить (required)
     * @param sAdd Значение &#39;1&#39; сообщает, что запись необходимо создать (required)
     * @param dnsType Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV (required)
     * @param dnsName Имя записи, либо &#39;@&#39; для корневой (required)
     * @param dnsValue Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение) (required)
     * @return ApiResponse&lt;String&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public ApiResponse<String> dnsRawGetWithHttpInfo(String token_, Integer key_, Integer sDel, Integer sAdd, String dnsType, String dnsName, String dnsValue) throws ApiException {
        com.squareup.okhttp.Call call = dnsRawGetCall(token_, key_, sDel, sAdd, dnsType, dnsName, dnsValue, null, null);
        Type localVarReturnType = new TypeToken<String>(){}.getType();
        return apiClient.execute(call, localVarReturnType);
    }

    /**
     * Редактирование \&quot;сырой\&quot; зоны (asynchronously)
     * 
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID домена из /dns/list (required)
     * @param sDel Значение &#39;1&#39; сообщает, что запись необходимо удалить (required)
     * @param sAdd Значение &#39;1&#39; сообщает, что запись необходимо создать (required)
     * @param dnsType Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV (required)
     * @param dnsName Имя записи, либо &#39;@&#39; для корневой (required)
     * @param dnsValue Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение) (required)
     * @param callback The callback to be executed when the API call finishes
     * @return The request call
     * @throws ApiException If fail to process the API call, e.g. serializing the request body object
     */
    public com.squareup.okhttp.Call dnsRawGetAsync(String token_, Integer key_, Integer sDel, Integer sAdd, String dnsType, String dnsName, String dnsValue, final ApiCallback<String> callback) throws ApiException {

        ProgressResponseBody.ProgressListener progressListener = null;
        ProgressRequestBody.ProgressRequestListener progressRequestListener = null;

        if (callback != null) {
            progressListener = new ProgressResponseBody.ProgressListener() {
                @Override
                public void update(long bytesRead, long contentLength, boolean done) {
                    callback.onDownloadProgress(bytesRead, contentLength, done);
                }
            };

            progressRequestListener = new ProgressRequestBody.ProgressRequestListener() {
                @Override
                public void onRequestProgress(long bytesWritten, long contentLength, boolean done) {
                    callback.onUploadProgress(bytesWritten, contentLength, done);
                }
            };
        }

        com.squareup.okhttp.Call call = dnsRawGetCall(token_, key_, sDel, sAdd, dnsType, dnsName, dnsValue, progressListener, progressRequestListener);
        Type localVarReturnType = new TypeToken<String>(){}.getType();
        apiClient.executeAsync(call, localVarReturnType, callback);
        return call;
    }
    /* Build call for dnsRawManagedmxGet */
    private com.squareup.okhttp.Call dnsRawManagedmxGetCall(String token_, Integer key_, Integer managedMx, Integer updManagedMx, final ProgressResponseBody.ProgressListener progressListener, final ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException {
        Object localVarPostBody = null;
        
        // verify the required parameter 'token_' is set
        if (token_ == null) {
            throw new ApiException("Missing the required parameter 'token_' when calling dnsRawManagedmxGet(Async)");
        }
        
        // verify the required parameter 'key_' is set
        if (key_ == null) {
            throw new ApiException("Missing the required parameter 'key_' when calling dnsRawManagedmxGet(Async)");
        }
        
        // verify the required parameter 'managedMx' is set
        if (managedMx == null) {
            throw new ApiException("Missing the required parameter 'managedMx' when calling dnsRawManagedmxGet(Async)");
        }
        
        // verify the required parameter 'updManagedMx' is set
        if (updManagedMx == null) {
            throw new ApiException("Missing the required parameter 'updManagedMx' when calling dnsRawManagedmxGet(Async)");
        }
        

        // create path and map variables
        String localVarPath = "/dns/raw/managedmx".replaceAll("\\{format\\}","json");

        List<Pair> localVarQueryParams = new ArrayList<Pair>();
        if (token_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_token_", token_));
        if (key_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_key_", key_));
        if (managedMx != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "managed_mx", managedMx));
        if (updManagedMx != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "upd_managed_mx", updManagedMx));

        Map<String, String> localVarHeaderParams = new HashMap<String, String>();

        Map<String, Object> localVarFormParams = new HashMap<String, Object>();

        final String[] localVarAccepts = {
            "application/json"
        };
        final String localVarAccept = apiClient.selectHeaderAccept(localVarAccepts);
        if (localVarAccept != null) localVarHeaderParams.put("Accept", localVarAccept);

        final String[] localVarContentTypes = {
            "application/json"
        };
        final String localVarContentType = apiClient.selectHeaderContentType(localVarContentTypes);
        localVarHeaderParams.put("Content-Type", localVarContentType);

        if(progressListener != null) {
            apiClient.getHttpClient().networkInterceptors().add(new com.squareup.okhttp.Interceptor() {
                @Override
                public com.squareup.okhttp.Response intercept(com.squareup.okhttp.Interceptor.Chain chain) throws IOException {
                    com.squareup.okhttp.Response originalResponse = chain.proceed(chain.request());
                    return originalResponse.newBuilder()
                    .body(new ProgressResponseBody(originalResponse.body(), progressListener))
                    .build();
                }
            });
        }

        String[] localVarAuthNames = new String[] {  };
        return apiClient.buildCall(localVarPath, "GET", localVarQueryParams, localVarPostBody, localVarHeaderParams, localVarFormParams, localVarAuthNames, progressRequestListener);
    }

    /**
     * Редактировать DNS-зону
     * 
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID домена из /dns/list (required)
     * @param managedMx Значение &#39;1&#39;, если необходимо включить поддержку на MX-серверах хостинга и &#39;0&#39;, если выключить (required)
     * @param updManagedMx Значение &#39;1&#39; подтверждает операцию (required)
     * @return String
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public String dnsRawManagedmxGet(String token_, Integer key_, Integer managedMx, Integer updManagedMx) throws ApiException {
        ApiResponse<String> resp = dnsRawManagedmxGetWithHttpInfo(token_, key_, managedMx, updManagedMx);
        return resp.getData();
    }

    /**
     * Редактировать DNS-зону
     * 
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID домена из /dns/list (required)
     * @param managedMx Значение &#39;1&#39;, если необходимо включить поддержку на MX-серверах хостинга и &#39;0&#39;, если выключить (required)
     * @param updManagedMx Значение &#39;1&#39; подтверждает операцию (required)
     * @return ApiResponse&lt;String&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public ApiResponse<String> dnsRawManagedmxGetWithHttpInfo(String token_, Integer key_, Integer managedMx, Integer updManagedMx) throws ApiException {
        com.squareup.okhttp.Call call = dnsRawManagedmxGetCall(token_, key_, managedMx, updManagedMx, null, null);
        Type localVarReturnType = new TypeToken<String>(){}.getType();
        return apiClient.execute(call, localVarReturnType);
    }

    /**
     * Редактировать DNS-зону (asynchronously)
     * 
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID домена из /dns/list (required)
     * @param managedMx Значение &#39;1&#39;, если необходимо включить поддержку на MX-серверах хостинга и &#39;0&#39;, если выключить (required)
     * @param updManagedMx Значение &#39;1&#39; подтверждает операцию (required)
     * @param callback The callback to be executed when the API call finishes
     * @return The request call
     * @throws ApiException If fail to process the API call, e.g. serializing the request body object
     */
    public com.squareup.okhttp.Call dnsRawManagedmxGetAsync(String token_, Integer key_, Integer managedMx, Integer updManagedMx, final ApiCallback<String> callback) throws ApiException {

        ProgressResponseBody.ProgressListener progressListener = null;
        ProgressRequestBody.ProgressRequestListener progressRequestListener = null;

        if (callback != null) {
            progressListener = new ProgressResponseBody.ProgressListener() {
                @Override
                public void update(long bytesRead, long contentLength, boolean done) {
                    callback.onDownloadProgress(bytesRead, contentLength, done);
                }
            };

            progressRequestListener = new ProgressRequestBody.ProgressRequestListener() {
                @Override
                public void onRequestProgress(long bytesWritten, long contentLength, boolean done) {
                    callback.onUploadProgress(bytesWritten, contentLength, done);
                }
            };
        }

        com.squareup.okhttp.Call call = dnsRawManagedmxGetCall(token_, key_, managedMx, updManagedMx, progressListener, progressRequestListener);
        Type localVarReturnType = new TypeToken<String>(){}.getType();
        apiClient.executeAsync(call, localVarReturnType, callback);
        return call;
    }
}
