/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package io.swagger.client.api;

import io.swagger.client.ApiCallback;
import io.swagger.client.ApiClient;
import io.swagger.client.ApiException;
import io.swagger.client.ApiResponse;
import io.swagger.client.Configuration;
import io.swagger.client.Pair;
import io.swagger.client.ProgressRequestBody;
import io.swagger.client.ProgressResponseBody;

import com.google.gson.reflect.TypeToken;

import java.io.IOException;

import io.swagger.client.model.InlineResponse2007;

import java.lang.reflect.Type;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class HostingftpAPIApi {
    private ApiClient apiClient;

    public HostingftpAPIApi() {
        this(Configuration.getDefaultApiClient());
    }

    public HostingftpAPIApi(ApiClient apiClient) {
        this.apiClient = apiClient;
    }

    public ApiClient getApiClient() {
        return apiClient;
    }

    public void setApiClient(ApiClient apiClient) {
        this.apiClient = apiClient;
    }

    /* Build call for ftpListGet */
    private com.squareup.okhttp.Call ftpListGetCall(String token_, final ProgressResponseBody.ProgressListener progressListener, final ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException {
        Object localVarPostBody = null;
        
        // verify the required parameter 'token_' is set
        if (token_ == null) {
            throw new ApiException("Missing the required parameter 'token_' when calling ftpListGet(Async)");
        }
        

        // create path and map variables
        String localVarPath = "/ftp/list".replaceAll("\\{format\\}","json");

        List<Pair> localVarQueryParams = new ArrayList<Pair>();
        if (token_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_token_", token_));

        Map<String, String> localVarHeaderParams = new HashMap<String, String>();

        Map<String, Object> localVarFormParams = new HashMap<String, Object>();

        final String[] localVarAccepts = {
            "application/json"
        };
        final String localVarAccept = apiClient.selectHeaderAccept(localVarAccepts);
        if (localVarAccept != null) localVarHeaderParams.put("Accept", localVarAccept);

        final String[] localVarContentTypes = {
            "application/json"
        };
        final String localVarContentType = apiClient.selectHeaderContentType(localVarContentTypes);
        localVarHeaderParams.put("Content-Type", localVarContentType);

        if(progressListener != null) {
            apiClient.getHttpClient().networkInterceptors().add(new com.squareup.okhttp.Interceptor() {
                @Override
                public com.squareup.okhttp.Response intercept(com.squareup.okhttp.Interceptor.Chain chain) throws IOException {
                    com.squareup.okhttp.Response originalResponse = chain.proceed(chain.request());
                    return originalResponse.newBuilder()
                    .body(new ProgressResponseBody(originalResponse.body(), progressListener))
                    .build();
                }
            });
        }

        String[] localVarAuthNames = new String[] {  };
        return apiClient.buildCall(localVarPath, "GET", localVarQueryParams, localVarPostBody, localVarHeaderParams, localVarFormParams, localVarAuthNames, progressRequestListener);
    }

    /**
     * Получить список зарегистрированных аккаунтов FTP
     * 
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @return List&lt;InlineResponse2007&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public List<InlineResponse2007> ftpListGet(String token_) throws ApiException {
        ApiResponse<List<InlineResponse2007>> resp = ftpListGetWithHttpInfo(token_);
        return resp.getData();
    }

    /**
     * Получить список зарегистрированных аккаунтов FTP
     * 
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @return ApiResponse&lt;List&lt;InlineResponse2007&gt;&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public ApiResponse<List<InlineResponse2007>> ftpListGetWithHttpInfo(String token_) throws ApiException {
        com.squareup.okhttp.Call call = ftpListGetCall(token_, null, null);
        Type localVarReturnType = new TypeToken<List<InlineResponse2007>>(){}.getType();
        return apiClient.execute(call, localVarReturnType);
    }

    /**
     * Получить список зарегистрированных аккаунтов FTP (asynchronously)
     * 
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param callback The callback to be executed when the API call finishes
     * @return The request call
     * @throws ApiException If fail to process the API call, e.g. serializing the request body object
     */
    public com.squareup.okhttp.Call ftpListGetAsync(String token_, final ApiCallback<List<InlineResponse2007>> callback) throws ApiException {

        ProgressResponseBody.ProgressListener progressListener = null;
        ProgressRequestBody.ProgressRequestListener progressRequestListener = null;

        if (callback != null) {
            progressListener = new ProgressResponseBody.ProgressListener() {
                @Override
                public void update(long bytesRead, long contentLength, boolean done) {
                    callback.onDownloadProgress(bytesRead, contentLength, done);
                }
            };

            progressRequestListener = new ProgressRequestBody.ProgressRequestListener() {
                @Override
                public void onRequestProgress(long bytesWritten, long contentLength, boolean done) {
                    callback.onUploadProgress(bytesWritten, contentLength, done);
                }
            };
        }

        com.squareup.okhttp.Call call = ftpListGetCall(token_, progressListener, progressRequestListener);
        Type localVarReturnType = new TypeToken<List<InlineResponse2007>>(){}.getType();
        apiClient.executeAsync(call, localVarReturnType, callback);
        return call;
    }
}
