/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package io.swagger.client.api;

import io.swagger.client.ApiCallback;
import io.swagger.client.ApiClient;
import io.swagger.client.ApiException;
import io.swagger.client.ApiResponse;
import io.swagger.client.Configuration;
import io.swagger.client.Pair;
import io.swagger.client.ProgressRequestBody;
import io.swagger.client.ProgressResponseBody;

import com.google.gson.reflect.TypeToken;

import java.io.IOException;

import io.swagger.client.model.InlineResponse20011;
import io.swagger.client.model.InlineResponse20012;
import io.swagger.client.model.InlineResponse20013;

import java.lang.reflect.Type;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class VDSHyperVOpenVZApi {
    private ApiClient apiClient;

    public VDSHyperVOpenVZApi() {
        this(Configuration.getDefaultApiClient());
    }

    public VDSHyperVOpenVZApi(ApiClient apiClient) {
        this.apiClient = apiClient;
    }

    public ApiClient getApiClient() {
        return apiClient;
    }

    public void setApiClient(ApiClient apiClient) {
        this.apiClient = apiClient;
    }

    /* Build call for vdsCreateGet */
    private com.squareup.okhttp.Call vdsCreateGetCall(String token_, String type, Integer crHvmem, Integer crHvdsk, Integer crHvcpu, String template, String forceMemo, String hv1gbPanelVersion, Boolean panelInstall, Boolean crSsd1, Boolean crHvAllSystem, final ProgressResponseBody.ProgressListener progressListener, final ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException {
        Object localVarPostBody = null;
        
        // verify the required parameter 'token_' is set
        if (token_ == null) {
            throw new ApiException("Missing the required parameter 'token_' when calling vdsCreateGet(Async)");
        }
        

        // create path and map variables
        String localVarPath = "/vds/create".replaceAll("\\{format\\}","json");

        List<Pair> localVarQueryParams = new ArrayList<Pair>();
        if (token_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_token_", token_));
        if (type != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "type", type));
        if (crHvmem != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "cr_hvmem", crHvmem));
        if (crHvdsk != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "cr_hvdsk", crHvdsk));
        if (crHvcpu != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "cr_hvcpu", crHvcpu));
        if (template != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "template", template));
        if (forceMemo != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "force_memo", forceMemo));
        if (hv1gbPanelVersion != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "hv_1gb_panel_version", hv1gbPanelVersion));
        if (panelInstall != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "panel_install", panelInstall));
        if (crSsd1 != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "cr_ssd1", crSsd1));
        if (crHvAllSystem != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "cr_hv_all_system", crHvAllSystem));

        Map<String, String> localVarHeaderParams = new HashMap<String, String>();

        Map<String, Object> localVarFormParams = new HashMap<String, Object>();

        final String[] localVarAccepts = {
            "application/json"
        };
        final String localVarAccept = apiClient.selectHeaderAccept(localVarAccepts);
        if (localVarAccept != null) localVarHeaderParams.put("Accept", localVarAccept);

        final String[] localVarContentTypes = {
            "application/json"
        };
        final String localVarContentType = apiClient.selectHeaderContentType(localVarContentTypes);
        localVarHeaderParams.put("Content-Type", localVarContentType);

        if(progressListener != null) {
            apiClient.getHttpClient().networkInterceptors().add(new com.squareup.okhttp.Interceptor() {
                @Override
                public com.squareup.okhttp.Response intercept(com.squareup.okhttp.Interceptor.Chain chain) throws IOException {
                    com.squareup.okhttp.Response originalResponse = chain.proceed(chain.request());
                    return originalResponse.newBuilder()
                    .body(new ProgressResponseBody(originalResponse.body(), progressListener))
                    .build();
                }
            });
        }

        String[] localVarAuthNames = new String[] {  };
        return apiClient.buildCall(localVarPath, "GET", localVarQueryParams, localVarPostBody, localVarHeaderParams, localVarFormParams, localVarAuthNames, progressRequestListener);
    }

    /**
     * Изменение параметров VDS
     * Изменение параметров уже существующего VDS
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param type Тип создаваемого VDS. &#39;vz1&#39;, &#39;vz2&#39;, &#39;vz3&#39;, &#39;vz4&#39;, &#39;vz5&#39; или &#39;vds.dynamic&#39;. По умолчанию &#39;vds.dynamic&#39; (optional)
     * @param crHvmem Количество доступной памяти в мегабайтах. По умолчанию 2048 (optional)
     * @param crHvdsk Количество доступных гигабайт диска. По умолчанию 30 (optional)
     * @param crHvcpu Количество ядер CPU. По умолчанию 2 (optional)
     * @param template Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list (optional)
     * @param forceMemo  (optional)
     * @param hv1gbPanelVersion  (optional)
     * @param panelInstall Необходимо ли установить панель 1Gb на VDS (optional)
     * @param crSsd1 Создать всю систему на SSD (optional)
     * @param crHvAllSystem Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными) (optional)
     * @return String
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public String vdsCreateGet(String token_, String type, Integer crHvmem, Integer crHvdsk, Integer crHvcpu, String template, String forceMemo, String hv1gbPanelVersion, Boolean panelInstall, Boolean crSsd1, Boolean crHvAllSystem) throws ApiException {
        ApiResponse<String> resp = vdsCreateGetWithHttpInfo(token_, type, crHvmem, crHvdsk, crHvcpu, template, forceMemo, hv1gbPanelVersion, panelInstall, crSsd1, crHvAllSystem);
        return resp.getData();
    }

    /**
     * Изменение параметров VDS
     * Изменение параметров уже существующего VDS
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param type Тип создаваемого VDS. &#39;vz1&#39;, &#39;vz2&#39;, &#39;vz3&#39;, &#39;vz4&#39;, &#39;vz5&#39; или &#39;vds.dynamic&#39;. По умолчанию &#39;vds.dynamic&#39; (optional)
     * @param crHvmem Количество доступной памяти в мегабайтах. По умолчанию 2048 (optional)
     * @param crHvdsk Количество доступных гигабайт диска. По умолчанию 30 (optional)
     * @param crHvcpu Количество ядер CPU. По умолчанию 2 (optional)
     * @param template Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list (optional)
     * @param forceMemo  (optional)
     * @param hv1gbPanelVersion  (optional)
     * @param panelInstall Необходимо ли установить панель 1Gb на VDS (optional)
     * @param crSsd1 Создать всю систему на SSD (optional)
     * @param crHvAllSystem Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными) (optional)
     * @return ApiResponse&lt;String&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public ApiResponse<String> vdsCreateGetWithHttpInfo(String token_, String type, Integer crHvmem, Integer crHvdsk, Integer crHvcpu, String template, String forceMemo, String hv1gbPanelVersion, Boolean panelInstall, Boolean crSsd1, Boolean crHvAllSystem) throws ApiException {
        com.squareup.okhttp.Call call = vdsCreateGetCall(token_, type, crHvmem, crHvdsk, crHvcpu, template, forceMemo, hv1gbPanelVersion, panelInstall, crSsd1, crHvAllSystem, null, null);
        Type localVarReturnType = new TypeToken<String>(){}.getType();
        return apiClient.execute(call, localVarReturnType);
    }

    /**
     * Изменение параметров VDS (asynchronously)
     * Изменение параметров уже существующего VDS
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param type Тип создаваемого VDS. &#39;vz1&#39;, &#39;vz2&#39;, &#39;vz3&#39;, &#39;vz4&#39;, &#39;vz5&#39; или &#39;vds.dynamic&#39;. По умолчанию &#39;vds.dynamic&#39; (optional)
     * @param crHvmem Количество доступной памяти в мегабайтах. По умолчанию 2048 (optional)
     * @param crHvdsk Количество доступных гигабайт диска. По умолчанию 30 (optional)
     * @param crHvcpu Количество ядер CPU. По умолчанию 2 (optional)
     * @param template Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list (optional)
     * @param forceMemo  (optional)
     * @param hv1gbPanelVersion  (optional)
     * @param panelInstall Необходимо ли установить панель 1Gb на VDS (optional)
     * @param crSsd1 Создать всю систему на SSD (optional)
     * @param crHvAllSystem Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными) (optional)
     * @param callback The callback to be executed when the API call finishes
     * @return The request call
     * @throws ApiException If fail to process the API call, e.g. serializing the request body object
     */
    public com.squareup.okhttp.Call vdsCreateGetAsync(String token_, String type, Integer crHvmem, Integer crHvdsk, Integer crHvcpu, String template, String forceMemo, String hv1gbPanelVersion, Boolean panelInstall, Boolean crSsd1, Boolean crHvAllSystem, final ApiCallback<String> callback) throws ApiException {

        ProgressResponseBody.ProgressListener progressListener = null;
        ProgressRequestBody.ProgressRequestListener progressRequestListener = null;

        if (callback != null) {
            progressListener = new ProgressResponseBody.ProgressListener() {
                @Override
                public void update(long bytesRead, long contentLength, boolean done) {
                    callback.onDownloadProgress(bytesRead, contentLength, done);
                }
            };

            progressRequestListener = new ProgressRequestBody.ProgressRequestListener() {
                @Override
                public void onRequestProgress(long bytesWritten, long contentLength, boolean done) {
                    callback.onUploadProgress(bytesWritten, contentLength, done);
                }
            };
        }

        com.squareup.okhttp.Call call = vdsCreateGetCall(token_, type, crHvmem, crHvdsk, crHvcpu, template, forceMemo, hv1gbPanelVersion, panelInstall, crSsd1, crHvAllSystem, progressListener, progressRequestListener);
        Type localVarReturnType = new TypeToken<String>(){}.getType();
        apiClient.executeAsync(call, localVarReturnType, callback);
        return call;
    }
    /* Build call for vdsDeleteGet */
    private com.squareup.okhttp.Call vdsDeleteGetCall(String token_, Integer key_, Boolean forceCritical, final ProgressResponseBody.ProgressListener progressListener, final ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException {
        Object localVarPostBody = null;
        
        // verify the required parameter 'token_' is set
        if (token_ == null) {
            throw new ApiException("Missing the required parameter 'token_' when calling vdsDeleteGet(Async)");
        }
        
        // verify the required parameter 'key_' is set
        if (key_ == null) {
            throw new ApiException("Missing the required parameter 'key_' when calling vdsDeleteGet(Async)");
        }
        

        // create path and map variables
        String localVarPath = "/vds/delete".replaceAll("\\{format\\}","json");

        List<Pair> localVarQueryParams = new ArrayList<Pair>();
        if (token_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_token_", token_));
        if (key_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_key_", key_));
        if (forceCritical != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "force_critical", forceCritical));

        Map<String, String> localVarHeaderParams = new HashMap<String, String>();

        Map<String, Object> localVarFormParams = new HashMap<String, Object>();

        final String[] localVarAccepts = {
            "application/json"
        };
        final String localVarAccept = apiClient.selectHeaderAccept(localVarAccepts);
        if (localVarAccept != null) localVarHeaderParams.put("Accept", localVarAccept);

        final String[] localVarContentTypes = {
            "application/json"
        };
        final String localVarContentType = apiClient.selectHeaderContentType(localVarContentTypes);
        localVarHeaderParams.put("Content-Type", localVarContentType);

        if(progressListener != null) {
            apiClient.getHttpClient().networkInterceptors().add(new com.squareup.okhttp.Interceptor() {
                @Override
                public com.squareup.okhttp.Response intercept(com.squareup.okhttp.Interceptor.Chain chain) throws IOException {
                    com.squareup.okhttp.Response originalResponse = chain.proceed(chain.request());
                    return originalResponse.newBuilder()
                    .body(new ProgressResponseBody(originalResponse.body(), progressListener))
                    .build();
                }
            });
        }

        String[] localVarAuthNames = new String[] {  };
        return apiClient.buildCall(localVarPath, "GET", localVarQueryParams, localVarPostBody, localVarHeaderParams, localVarFormParams, localVarAuthNames, progressRequestListener);
    }

    /**
     * Удаление VDS
     * Предоставляет функционал для удаления VDS
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID виртуального сервера, полученный из /vds/list (required)
     * @param forceCritical Если true, VDS будет удален срочно (optional)
     * @return String
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public String vdsDeleteGet(String token_, Integer key_, Boolean forceCritical) throws ApiException {
        ApiResponse<String> resp = vdsDeleteGetWithHttpInfo(token_, key_, forceCritical);
        return resp.getData();
    }

    /**
     * Удаление VDS
     * Предоставляет функционал для удаления VDS
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID виртуального сервера, полученный из /vds/list (required)
     * @param forceCritical Если true, VDS будет удален срочно (optional)
     * @return ApiResponse&lt;String&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public ApiResponse<String> vdsDeleteGetWithHttpInfo(String token_, Integer key_, Boolean forceCritical) throws ApiException {
        com.squareup.okhttp.Call call = vdsDeleteGetCall(token_, key_, forceCritical, null, null);
        Type localVarReturnType = new TypeToken<String>(){}.getType();
        return apiClient.execute(call, localVarReturnType);
    }

    /**
     * Удаление VDS (asynchronously)
     * Предоставляет функционал для удаления VDS
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID виртуального сервера, полученный из /vds/list (required)
     * @param forceCritical Если true, VDS будет удален срочно (optional)
     * @param callback The callback to be executed when the API call finishes
     * @return The request call
     * @throws ApiException If fail to process the API call, e.g. serializing the request body object
     */
    public com.squareup.okhttp.Call vdsDeleteGetAsync(String token_, Integer key_, Boolean forceCritical, final ApiCallback<String> callback) throws ApiException {

        ProgressResponseBody.ProgressListener progressListener = null;
        ProgressRequestBody.ProgressRequestListener progressRequestListener = null;

        if (callback != null) {
            progressListener = new ProgressResponseBody.ProgressListener() {
                @Override
                public void update(long bytesRead, long contentLength, boolean done) {
                    callback.onDownloadProgress(bytesRead, contentLength, done);
                }
            };

            progressRequestListener = new ProgressRequestBody.ProgressRequestListener() {
                @Override
                public void onRequestProgress(long bytesWritten, long contentLength, boolean done) {
                    callback.onUploadProgress(bytesWritten, contentLength, done);
                }
            };
        }

        com.squareup.okhttp.Call call = vdsDeleteGetCall(token_, key_, forceCritical, progressListener, progressRequestListener);
        Type localVarReturnType = new TypeToken<String>(){}.getType();
        apiClient.executeAsync(call, localVarReturnType, callback);
        return call;
    }
    /* Build call for vdsIpAddGet */
    private com.squareup.okhttp.Call vdsIpAddGetCall(String token_, Integer key_, final ProgressResponseBody.ProgressListener progressListener, final ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException {
        Object localVarPostBody = null;
        
        // verify the required parameter 'token_' is set
        if (token_ == null) {
            throw new ApiException("Missing the required parameter 'token_' when calling vdsIpAddGet(Async)");
        }
        
        // verify the required parameter 'key_' is set
        if (key_ == null) {
            throw new ApiException("Missing the required parameter 'key_' when calling vdsIpAddGet(Async)");
        }
        

        // create path and map variables
        String localVarPath = "/vds/ip/add".replaceAll("\\{format\\}","json");

        List<Pair> localVarQueryParams = new ArrayList<Pair>();
        if (token_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_token_", token_));
        if (key_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_key_", key_));

        Map<String, String> localVarHeaderParams = new HashMap<String, String>();

        Map<String, Object> localVarFormParams = new HashMap<String, Object>();

        final String[] localVarAccepts = {
            "application/json"
        };
        final String localVarAccept = apiClient.selectHeaderAccept(localVarAccepts);
        if (localVarAccept != null) localVarHeaderParams.put("Accept", localVarAccept);

        final String[] localVarContentTypes = {
            "application/json"
        };
        final String localVarContentType = apiClient.selectHeaderContentType(localVarContentTypes);
        localVarHeaderParams.put("Content-Type", localVarContentType);

        if(progressListener != null) {
            apiClient.getHttpClient().networkInterceptors().add(new com.squareup.okhttp.Interceptor() {
                @Override
                public com.squareup.okhttp.Response intercept(com.squareup.okhttp.Interceptor.Chain chain) throws IOException {
                    com.squareup.okhttp.Response originalResponse = chain.proceed(chain.request());
                    return originalResponse.newBuilder()
                    .body(new ProgressResponseBody(originalResponse.body(), progressListener))
                    .build();
                }
            });
        }

        String[] localVarAuthNames = new String[] {  };
        return apiClient.buildCall(localVarPath, "GET", localVarQueryParams, localVarPostBody, localVarHeaderParams, localVarFormParams, localVarAuthNames, progressRequestListener);
    }

    /**
     * Добавление IP на VDS
     * Этот вызов позволяет добавить ещё один IP адрес на указанный VDS
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID виртуального сервера, полученный из /vds/list (required)
     * @return String
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public String vdsIpAddGet(String token_, Integer key_) throws ApiException {
        ApiResponse<String> resp = vdsIpAddGetWithHttpInfo(token_, key_);
        return resp.getData();
    }

    /**
     * Добавление IP на VDS
     * Этот вызов позволяет добавить ещё один IP адрес на указанный VDS
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID виртуального сервера, полученный из /vds/list (required)
     * @return ApiResponse&lt;String&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public ApiResponse<String> vdsIpAddGetWithHttpInfo(String token_, Integer key_) throws ApiException {
        com.squareup.okhttp.Call call = vdsIpAddGetCall(token_, key_, null, null);
        Type localVarReturnType = new TypeToken<String>(){}.getType();
        return apiClient.execute(call, localVarReturnType);
    }

    /**
     * Добавление IP на VDS (asynchronously)
     * Этот вызов позволяет добавить ещё один IP адрес на указанный VDS
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID виртуального сервера, полученный из /vds/list (required)
     * @param callback The callback to be executed when the API call finishes
     * @return The request call
     * @throws ApiException If fail to process the API call, e.g. serializing the request body object
     */
    public com.squareup.okhttp.Call vdsIpAddGetAsync(String token_, Integer key_, final ApiCallback<String> callback) throws ApiException {

        ProgressResponseBody.ProgressListener progressListener = null;
        ProgressRequestBody.ProgressRequestListener progressRequestListener = null;

        if (callback != null) {
            progressListener = new ProgressResponseBody.ProgressListener() {
                @Override
                public void update(long bytesRead, long contentLength, boolean done) {
                    callback.onDownloadProgress(bytesRead, contentLength, done);
                }
            };

            progressRequestListener = new ProgressRequestBody.ProgressRequestListener() {
                @Override
                public void onRequestProgress(long bytesWritten, long contentLength, boolean done) {
                    callback.onUploadProgress(bytesWritten, contentLength, done);
                }
            };
        }

        com.squareup.okhttp.Call call = vdsIpAddGetCall(token_, key_, progressListener, progressRequestListener);
        Type localVarReturnType = new TypeToken<String>(){}.getType();
        apiClient.executeAsync(call, localVarReturnType, callback);
        return call;
    }
    /* Build call for vdsIpDeleteGet */
    private com.squareup.okhttp.Call vdsIpDeleteGetCall(String token_, Integer key_, String delIp, final ProgressResponseBody.ProgressListener progressListener, final ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException {
        Object localVarPostBody = null;
        
        // verify the required parameter 'token_' is set
        if (token_ == null) {
            throw new ApiException("Missing the required parameter 'token_' when calling vdsIpDeleteGet(Async)");
        }
        
        // verify the required parameter 'key_' is set
        if (key_ == null) {
            throw new ApiException("Missing the required parameter 'key_' when calling vdsIpDeleteGet(Async)");
        }
        
        // verify the required parameter 'delIp' is set
        if (delIp == null) {
            throw new ApiException("Missing the required parameter 'delIp' when calling vdsIpDeleteGet(Async)");
        }
        

        // create path and map variables
        String localVarPath = "/vds/ip/delete".replaceAll("\\{format\\}","json");

        List<Pair> localVarQueryParams = new ArrayList<Pair>();
        if (token_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_token_", token_));
        if (key_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_key_", key_));
        if (delIp != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "del_ip", delIp));

        Map<String, String> localVarHeaderParams = new HashMap<String, String>();

        Map<String, Object> localVarFormParams = new HashMap<String, Object>();

        final String[] localVarAccepts = {
            "application/json"
        };
        final String localVarAccept = apiClient.selectHeaderAccept(localVarAccepts);
        if (localVarAccept != null) localVarHeaderParams.put("Accept", localVarAccept);

        final String[] localVarContentTypes = {
            "application/json"
        };
        final String localVarContentType = apiClient.selectHeaderContentType(localVarContentTypes);
        localVarHeaderParams.put("Content-Type", localVarContentType);

        if(progressListener != null) {
            apiClient.getHttpClient().networkInterceptors().add(new com.squareup.okhttp.Interceptor() {
                @Override
                public com.squareup.okhttp.Response intercept(com.squareup.okhttp.Interceptor.Chain chain) throws IOException {
                    com.squareup.okhttp.Response originalResponse = chain.proceed(chain.request());
                    return originalResponse.newBuilder()
                    .body(new ProgressResponseBody(originalResponse.body(), progressListener))
                    .build();
                }
            });
        }

        String[] localVarAuthNames = new String[] {  };
        return apiClient.buildCall(localVarPath, "GET", localVarQueryParams, localVarPostBody, localVarHeaderParams, localVarFormParams, localVarAuthNames, progressRequestListener);
    }

    /**
     * Удаление IP с VDS
     * Этот вызов позволяет отвязать IP адрес от VDS
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID виртуального сервера, полученный из /vds/list (required)
     * @param delIp IP адрес, который необходимо удалить (required)
     * @return String
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public String vdsIpDeleteGet(String token_, Integer key_, String delIp) throws ApiException {
        ApiResponse<String> resp = vdsIpDeleteGetWithHttpInfo(token_, key_, delIp);
        return resp.getData();
    }

    /**
     * Удаление IP с VDS
     * Этот вызов позволяет отвязать IP адрес от VDS
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID виртуального сервера, полученный из /vds/list (required)
     * @param delIp IP адрес, который необходимо удалить (required)
     * @return ApiResponse&lt;String&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public ApiResponse<String> vdsIpDeleteGetWithHttpInfo(String token_, Integer key_, String delIp) throws ApiException {
        com.squareup.okhttp.Call call = vdsIpDeleteGetCall(token_, key_, delIp, null, null);
        Type localVarReturnType = new TypeToken<String>(){}.getType();
        return apiClient.execute(call, localVarReturnType);
    }

    /**
     * Удаление IP с VDS (asynchronously)
     * Этот вызов позволяет отвязать IP адрес от VDS
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID виртуального сервера, полученный из /vds/list (required)
     * @param delIp IP адрес, который необходимо удалить (required)
     * @param callback The callback to be executed when the API call finishes
     * @return The request call
     * @throws ApiException If fail to process the API call, e.g. serializing the request body object
     */
    public com.squareup.okhttp.Call vdsIpDeleteGetAsync(String token_, Integer key_, String delIp, final ApiCallback<String> callback) throws ApiException {

        ProgressResponseBody.ProgressListener progressListener = null;
        ProgressRequestBody.ProgressRequestListener progressRequestListener = null;

        if (callback != null) {
            progressListener = new ProgressResponseBody.ProgressListener() {
                @Override
                public void update(long bytesRead, long contentLength, boolean done) {
                    callback.onDownloadProgress(bytesRead, contentLength, done);
                }
            };

            progressRequestListener = new ProgressRequestBody.ProgressRequestListener() {
                @Override
                public void onRequestProgress(long bytesWritten, long contentLength, boolean done) {
                    callback.onUploadProgress(bytesWritten, contentLength, done);
                }
            };
        }

        com.squareup.okhttp.Call call = vdsIpDeleteGetCall(token_, key_, delIp, progressListener, progressRequestListener);
        Type localVarReturnType = new TypeToken<String>(){}.getType();
        apiClient.executeAsync(call, localVarReturnType, callback);
        return call;
    }
    /* Build call for vdsIpListGet */
    private com.squareup.okhttp.Call vdsIpListGetCall(String token_, Integer key_, final ProgressResponseBody.ProgressListener progressListener, final ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException {
        Object localVarPostBody = null;
        
        // verify the required parameter 'token_' is set
        if (token_ == null) {
            throw new ApiException("Missing the required parameter 'token_' when calling vdsIpListGet(Async)");
        }
        

        // create path and map variables
        String localVarPath = "/vds/ip/list".replaceAll("\\{format\\}","json");

        List<Pair> localVarQueryParams = new ArrayList<Pair>();
        if (token_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_token_", token_));
        if (key_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_key_", key_));

        Map<String, String> localVarHeaderParams = new HashMap<String, String>();

        Map<String, Object> localVarFormParams = new HashMap<String, Object>();

        final String[] localVarAccepts = {
            "application/json"
        };
        final String localVarAccept = apiClient.selectHeaderAccept(localVarAccepts);
        if (localVarAccept != null) localVarHeaderParams.put("Accept", localVarAccept);

        final String[] localVarContentTypes = {
            "application/json"
        };
        final String localVarContentType = apiClient.selectHeaderContentType(localVarContentTypes);
        localVarHeaderParams.put("Content-Type", localVarContentType);

        if(progressListener != null) {
            apiClient.getHttpClient().networkInterceptors().add(new com.squareup.okhttp.Interceptor() {
                @Override
                public com.squareup.okhttp.Response intercept(com.squareup.okhttp.Interceptor.Chain chain) throws IOException {
                    com.squareup.okhttp.Response originalResponse = chain.proceed(chain.request());
                    return originalResponse.newBuilder()
                    .body(new ProgressResponseBody(originalResponse.body(), progressListener))
                    .build();
                }
            });
        }

        String[] localVarAuthNames = new String[] {  };
        return apiClient.buildCall(localVarPath, "GET", localVarQueryParams, localVarPostBody, localVarHeaderParams, localVarFormParams, localVarAuthNames, progressRequestListener);
    }

    /**
     * Список IP-адресов виртуальных серверов
     * Список IP-адресов виртуальных серверов
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID виртуального сервера, полученный из /vds/list (optional)
     * @return List&lt;InlineResponse20011&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public List<InlineResponse20011> vdsIpListGet(String token_, Integer key_) throws ApiException {
        ApiResponse<List<InlineResponse20011>> resp = vdsIpListGetWithHttpInfo(token_, key_);
        return resp.getData();
    }

    /**
     * Список IP-адресов виртуальных серверов
     * Список IP-адресов виртуальных серверов
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID виртуального сервера, полученный из /vds/list (optional)
     * @return ApiResponse&lt;List&lt;InlineResponse20011&gt;&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public ApiResponse<List<InlineResponse20011>> vdsIpListGetWithHttpInfo(String token_, Integer key_) throws ApiException {
        com.squareup.okhttp.Call call = vdsIpListGetCall(token_, key_, null, null);
        Type localVarReturnType = new TypeToken<List<InlineResponse20011>>(){}.getType();
        return apiClient.execute(call, localVarReturnType);
    }

    /**
     * Список IP-адресов виртуальных серверов (asynchronously)
     * Список IP-адресов виртуальных серверов
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID виртуального сервера, полученный из /vds/list (optional)
     * @param callback The callback to be executed when the API call finishes
     * @return The request call
     * @throws ApiException If fail to process the API call, e.g. serializing the request body object
     */
    public com.squareup.okhttp.Call vdsIpListGetAsync(String token_, Integer key_, final ApiCallback<List<InlineResponse20011>> callback) throws ApiException {

        ProgressResponseBody.ProgressListener progressListener = null;
        ProgressRequestBody.ProgressRequestListener progressRequestListener = null;

        if (callback != null) {
            progressListener = new ProgressResponseBody.ProgressListener() {
                @Override
                public void update(long bytesRead, long contentLength, boolean done) {
                    callback.onDownloadProgress(bytesRead, contentLength, done);
                }
            };

            progressRequestListener = new ProgressRequestBody.ProgressRequestListener() {
                @Override
                public void onRequestProgress(long bytesWritten, long contentLength, boolean done) {
                    callback.onUploadProgress(bytesWritten, contentLength, done);
                }
            };
        }

        com.squareup.okhttp.Call call = vdsIpListGetCall(token_, key_, progressListener, progressRequestListener);
        Type localVarReturnType = new TypeToken<List<InlineResponse20011>>(){}.getType();
        apiClient.executeAsync(call, localVarReturnType, callback);
        return call;
    }
    /* Build call for vdsListGet */
    private com.squareup.okhttp.Call vdsListGetCall(String token_, Integer key_, final ProgressResponseBody.ProgressListener progressListener, final ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException {
        Object localVarPostBody = null;
        
        // verify the required parameter 'token_' is set
        if (token_ == null) {
            throw new ApiException("Missing the required parameter 'token_' when calling vdsListGet(Async)");
        }
        

        // create path and map variables
        String localVarPath = "/vds/list".replaceAll("\\{format\\}","json");

        List<Pair> localVarQueryParams = new ArrayList<Pair>();
        if (token_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_token_", token_));
        if (key_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_key_", key_));

        Map<String, String> localVarHeaderParams = new HashMap<String, String>();

        Map<String, Object> localVarFormParams = new HashMap<String, Object>();

        final String[] localVarAccepts = {
            "application/json"
        };
        final String localVarAccept = apiClient.selectHeaderAccept(localVarAccepts);
        if (localVarAccept != null) localVarHeaderParams.put("Accept", localVarAccept);

        final String[] localVarContentTypes = {
            "application/json"
        };
        final String localVarContentType = apiClient.selectHeaderContentType(localVarContentTypes);
        localVarHeaderParams.put("Content-Type", localVarContentType);

        if(progressListener != null) {
            apiClient.getHttpClient().networkInterceptors().add(new com.squareup.okhttp.Interceptor() {
                @Override
                public com.squareup.okhttp.Response intercept(com.squareup.okhttp.Interceptor.Chain chain) throws IOException {
                    com.squareup.okhttp.Response originalResponse = chain.proceed(chain.request());
                    return originalResponse.newBuilder()
                    .body(new ProgressResponseBody(originalResponse.body(), progressListener))
                    .build();
                }
            });
        }

        String[] localVarAuthNames = new String[] {  };
        return apiClient.buildCall(localVarPath, "GET", localVarQueryParams, localVarPostBody, localVarHeaderParams, localVarFormParams, localVarAuthNames, progressRequestListener);
    }

    /**
     * Список виртуальных серверов
     * Позволяет получить список виртуальных серверов
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS (optional)
     * @return List&lt;InlineResponse20012&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public List<InlineResponse20012> vdsListGet(String token_, Integer key_) throws ApiException {
        ApiResponse<List<InlineResponse20012>> resp = vdsListGetWithHttpInfo(token_, key_);
        return resp.getData();
    }

    /**
     * Список виртуальных серверов
     * Позволяет получить список виртуальных серверов
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS (optional)
     * @return ApiResponse&lt;List&lt;InlineResponse20012&gt;&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public ApiResponse<List<InlineResponse20012>> vdsListGetWithHttpInfo(String token_, Integer key_) throws ApiException {
        com.squareup.okhttp.Call call = vdsListGetCall(token_, key_, null, null);
        Type localVarReturnType = new TypeToken<List<InlineResponse20012>>(){}.getType();
        return apiClient.execute(call, localVarReturnType);
    }

    /**
     * Список виртуальных серверов (asynchronously)
     * Позволяет получить список виртуальных серверов
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS (optional)
     * @param callback The callback to be executed when the API call finishes
     * @return The request call
     * @throws ApiException If fail to process the API call, e.g. serializing the request body object
     */
    public com.squareup.okhttp.Call vdsListGetAsync(String token_, Integer key_, final ApiCallback<List<InlineResponse20012>> callback) throws ApiException {

        ProgressResponseBody.ProgressListener progressListener = null;
        ProgressRequestBody.ProgressRequestListener progressRequestListener = null;

        if (callback != null) {
            progressListener = new ProgressResponseBody.ProgressListener() {
                @Override
                public void update(long bytesRead, long contentLength, boolean done) {
                    callback.onDownloadProgress(bytesRead, contentLength, done);
                }
            };

            progressRequestListener = new ProgressRequestBody.ProgressRequestListener() {
                @Override
                public void onRequestProgress(long bytesWritten, long contentLength, boolean done) {
                    callback.onUploadProgress(bytesWritten, contentLength, done);
                }
            };
        }

        com.squareup.okhttp.Call call = vdsListGetCall(token_, key_, progressListener, progressRequestListener);
        Type localVarReturnType = new TypeToken<List<InlineResponse20012>>(){}.getType();
        apiClient.executeAsync(call, localVarReturnType, callback);
        return call;
    }
    /* Build call for vdsRebootGet */
    private com.squareup.okhttp.Call vdsRebootGetCall(String token_, Integer key_, final ProgressResponseBody.ProgressListener progressListener, final ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException {
        Object localVarPostBody = null;
        
        // verify the required parameter 'token_' is set
        if (token_ == null) {
            throw new ApiException("Missing the required parameter 'token_' when calling vdsRebootGet(Async)");
        }
        
        // verify the required parameter 'key_' is set
        if (key_ == null) {
            throw new ApiException("Missing the required parameter 'key_' when calling vdsRebootGet(Async)");
        }
        

        // create path and map variables
        String localVarPath = "/vds/reboot".replaceAll("\\{format\\}","json");

        List<Pair> localVarQueryParams = new ArrayList<Pair>();
        if (token_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_token_", token_));
        if (key_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_key_", key_));

        Map<String, String> localVarHeaderParams = new HashMap<String, String>();

        Map<String, Object> localVarFormParams = new HashMap<String, Object>();

        final String[] localVarAccepts = {
            "application/json"
        };
        final String localVarAccept = apiClient.selectHeaderAccept(localVarAccepts);
        if (localVarAccept != null) localVarHeaderParams.put("Accept", localVarAccept);

        final String[] localVarContentTypes = {
            "application/json"
        };
        final String localVarContentType = apiClient.selectHeaderContentType(localVarContentTypes);
        localVarHeaderParams.put("Content-Type", localVarContentType);

        if(progressListener != null) {
            apiClient.getHttpClient().networkInterceptors().add(new com.squareup.okhttp.Interceptor() {
                @Override
                public com.squareup.okhttp.Response intercept(com.squareup.okhttp.Interceptor.Chain chain) throws IOException {
                    com.squareup.okhttp.Response originalResponse = chain.proceed(chain.request());
                    return originalResponse.newBuilder()
                    .body(new ProgressResponseBody(originalResponse.body(), progressListener))
                    .build();
                }
            });
        }

        String[] localVarAuthNames = new String[] {  };
        return apiClient.buildCall(localVarPath, "GET", localVarQueryParams, localVarPostBody, localVarHeaderParams, localVarFormParams, localVarAuthNames, progressRequestListener);
    }

    /**
     * Перезагрузка VDS
     * Предоставляет функционал для перезагрузки VDS
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID виртуального сервера, полученный из /vds/list (required)
     * @return String
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public String vdsRebootGet(String token_, Integer key_) throws ApiException {
        ApiResponse<String> resp = vdsRebootGetWithHttpInfo(token_, key_);
        return resp.getData();
    }

    /**
     * Перезагрузка VDS
     * Предоставляет функционал для перезагрузки VDS
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID виртуального сервера, полученный из /vds/list (required)
     * @return ApiResponse&lt;String&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public ApiResponse<String> vdsRebootGetWithHttpInfo(String token_, Integer key_) throws ApiException {
        com.squareup.okhttp.Call call = vdsRebootGetCall(token_, key_, null, null);
        Type localVarReturnType = new TypeToken<String>(){}.getType();
        return apiClient.execute(call, localVarReturnType);
    }

    /**
     * Перезагрузка VDS (asynchronously)
     * Предоставляет функционал для перезагрузки VDS
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID виртуального сервера, полученный из /vds/list (required)
     * @param callback The callback to be executed when the API call finishes
     * @return The request call
     * @throws ApiException If fail to process the API call, e.g. serializing the request body object
     */
    public com.squareup.okhttp.Call vdsRebootGetAsync(String token_, Integer key_, final ApiCallback<String> callback) throws ApiException {

        ProgressResponseBody.ProgressListener progressListener = null;
        ProgressRequestBody.ProgressRequestListener progressRequestListener = null;

        if (callback != null) {
            progressListener = new ProgressResponseBody.ProgressListener() {
                @Override
                public void update(long bytesRead, long contentLength, boolean done) {
                    callback.onDownloadProgress(bytesRead, contentLength, done);
                }
            };

            progressRequestListener = new ProgressRequestBody.ProgressRequestListener() {
                @Override
                public void onRequestProgress(long bytesWritten, long contentLength, boolean done) {
                    callback.onUploadProgress(bytesWritten, contentLength, done);
                }
            };
        }

        com.squareup.okhttp.Call call = vdsRebootGetCall(token_, key_, progressListener, progressRequestListener);
        Type localVarReturnType = new TypeToken<String>(){}.getType();
        apiClient.executeAsync(call, localVarReturnType, callback);
        return call;
    }
    /* Build call for vdsTemplatesListGet */
    private com.squareup.okhttp.Call vdsTemplatesListGetCall(String token_, final ProgressResponseBody.ProgressListener progressListener, final ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException {
        Object localVarPostBody = null;
        
        // verify the required parameter 'token_' is set
        if (token_ == null) {
            throw new ApiException("Missing the required parameter 'token_' when calling vdsTemplatesListGet(Async)");
        }
        

        // create path and map variables
        String localVarPath = "/vds/templates-list".replaceAll("\\{format\\}","json");

        List<Pair> localVarQueryParams = new ArrayList<Pair>();
        if (token_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_token_", token_));

        Map<String, String> localVarHeaderParams = new HashMap<String, String>();

        Map<String, Object> localVarFormParams = new HashMap<String, Object>();

        final String[] localVarAccepts = {
            "application/json"
        };
        final String localVarAccept = apiClient.selectHeaderAccept(localVarAccepts);
        if (localVarAccept != null) localVarHeaderParams.put("Accept", localVarAccept);

        final String[] localVarContentTypes = {
            "application/json"
        };
        final String localVarContentType = apiClient.selectHeaderContentType(localVarContentTypes);
        localVarHeaderParams.put("Content-Type", localVarContentType);

        if(progressListener != null) {
            apiClient.getHttpClient().networkInterceptors().add(new com.squareup.okhttp.Interceptor() {
                @Override
                public com.squareup.okhttp.Response intercept(com.squareup.okhttp.Interceptor.Chain chain) throws IOException {
                    com.squareup.okhttp.Response originalResponse = chain.proceed(chain.request());
                    return originalResponse.newBuilder()
                    .body(new ProgressResponseBody(originalResponse.body(), progressListener))
                    .build();
                }
            });
        }

        String[] localVarAuthNames = new String[] {  };
        return apiClient.buildCall(localVarPath, "GET", localVarQueryParams, localVarPostBody, localVarHeaderParams, localVarFormParams, localVarAuthNames, progressRequestListener);
    }

    /**
     * Список шаблонов виртуальных серверов
     * Позволяет получить список шаблонов виртуальных серверов
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @return List&lt;InlineResponse20013&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public List<InlineResponse20013> vdsTemplatesListGet(String token_) throws ApiException {
        ApiResponse<List<InlineResponse20013>> resp = vdsTemplatesListGetWithHttpInfo(token_);
        return resp.getData();
    }

    /**
     * Список шаблонов виртуальных серверов
     * Позволяет получить список шаблонов виртуальных серверов
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @return ApiResponse&lt;List&lt;InlineResponse20013&gt;&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public ApiResponse<List<InlineResponse20013>> vdsTemplatesListGetWithHttpInfo(String token_) throws ApiException {
        com.squareup.okhttp.Call call = vdsTemplatesListGetCall(token_, null, null);
        Type localVarReturnType = new TypeToken<List<InlineResponse20013>>(){}.getType();
        return apiClient.execute(call, localVarReturnType);
    }

    /**
     * Список шаблонов виртуальных серверов (asynchronously)
     * Позволяет получить список шаблонов виртуальных серверов
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param callback The callback to be executed when the API call finishes
     * @return The request call
     * @throws ApiException If fail to process the API call, e.g. serializing the request body object
     */
    public com.squareup.okhttp.Call vdsTemplatesListGetAsync(String token_, final ApiCallback<List<InlineResponse20013>> callback) throws ApiException {

        ProgressResponseBody.ProgressListener progressListener = null;
        ProgressRequestBody.ProgressRequestListener progressRequestListener = null;

        if (callback != null) {
            progressListener = new ProgressResponseBody.ProgressListener() {
                @Override
                public void update(long bytesRead, long contentLength, boolean done) {
                    callback.onDownloadProgress(bytesRead, contentLength, done);
                }
            };

            progressRequestListener = new ProgressRequestBody.ProgressRequestListener() {
                @Override
                public void onRequestProgress(long bytesWritten, long contentLength, boolean done) {
                    callback.onUploadProgress(bytesWritten, contentLength, done);
                }
            };
        }

        com.squareup.okhttp.Call call = vdsTemplatesListGetCall(token_, progressListener, progressRequestListener);
        Type localVarReturnType = new TypeToken<List<InlineResponse20013>>(){}.getType();
        apiClient.executeAsync(call, localVarReturnType, callback);
        return call;
    }
    /* Build call for vdsUpdateGet */
    private com.squareup.okhttp.Call vdsUpdateGetCall(String token_, Integer key_, Integer crHvmem, Integer crHvdsk, Integer crHvcpu, final ProgressResponseBody.ProgressListener progressListener, final ProgressRequestBody.ProgressRequestListener progressRequestListener) throws ApiException {
        Object localVarPostBody = null;
        
        // verify the required parameter 'token_' is set
        if (token_ == null) {
            throw new ApiException("Missing the required parameter 'token_' when calling vdsUpdateGet(Async)");
        }
        
        // verify the required parameter 'key_' is set
        if (key_ == null) {
            throw new ApiException("Missing the required parameter 'key_' when calling vdsUpdateGet(Async)");
        }
        

        // create path and map variables
        String localVarPath = "/vds/update".replaceAll("\\{format\\}","json");

        List<Pair> localVarQueryParams = new ArrayList<Pair>();
        if (token_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_token_", token_));
        if (key_ != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "_key_", key_));
        if (crHvmem != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "cr_hvmem", crHvmem));
        if (crHvdsk != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "cr_hvdsk", crHvdsk));
        if (crHvcpu != null)
        localVarQueryParams.addAll(apiClient.parameterToPairs("", "cr_hvcpu", crHvcpu));

        Map<String, String> localVarHeaderParams = new HashMap<String, String>();

        Map<String, Object> localVarFormParams = new HashMap<String, Object>();

        final String[] localVarAccepts = {
            "application/json"
        };
        final String localVarAccept = apiClient.selectHeaderAccept(localVarAccepts);
        if (localVarAccept != null) localVarHeaderParams.put("Accept", localVarAccept);

        final String[] localVarContentTypes = {
            "application/json"
        };
        final String localVarContentType = apiClient.selectHeaderContentType(localVarContentTypes);
        localVarHeaderParams.put("Content-Type", localVarContentType);

        if(progressListener != null) {
            apiClient.getHttpClient().networkInterceptors().add(new com.squareup.okhttp.Interceptor() {
                @Override
                public com.squareup.okhttp.Response intercept(com.squareup.okhttp.Interceptor.Chain chain) throws IOException {
                    com.squareup.okhttp.Response originalResponse = chain.proceed(chain.request());
                    return originalResponse.newBuilder()
                    .body(new ProgressResponseBody(originalResponse.body(), progressListener))
                    .build();
                }
            });
        }

        String[] localVarAuthNames = new String[] {  };
        return apiClient.buildCall(localVarPath, "GET", localVarQueryParams, localVarPostBody, localVarHeaderParams, localVarFormParams, localVarAuthNames, progressRequestListener);
    }

    /**
     * Создание VDS
     * Создание новых VDS с произвольными характеристиками
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID виртуального сервера, полученный из /vds/list (required)
     * @param crHvmem Количество доступной памяти в мегабайтах. По умолчанию 2048 (optional)
     * @param crHvdsk Количество доступных гигабайт диска. По умолчанию 30 (optional)
     * @param crHvcpu Количество ядер CPU. По умолчанию 2 (optional)
     * @return String
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public String vdsUpdateGet(String token_, Integer key_, Integer crHvmem, Integer crHvdsk, Integer crHvcpu) throws ApiException {
        ApiResponse<String> resp = vdsUpdateGetWithHttpInfo(token_, key_, crHvmem, crHvdsk, crHvcpu);
        return resp.getData();
    }

    /**
     * Создание VDS
     * Создание новых VDS с произвольными характеристиками
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID виртуального сервера, полученный из /vds/list (required)
     * @param crHvmem Количество доступной памяти в мегабайтах. По умолчанию 2048 (optional)
     * @param crHvdsk Количество доступных гигабайт диска. По умолчанию 30 (optional)
     * @param crHvcpu Количество ядер CPU. По умолчанию 2 (optional)
     * @return ApiResponse&lt;String&gt;
     * @throws ApiException If fail to call the API, e.g. server error or cannot deserialize the response body
     */
    public ApiResponse<String> vdsUpdateGetWithHttpInfo(String token_, Integer key_, Integer crHvmem, Integer crHvdsk, Integer crHvcpu) throws ApiException {
        com.squareup.okhttp.Call call = vdsUpdateGetCall(token_, key_, crHvmem, crHvdsk, crHvcpu, null, null);
        Type localVarReturnType = new TypeToken<String>(){}.getType();
        return apiClient.execute(call, localVarReturnType);
    }

    /**
     * Создание VDS (asynchronously)
     * Создание новых VDS с произвольными характеристиками
     * @param token_ Ключ доступа, полученный при авторизации (required)
     * @param key_ ID виртуального сервера, полученный из /vds/list (required)
     * @param crHvmem Количество доступной памяти в мегабайтах. По умолчанию 2048 (optional)
     * @param crHvdsk Количество доступных гигабайт диска. По умолчанию 30 (optional)
     * @param crHvcpu Количество ядер CPU. По умолчанию 2 (optional)
     * @param callback The callback to be executed when the API call finishes
     * @return The request call
     * @throws ApiException If fail to process the API call, e.g. serializing the request body object
     */
    public com.squareup.okhttp.Call vdsUpdateGetAsync(String token_, Integer key_, Integer crHvmem, Integer crHvdsk, Integer crHvcpu, final ApiCallback<String> callback) throws ApiException {

        ProgressResponseBody.ProgressListener progressListener = null;
        ProgressRequestBody.ProgressRequestListener progressRequestListener = null;

        if (callback != null) {
            progressListener = new ProgressResponseBody.ProgressListener() {
                @Override
                public void update(long bytesRead, long contentLength, boolean done) {
                    callback.onDownloadProgress(bytesRead, contentLength, done);
                }
            };

            progressRequestListener = new ProgressRequestBody.ProgressRequestListener() {
                @Override
                public void onRequestProgress(long bytesWritten, long contentLength, boolean done) {
                    callback.onUploadProgress(bytesWritten, contentLength, done);
                }
            };
        }

        com.squareup.okhttp.Call call = vdsUpdateGetCall(token_, key_, crHvmem, crHvdsk, crHvcpu, progressListener, progressRequestListener);
        Type localVarReturnType = new TypeToken<String>(){}.getType();
        apiClient.executeAsync(call, localVarReturnType, callback);
        return call;
    }
}
