/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package io.swagger.client.model;

import java.util.Objects;
import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;


/**
 * InlineResponse200
 */
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaClientCodegen", date = "2016-11-03T11:50:36.776+04:00")
public class InlineResponse200   {
  @SerializedName("negative_balance_days")
  private Integer negativeBalanceDays = null;

  @SerializedName("negative_balance_days_lic")
  private Integer negativeBalanceDaysLic = null;

  @SerializedName("last_month_debt_sum")
  private BigDecimal lastMonthDebtSum = null;

  @SerializedName("last_month_debt_sum2")
  private BigDecimal lastMonthDebtSum2 = null;

  @SerializedName("block_date")
  private String blockDate = null;

  public InlineResponse200 negativeBalanceDays(Integer negativeBalanceDays) {
    this.negativeBalanceDays = negativeBalanceDays;
    return this;
  }

   /**
   * Планируемое количество дней до наступления негативного баланса
   * @return negativeBalanceDays
  **/
  @ApiModelProperty(example = "null", required = true, value = "Планируемое количество дней до наступления негативного баланса")
  public Integer getNegativeBalanceDays() {
    return negativeBalanceDays;
  }

  public void setNegativeBalanceDays(Integer negativeBalanceDays) {
    this.negativeBalanceDays = negativeBalanceDays;
  }

  public InlineResponse200 negativeBalanceDaysLic(Integer negativeBalanceDaysLic) {
    this.negativeBalanceDaysLic = negativeBalanceDaysLic;
    return this;
  }

   /**
   * Планируемое количество дней до наступления негативного баланса по аккаунту лицензий
   * @return negativeBalanceDaysLic
  **/
  @ApiModelProperty(example = "null", required = true, value = "Планируемое количество дней до наступления негативного баланса по аккаунту лицензий")
  public Integer getNegativeBalanceDaysLic() {
    return negativeBalanceDaysLic;
  }

  public void setNegativeBalanceDaysLic(Integer negativeBalanceDaysLic) {
    this.negativeBalanceDaysLic = negativeBalanceDaysLic;
  }

  public InlineResponse200 lastMonthDebtSum(BigDecimal lastMonthDebtSum) {
    this.lastMonthDebtSum = lastMonthDebtSum;
    return this;
  }

   /**
   * 
   * @return lastMonthDebtSum
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public BigDecimal getLastMonthDebtSum() {
    return lastMonthDebtSum;
  }

  public void setLastMonthDebtSum(BigDecimal lastMonthDebtSum) {
    this.lastMonthDebtSum = lastMonthDebtSum;
  }

  public InlineResponse200 lastMonthDebtSum2(BigDecimal lastMonthDebtSum2) {
    this.lastMonthDebtSum2 = lastMonthDebtSum2;
    return this;
  }

   /**
   * 
   * @return lastMonthDebtSum2
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public BigDecimal getLastMonthDebtSum2() {
    return lastMonthDebtSum2;
  }

  public void setLastMonthDebtSum2(BigDecimal lastMonthDebtSum2) {
    this.lastMonthDebtSum2 = lastMonthDebtSum2;
  }

  public InlineResponse200 blockDate(String blockDate) {
    this.blockDate = blockDate;
    return this;
  }

   /**
   * Дата блокировки аккаунта
   * @return blockDate
  **/
  @ApiModelProperty(example = "null", required = true, value = "Дата блокировки аккаунта")
  public String getBlockDate() {
    return blockDate;
  }

  public void setBlockDate(String blockDate) {
    this.blockDate = blockDate;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse200 inlineResponse200 = (InlineResponse200) o;
    return Objects.equals(this.negativeBalanceDays, inlineResponse200.negativeBalanceDays) &&
        Objects.equals(this.negativeBalanceDaysLic, inlineResponse200.negativeBalanceDaysLic) &&
        Objects.equals(this.lastMonthDebtSum, inlineResponse200.lastMonthDebtSum) &&
        Objects.equals(this.lastMonthDebtSum2, inlineResponse200.lastMonthDebtSum2) &&
        Objects.equals(this.blockDate, inlineResponse200.blockDate);
  }

  @Override
  public int hashCode() {
    return Objects.hash(negativeBalanceDays, negativeBalanceDaysLic, lastMonthDebtSum, lastMonthDebtSum2, blockDate);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse200 {\n");
    
    sb.append("    negativeBalanceDays: ").append(toIndentedString(negativeBalanceDays)).append("\n");
    sb.append("    negativeBalanceDaysLic: ").append(toIndentedString(negativeBalanceDaysLic)).append("\n");
    sb.append("    lastMonthDebtSum: ").append(toIndentedString(lastMonthDebtSum)).append("\n");
    sb.append("    lastMonthDebtSum2: ").append(toIndentedString(lastMonthDebtSum2)).append("\n");
    sb.append("    blockDate: ").append(toIndentedString(blockDate)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

