/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package io.swagger.client.model;

import java.util.Objects;
import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;


/**
 * InlineResponse2001
 */
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaClientCodegen", date = "2016-11-03T11:50:36.776+04:00")
public class InlineResponse2001   {
  @SerializedName("id")
  private Integer id = null;

  @SerializedName("description")
  private String description = null;

  @SerializedName("billing_group_id")
  private Integer billingGroupId = null;

  @SerializedName("blocked")
  private String blocked = null;

  @SerializedName("blocked_date")
  private String blockedDate = null;

  @SerializedName("blocked_reason")
  private String blockedReason = null;

  @SerializedName("credit_limit")
  private BigDecimal creditLimit = null;

  @SerializedName("plan_id")
  private Integer planId = null;

  @SerializedName("period_id")
  private Integer periodId = null;

  @SerializedName("contract_type")
  private Integer contractType = null;

  @SerializedName("client_id")
  private Integer clientId = null;

  @SerializedName("client_login")
  private String clientLogin = null;

  @SerializedName("contract_id")
  private String contractId = null;

  @SerializedName("name_rus")
  private String nameRus = null;

  @SerializedName("name_eng")
  private String nameEng = null;

  @SerializedName("email")
  private String email = null;

  @SerializedName("stat_sites")
  private Integer statSites = null;

  @SerializedName("stat_size_mb")
  private Integer statSizeMb = null;

  @SerializedName("stat_emails")
  private Integer statEmails = null;

  @SerializedName("stat_mysqls")
  private Integer statMysqls = null;

  @SerializedName("stat_tech")
  private Integer statTech = null;

  @SerializedName("stat_nicd")
  private Integer statNicd = null;

  @SerializedName("stat_access_dynamic")
  private Integer statAccessDynamic = null;

  @SerializedName("stat_access_static")
  private Integer statAccessStatic = null;

  @SerializedName("stat_access_traffic")
  private Integer statAccessTraffic = null;

  @SerializedName("stat_paid_total")
  private Integer statPaidTotal = null;

  @SerializedName("stat_vds_size")
  private Integer statVdsSize = null;

  @SerializedName("__plan_name")
  private String planName = null;

  @SerializedName("__period_months")
  private Integer periodMonths = null;

  @SerializedName("__period_price")
  private BigDecimal periodPrice = null;

  @SerializedName("__expires")
  private String expires = null;

  @SerializedName("external_currency_spelled_prefix")
  private String externalCurrencySpelledPrefix = null;

  @SerializedName("external_currency_spelled_suffix")
  private String externalCurrencySpelledSuffix = null;

  public InlineResponse2001 id(Integer id) {
    this.id = id;
    return this;
  }

   /**
   * Идентификатор аккаунта
   * @return id
  **/
  @ApiModelProperty(example = "null", required = true, value = "Идентификатор аккаунта")
  public Integer getId() {
    return id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  public InlineResponse2001 description(String description) {
    this.description = description;
    return this;
  }

   /**
   * Описание аккаунта
   * @return description
  **/
  @ApiModelProperty(example = "null", required = true, value = "Описание аккаунта")
  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public InlineResponse2001 billingGroupId(Integer billingGroupId) {
    this.billingGroupId = billingGroupId;
    return this;
  }

   /**
   * Идентификатор тарифной группы
   * @return billingGroupId
  **/
  @ApiModelProperty(example = "null", required = true, value = "Идентификатор тарифной группы")
  public Integer getBillingGroupId() {
    return billingGroupId;
  }

  public void setBillingGroupId(Integer billingGroupId) {
    this.billingGroupId = billingGroupId;
  }

  public InlineResponse2001 blocked(String blocked) {
    this.blocked = blocked;
    return this;
  }

   /**
   * Аккаунт заблокирован, если true
   * @return blocked
  **/
  @ApiModelProperty(example = "null", required = true, value = "Аккаунт заблокирован, если true")
  public String getBlocked() {
    return blocked;
  }

  public void setBlocked(String blocked) {
    this.blocked = blocked;
  }

  public InlineResponse2001 blockedDate(String blockedDate) {
    this.blockedDate = blockedDate;
    return this;
  }

   /**
   * Дата блокировки
   * @return blockedDate
  **/
  @ApiModelProperty(example = "null", value = "Дата блокировки")
  public String getBlockedDate() {
    return blockedDate;
  }

  public void setBlockedDate(String blockedDate) {
    this.blockedDate = blockedDate;
  }

  public InlineResponse2001 blockedReason(String blockedReason) {
    this.blockedReason = blockedReason;
    return this;
  }

   /**
   * Причина блокировки
   * @return blockedReason
  **/
  @ApiModelProperty(example = "null", value = "Причина блокировки")
  public String getBlockedReason() {
    return blockedReason;
  }

  public void setBlockedReason(String blockedReason) {
    this.blockedReason = blockedReason;
  }

  public InlineResponse2001 creditLimit(BigDecimal creditLimit) {
    this.creditLimit = creditLimit;
    return this;
  }

   /**
   * Ограничение суммы на работу в аванс
   * @return creditLimit
  **/
  @ApiModelProperty(example = "null", required = true, value = "Ограничение суммы на работу в аванс")
  public BigDecimal getCreditLimit() {
    return creditLimit;
  }

  public void setCreditLimit(BigDecimal creditLimit) {
    this.creditLimit = creditLimit;
  }

  public InlineResponse2001 planId(Integer planId) {
    this.planId = planId;
    return this;
  }

   /**
   * Идентификатор тарифа
   * @return planId
  **/
  @ApiModelProperty(example = "null", required = true, value = "Идентификатор тарифа")
  public Integer getPlanId() {
    return planId;
  }

  public void setPlanId(Integer planId) {
    this.planId = planId;
  }

  public InlineResponse2001 periodId(Integer periodId) {
    this.periodId = periodId;
    return this;
  }

   /**
   * Идентификатор тарифа (периода)
   * @return periodId
  **/
  @ApiModelProperty(example = "null", required = true, value = "Идентификатор тарифа (периода)")
  public Integer getPeriodId() {
    return periodId;
  }

  public void setPeriodId(Integer periodId) {
    this.periodId = periodId;
  }

  public InlineResponse2001 contractType(Integer contractType) {
    this.contractType = contractType;
    return this;
  }

   /**
   * Тип договора
   * @return contractType
  **/
  @ApiModelProperty(example = "null", required = true, value = "Тип договора")
  public Integer getContractType() {
    return contractType;
  }

  public void setContractType(Integer contractType) {
    this.contractType = contractType;
  }

  public InlineResponse2001 clientId(Integer clientId) {
    this.clientId = clientId;
    return this;
  }

   /**
   * 
   * @return clientId
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public Integer getClientId() {
    return clientId;
  }

  public void setClientId(Integer clientId) {
    this.clientId = clientId;
  }

  public InlineResponse2001 clientLogin(String clientLogin) {
    this.clientLogin = clientLogin;
    return this;
  }

   /**
   * Логин клиента
   * @return clientLogin
  **/
  @ApiModelProperty(example = "null", required = true, value = "Логин клиента")
  public String getClientLogin() {
    return clientLogin;
  }

  public void setClientLogin(String clientLogin) {
    this.clientLogin = clientLogin;
  }

  public InlineResponse2001 contractId(String contractId) {
    this.contractId = contractId;
    return this;
  }

   /**
   * Номер договора
   * @return contractId
  **/
  @ApiModelProperty(example = "null", required = true, value = "Номер договора")
  public String getContractId() {
    return contractId;
  }

  public void setContractId(String contractId) {
    this.contractId = contractId;
  }

  public InlineResponse2001 nameRus(String nameRus) {
    this.nameRus = nameRus;
    return this;
  }

   /**
   * Имя клиента на русском
   * @return nameRus
  **/
  @ApiModelProperty(example = "null", required = true, value = "Имя клиента на русском")
  public String getNameRus() {
    return nameRus;
  }

  public void setNameRus(String nameRus) {
    this.nameRus = nameRus;
  }

  public InlineResponse2001 nameEng(String nameEng) {
    this.nameEng = nameEng;
    return this;
  }

   /**
   * Имя клиента на английском
   * @return nameEng
  **/
  @ApiModelProperty(example = "null", required = true, value = "Имя клиента на английском")
  public String getNameEng() {
    return nameEng;
  }

  public void setNameEng(String nameEng) {
    this.nameEng = nameEng;
  }

  public InlineResponse2001 email(String email) {
    this.email = email;
    return this;
  }

   /**
   * E-mail клиент
   * @return email
  **/
  @ApiModelProperty(example = "null", required = true, value = "E-mail клиент")
  public String getEmail() {
    return email;
  }

  public void setEmail(String email) {
    this.email = email;
  }

  public InlineResponse2001 statSites(Integer statSites) {
    this.statSites = statSites;
    return this;
  }

   /**
   * Количество созданных сайтов
   * @return statSites
  **/
  @ApiModelProperty(example = "null", required = true, value = "Количество созданных сайтов")
  public Integer getStatSites() {
    return statSites;
  }

  public void setStatSites(Integer statSites) {
    this.statSites = statSites;
  }

  public InlineResponse2001 statSizeMb(Integer statSizeMb) {
    this.statSizeMb = statSizeMb;
    return this;
  }

   /**
   * Используемое дисковое пространство
   * @return statSizeMb
  **/
  @ApiModelProperty(example = "null", required = true, value = "Используемое дисковое пространство")
  public Integer getStatSizeMb() {
    return statSizeMb;
  }

  public void setStatSizeMb(Integer statSizeMb) {
    this.statSizeMb = statSizeMb;
  }

  public InlineResponse2001 statEmails(Integer statEmails) {
    this.statEmails = statEmails;
    return this;
  }

   /**
   * Количество созданных почтовых ящиков
   * @return statEmails
  **/
  @ApiModelProperty(example = "null", required = true, value = "Количество созданных почтовых ящиков")
  public Integer getStatEmails() {
    return statEmails;
  }

  public void setStatEmails(Integer statEmails) {
    this.statEmails = statEmails;
  }

  public InlineResponse2001 statMysqls(Integer statMysqls) {
    this.statMysqls = statMysqls;
    return this;
  }

   /**
   * Количество баз данных MySQL
   * @return statMysqls
  **/
  @ApiModelProperty(example = "null", required = true, value = "Количество баз данных MySQL")
  public Integer getStatMysqls() {
    return statMysqls;
  }

  public void setStatMysqls(Integer statMysqls) {
    this.statMysqls = statMysqls;
  }

  public InlineResponse2001 statTech(Integer statTech) {
    this.statTech = statTech;
    return this;
  }

   /**
   * 
   * @return statTech
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public Integer getStatTech() {
    return statTech;
  }

  public void setStatTech(Integer statTech) {
    this.statTech = statTech;
  }

  public InlineResponse2001 statNicd(Integer statNicd) {
    this.statNicd = statNicd;
    return this;
  }

   /**
   * 
   * @return statNicd
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public Integer getStatNicd() {
    return statNicd;
  }

  public void setStatNicd(Integer statNicd) {
    this.statNicd = statNicd;
  }

  public InlineResponse2001 statAccessDynamic(Integer statAccessDynamic) {
    this.statAccessDynamic = statAccessDynamic;
    return this;
  }

   /**
   * 
   * @return statAccessDynamic
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public Integer getStatAccessDynamic() {
    return statAccessDynamic;
  }

  public void setStatAccessDynamic(Integer statAccessDynamic) {
    this.statAccessDynamic = statAccessDynamic;
  }

  public InlineResponse2001 statAccessStatic(Integer statAccessStatic) {
    this.statAccessStatic = statAccessStatic;
    return this;
  }

   /**
   * 
   * @return statAccessStatic
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public Integer getStatAccessStatic() {
    return statAccessStatic;
  }

  public void setStatAccessStatic(Integer statAccessStatic) {
    this.statAccessStatic = statAccessStatic;
  }

  public InlineResponse2001 statAccessTraffic(Integer statAccessTraffic) {
    this.statAccessTraffic = statAccessTraffic;
    return this;
  }

   /**
   * 
   * @return statAccessTraffic
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public Integer getStatAccessTraffic() {
    return statAccessTraffic;
  }

  public void setStatAccessTraffic(Integer statAccessTraffic) {
    this.statAccessTraffic = statAccessTraffic;
  }

  public InlineResponse2001 statPaidTotal(Integer statPaidTotal) {
    this.statPaidTotal = statPaidTotal;
    return this;
  }

   /**
   * 
   * @return statPaidTotal
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public Integer getStatPaidTotal() {
    return statPaidTotal;
  }

  public void setStatPaidTotal(Integer statPaidTotal) {
    this.statPaidTotal = statPaidTotal;
  }

  public InlineResponse2001 statVdsSize(Integer statVdsSize) {
    this.statVdsSize = statVdsSize;
    return this;
  }

   /**
   * Размер дисков VDS
   * @return statVdsSize
  **/
  @ApiModelProperty(example = "null", required = true, value = "Размер дисков VDS")
  public Integer getStatVdsSize() {
    return statVdsSize;
  }

  public void setStatVdsSize(Integer statVdsSize) {
    this.statVdsSize = statVdsSize;
  }

  public InlineResponse2001 planName(String planName) {
    this.planName = planName;
    return this;
  }

   /**
   * Название тарифного плана
   * @return planName
  **/
  @ApiModelProperty(example = "null", required = true, value = "Название тарифного плана")
  public String getPlanName() {
    return planName;
  }

  public void setPlanName(String planName) {
    this.planName = planName;
  }

  public InlineResponse2001 periodMonths(Integer periodMonths) {
    this.periodMonths = periodMonths;
    return this;
  }

   /**
   * Количество месяцев в оплаченном периоде
   * @return periodMonths
  **/
  @ApiModelProperty(example = "null", required = true, value = "Количество месяцев в оплаченном периоде")
  public Integer getPeriodMonths() {
    return periodMonths;
  }

  public void setPeriodMonths(Integer periodMonths) {
    this.periodMonths = periodMonths;
  }

  public InlineResponse2001 periodPrice(BigDecimal periodPrice) {
    this.periodPrice = periodPrice;
    return this;
  }

   /**
   * Стоимость оплаченного периода
   * @return periodPrice
  **/
  @ApiModelProperty(example = "null", required = true, value = "Стоимость оплаченного периода")
  public BigDecimal getPeriodPrice() {
    return periodPrice;
  }

  public void setPeriodPrice(BigDecimal periodPrice) {
    this.periodPrice = periodPrice;
  }

  public InlineResponse2001 expires(String expires) {
    this.expires = expires;
    return this;
  }

   /**
   * 
   * @return expires
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getExpires() {
    return expires;
  }

  public void setExpires(String expires) {
    this.expires = expires;
  }

  public InlineResponse2001 externalCurrencySpelledPrefix(String externalCurrencySpelledPrefix) {
    this.externalCurrencySpelledPrefix = externalCurrencySpelledPrefix;
    return this;
  }

   /**
   * Префикс для вывода текущей валюты хостинга (например, в строке '$100' префиксом является '$')
   * @return externalCurrencySpelledPrefix
  **/
  @ApiModelProperty(example = "null", required = true, value = "Префикс для вывода текущей валюты хостинга (например, в строке '$100' префиксом является '$')")
  public String getExternalCurrencySpelledPrefix() {
    return externalCurrencySpelledPrefix;
  }

  public void setExternalCurrencySpelledPrefix(String externalCurrencySpelledPrefix) {
    this.externalCurrencySpelledPrefix = externalCurrencySpelledPrefix;
  }

  public InlineResponse2001 externalCurrencySpelledSuffix(String externalCurrencySpelledSuffix) {
    this.externalCurrencySpelledSuffix = externalCurrencySpelledSuffix;
    return this;
  }

   /**
   * Суффикс для вывода текущей валюты хостинга (например, в строке '100 руб.' суффиксом является ' руб.'
   * @return externalCurrencySpelledSuffix
  **/
  @ApiModelProperty(example = "null", required = true, value = "Суффикс для вывода текущей валюты хостинга (например, в строке '100 руб.' суффиксом является ' руб.'")
  public String getExternalCurrencySpelledSuffix() {
    return externalCurrencySpelledSuffix;
  }

  public void setExternalCurrencySpelledSuffix(String externalCurrencySpelledSuffix) {
    this.externalCurrencySpelledSuffix = externalCurrencySpelledSuffix;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse2001 inlineResponse2001 = (InlineResponse2001) o;
    return Objects.equals(this.id, inlineResponse2001.id) &&
        Objects.equals(this.description, inlineResponse2001.description) &&
        Objects.equals(this.billingGroupId, inlineResponse2001.billingGroupId) &&
        Objects.equals(this.blocked, inlineResponse2001.blocked) &&
        Objects.equals(this.blockedDate, inlineResponse2001.blockedDate) &&
        Objects.equals(this.blockedReason, inlineResponse2001.blockedReason) &&
        Objects.equals(this.creditLimit, inlineResponse2001.creditLimit) &&
        Objects.equals(this.planId, inlineResponse2001.planId) &&
        Objects.equals(this.periodId, inlineResponse2001.periodId) &&
        Objects.equals(this.contractType, inlineResponse2001.contractType) &&
        Objects.equals(this.clientId, inlineResponse2001.clientId) &&
        Objects.equals(this.clientLogin, inlineResponse2001.clientLogin) &&
        Objects.equals(this.contractId, inlineResponse2001.contractId) &&
        Objects.equals(this.nameRus, inlineResponse2001.nameRus) &&
        Objects.equals(this.nameEng, inlineResponse2001.nameEng) &&
        Objects.equals(this.email, inlineResponse2001.email) &&
        Objects.equals(this.statSites, inlineResponse2001.statSites) &&
        Objects.equals(this.statSizeMb, inlineResponse2001.statSizeMb) &&
        Objects.equals(this.statEmails, inlineResponse2001.statEmails) &&
        Objects.equals(this.statMysqls, inlineResponse2001.statMysqls) &&
        Objects.equals(this.statTech, inlineResponse2001.statTech) &&
        Objects.equals(this.statNicd, inlineResponse2001.statNicd) &&
        Objects.equals(this.statAccessDynamic, inlineResponse2001.statAccessDynamic) &&
        Objects.equals(this.statAccessStatic, inlineResponse2001.statAccessStatic) &&
        Objects.equals(this.statAccessTraffic, inlineResponse2001.statAccessTraffic) &&
        Objects.equals(this.statPaidTotal, inlineResponse2001.statPaidTotal) &&
        Objects.equals(this.statVdsSize, inlineResponse2001.statVdsSize) &&
        Objects.equals(this.planName, inlineResponse2001.planName) &&
        Objects.equals(this.periodMonths, inlineResponse2001.periodMonths) &&
        Objects.equals(this.periodPrice, inlineResponse2001.periodPrice) &&
        Objects.equals(this.expires, inlineResponse2001.expires) &&
        Objects.equals(this.externalCurrencySpelledPrefix, inlineResponse2001.externalCurrencySpelledPrefix) &&
        Objects.equals(this.externalCurrencySpelledSuffix, inlineResponse2001.externalCurrencySpelledSuffix);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, description, billingGroupId, blocked, blockedDate, blockedReason, creditLimit, planId, periodId, contractType, clientId, clientLogin, contractId, nameRus, nameEng, email, statSites, statSizeMb, statEmails, statMysqls, statTech, statNicd, statAccessDynamic, statAccessStatic, statAccessTraffic, statPaidTotal, statVdsSize, planName, periodMonths, periodPrice, expires, externalCurrencySpelledPrefix, externalCurrencySpelledSuffix);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2001 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("    billingGroupId: ").append(toIndentedString(billingGroupId)).append("\n");
    sb.append("    blocked: ").append(toIndentedString(blocked)).append("\n");
    sb.append("    blockedDate: ").append(toIndentedString(blockedDate)).append("\n");
    sb.append("    blockedReason: ").append(toIndentedString(blockedReason)).append("\n");
    sb.append("    creditLimit: ").append(toIndentedString(creditLimit)).append("\n");
    sb.append("    planId: ").append(toIndentedString(planId)).append("\n");
    sb.append("    periodId: ").append(toIndentedString(periodId)).append("\n");
    sb.append("    contractType: ").append(toIndentedString(contractType)).append("\n");
    sb.append("    clientId: ").append(toIndentedString(clientId)).append("\n");
    sb.append("    clientLogin: ").append(toIndentedString(clientLogin)).append("\n");
    sb.append("    contractId: ").append(toIndentedString(contractId)).append("\n");
    sb.append("    nameRus: ").append(toIndentedString(nameRus)).append("\n");
    sb.append("    nameEng: ").append(toIndentedString(nameEng)).append("\n");
    sb.append("    email: ").append(toIndentedString(email)).append("\n");
    sb.append("    statSites: ").append(toIndentedString(statSites)).append("\n");
    sb.append("    statSizeMb: ").append(toIndentedString(statSizeMb)).append("\n");
    sb.append("    statEmails: ").append(toIndentedString(statEmails)).append("\n");
    sb.append("    statMysqls: ").append(toIndentedString(statMysqls)).append("\n");
    sb.append("    statTech: ").append(toIndentedString(statTech)).append("\n");
    sb.append("    statNicd: ").append(toIndentedString(statNicd)).append("\n");
    sb.append("    statAccessDynamic: ").append(toIndentedString(statAccessDynamic)).append("\n");
    sb.append("    statAccessStatic: ").append(toIndentedString(statAccessStatic)).append("\n");
    sb.append("    statAccessTraffic: ").append(toIndentedString(statAccessTraffic)).append("\n");
    sb.append("    statPaidTotal: ").append(toIndentedString(statPaidTotal)).append("\n");
    sb.append("    statVdsSize: ").append(toIndentedString(statVdsSize)).append("\n");
    sb.append("    planName: ").append(toIndentedString(planName)).append("\n");
    sb.append("    periodMonths: ").append(toIndentedString(periodMonths)).append("\n");
    sb.append("    periodPrice: ").append(toIndentedString(periodPrice)).append("\n");
    sb.append("    expires: ").append(toIndentedString(expires)).append("\n");
    sb.append("    externalCurrencySpelledPrefix: ").append(toIndentedString(externalCurrencySpelledPrefix)).append("\n");
    sb.append("    externalCurrencySpelledSuffix: ").append(toIndentedString(externalCurrencySpelledSuffix)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

