/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package io.swagger.client.model;

import java.util.Objects;
import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * InlineResponse20012
 */
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaClientCodegen", date = "2016-11-03T11:50:36.776+04:00")
public class InlineResponse20012   {
  @SerializedName("id")
  private Integer id = null;

  @SerializedName("deleted")
  private Boolean deleted = null;

  @SerializedName("online")
  private Boolean online = null;

  @SerializedName("stopped")
  private Boolean stopped = null;

  @SerializedName("pwd")
  private String pwd = null;

  @SerializedName("template")
  private String template = null;

  @SerializedName("type_full")
  private String typeFull = null;

  @SerializedName("physical_mac")
  private String physicalMac = null;

  @SerializedName("type")
  private String type = null;

  public InlineResponse20012 id(Integer id) {
    this.id = id;
    return this;
  }

   /**
   * идентификатор VDS
   * @return id
  **/
  @ApiModelProperty(example = "null", required = true, value = "идентификатор VDS")
  public Integer getId() {
    return id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  public InlineResponse20012 deleted(Boolean deleted) {
    this.deleted = deleted;
    return this;
  }

   /**
   * VDS удалён если true
   * @return deleted
  **/
  @ApiModelProperty(example = "null", required = true, value = "VDS удалён если true")
  public Boolean getDeleted() {
    return deleted;
  }

  public void setDeleted(Boolean deleted) {
    this.deleted = deleted;
  }

  public InlineResponse20012 online(Boolean online) {
    this.online = online;
    return this;
  }

   /**
   * VDS работает нормально если true
   * @return online
  **/
  @ApiModelProperty(example = "null", required = true, value = "VDS работает нормально если true")
  public Boolean getOnline() {
    return online;
  }

  public void setOnline(Boolean online) {
    this.online = online;
  }

  public InlineResponse20012 stopped(Boolean stopped) {
    this.stopped = stopped;
    return this;
  }

   /**
   * VDS остановлен если true
   * @return stopped
  **/
  @ApiModelProperty(example = "null", required = true, value = "VDS остановлен если true")
  public Boolean getStopped() {
    return stopped;
  }

  public void setStopped(Boolean stopped) {
    this.stopped = stopped;
  }

  public InlineResponse20012 pwd(String pwd) {
    this.pwd = pwd;
    return this;
  }

   /**
   * изначальный пароль администратора или root
   * @return pwd
  **/
  @ApiModelProperty(example = "null", required = true, value = "изначальный пароль администратора или root")
  public String getPwd() {
    return pwd;
  }

  public void setPwd(String pwd) {
    this.pwd = pwd;
  }

  public InlineResponse20012 template(String template) {
    this.template = template;
    return this;
  }

   /**
   * шаблон, на основе которого был создан VDS
   * @return template
  **/
  @ApiModelProperty(example = "null", required = true, value = "шаблон, на основе которого был создан VDS")
  public String getTemplate() {
    return template;
  }

  public void setTemplate(String template) {
    this.template = template;
  }

  public InlineResponse20012 typeFull(String typeFull) {
    this.typeFull = typeFull;
    return this;
  }

   /**
   * полное описание типа VDS
   * @return typeFull
  **/
  @ApiModelProperty(example = "null", required = true, value = "полное описание типа VDS")
  public String getTypeFull() {
    return typeFull;
  }

  public void setTypeFull(String typeFull) {
    this.typeFull = typeFull;
  }

  public InlineResponse20012 physicalMac(String physicalMac) {
    this.physicalMac = physicalMac;
    return this;
  }

   /**
   * MAC-адрес VDS
   * @return physicalMac
  **/
  @ApiModelProperty(example = "null", required = true, value = "MAC-адрес VDS")
  public String getPhysicalMac() {
    return physicalMac;
  }

  public void setPhysicalMac(String physicalMac) {
    this.physicalMac = physicalMac;
  }

  public InlineResponse20012 type(String type) {
    this.type = type;
    return this;
  }

   /**
   * тип VDS
   * @return type
  **/
  @ApiModelProperty(example = "null", required = true, value = "тип VDS")
  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse20012 inlineResponse20012 = (InlineResponse20012) o;
    return Objects.equals(this.id, inlineResponse20012.id) &&
        Objects.equals(this.deleted, inlineResponse20012.deleted) &&
        Objects.equals(this.online, inlineResponse20012.online) &&
        Objects.equals(this.stopped, inlineResponse20012.stopped) &&
        Objects.equals(this.pwd, inlineResponse20012.pwd) &&
        Objects.equals(this.template, inlineResponse20012.template) &&
        Objects.equals(this.typeFull, inlineResponse20012.typeFull) &&
        Objects.equals(this.physicalMac, inlineResponse20012.physicalMac) &&
        Objects.equals(this.type, inlineResponse20012.type);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, deleted, online, stopped, pwd, template, typeFull, physicalMac, type);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse20012 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    deleted: ").append(toIndentedString(deleted)).append("\n");
    sb.append("    online: ").append(toIndentedString(online)).append("\n");
    sb.append("    stopped: ").append(toIndentedString(stopped)).append("\n");
    sb.append("    pwd: ").append(toIndentedString(pwd)).append("\n");
    sb.append("    template: ").append(toIndentedString(template)).append("\n");
    sb.append("    typeFull: ").append(toIndentedString(typeFull)).append("\n");
    sb.append("    physicalMac: ").append(toIndentedString(physicalMac)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

