/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package io.swagger.client.model;

import java.util.Objects;
import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * InlineResponse20014
 */
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaClientCodegen", date = "2016-11-03T11:50:36.776+04:00")
public class InlineResponse20014   {
  @SerializedName("id")
  private Integer id = null;

  @SerializedName("status")
  private String status = null;

  @SerializedName("unmovable")
  private String unmovable = null;

  @SerializedName("online")
  private String online = null;

  @SerializedName("deleted")
  private String deleted = null;

  @SerializedName("deleted_auto")
  private String deletedAuto = null;

  @SerializedName("deleted_dump")
  private String deletedDump = null;

  @SerializedName("user_id")
  private String userId = null;

  @SerializedName("ftp_id")
  private String ftpId = null;

  @SerializedName("dns_id")
  private String dnsId = null;

  @SerializedName("iis_id")
  private String iisId = null;

  @SerializedName("iis_binding")
  private String iisBinding = null;

  @SerializedName("iis_path")
  private String iisPath = null;

  @SerializedName("iis_comments")
  private String iisComments = null;

  @SerializedName("memo")
  private String memo = null;

  @SerializedName("date_reg")
  private String dateReg = null;

  @SerializedName("server")
  private String server = null;

  @SerializedName("server_bak")
  private String serverBak = null;

  @SerializedName("server_aux")
  private String serverAux = null;

  @SerializedName("server_transition")
  private String serverTransition = null;

  @SerializedName("server_transition_dtc")
  private String serverTransitionDtc = null;

  @SerializedName("block_transfer")
  private String blockTransfer = null;

  @SerializedName("server_changed_time")
  private String serverChangedTime = null;

  @SerializedName("size_amount")
  private String sizeAmount = null;

  @SerializedName("size_file_count")
  private String sizeFileCount = null;

  @SerializedName("size_file_count_limit")
  private String sizeFileCountLimit = null;

  @SerializedName("size_date")
  private String sizeDate = null;

  @SerializedName("size_priority_scan")
  private String sizePriorityScan = null;

  @SerializedName("copy_logs")
  private String copyLogs = null;

  @SerializedName("content_comments")
  private String contentComments = null;

  @SerializedName("content_comments_verbose")
  private String contentCommentsVerbose = null;

  @SerializedName("meta_save_count")
  private String metaSaveCount = null;

  @SerializedName("base_folder")
  private String baseFolder = null;

  @SerializedName("virtualhost_conf")
  private String virtualhostConf = null;

  @SerializedName("virtualhost_server")
  private String virtualhostServer = null;

  @SerializedName("virtualhost_server_conf")
  private String virtualhostServerConf = null;

  @SerializedName("live_day_count")
  private String liveDayCount = null;

  @SerializedName("scan_date")
  private String scanDate = null;

  @SerializedName("global_transfer_count")
  private String globalTransferCount = null;

  @SerializedName("net_limit_file")
  private String netLimitFile = null;

  @SerializedName("net_limit_deny_from_ip")
  private String netLimitDenyFromIp = null;

  @SerializedName("net_limit_deny_from_agent")
  private String netLimitDenyFromAgent = null;

  @SerializedName("apache_php_pooled")
  private String apachePhpPooled = null;

  @SerializedName("apache_php_pooled_ext")
  private String apachePhpPooledExt = null;

  @SerializedName("apache_php_pooled_ext_auto")
  private String apachePhpPooledExtAuto = null;

  @SerializedName("apache_php_pool1_only")
  private String apachePhpPool1Only = null;

  @SerializedName("apache_php_pool5_only")
  private String apachePhpPool5Only = null;

  @SerializedName("apache_ssi")
  private String apacheSsi = null;

  @SerializedName("bypass_security")
  private String bypassSecurity = null;

  @SerializedName("flag_generic_exec")
  private String flagGenericExec = null;

  @SerializedName("flag_no_www")
  private String flagNoWww = null;

  @SerializedName("base_folder_suffix")
  private String baseFolderSuffix = null;

  @SerializedName("feedback_speed")
  private String feedbackSpeed = null;

  @SerializedName("feedback_speed_dtc")
  private String feedbackSpeedDtc = null;

  @SerializedName("feedback_speed_feedback")
  private String feedbackSpeedFeedback = null;

  @SerializedName("unix_path_on_windows")
  private String unixPathOnWindows = null;

  @SerializedName("ftp_ipfilter")
  private String ftpIpfilter = null;

  @SerializedName("ssh_ipfilter")
  private String sshIpfilter = null;

  @SerializedName("l3d_auto")
  private String l3dAuto = null;

  @SerializedName("awstats_primary_domain")
  private String awstatsPrimaryDomain = null;

  @SerializedName("sharepoint_mode")
  private String sharepointMode = null;

  @SerializedName("sharepoint_mode_pending")
  private String sharepointModePending = null;

  @SerializedName("apache_generic_pool_port")
  private String apacheGenericPoolPort = null;

  @SerializedName("mongrel_environment")
  private String mongrelEnvironment = null;

  @SerializedName("flag_free")
  private String flagFree = null;

  @SerializedName("rtm_scan_date")
  private String rtmScanDate = null;

  @SerializedName("analyze_analog")
  private String analyzeAnalog = null;

  @SerializedName("cpu_details_enabled")
  private String cpuDetailsEnabled = null;

  @SerializedName("content_moderated_status")
  private String contentModeratedStatus = null;

  @SerializedName("content_moderated_date")
  private String contentModeratedDate = null;

  @SerializedName("http_frontend_ip")
  private String httpFrontendIp = null;

  @SerializedName("http_frontend_ip_transition")
  private String httpFrontendIpTransition = null;

  @SerializedName("cpu_limit_exceeded_date")
  private String cpuLimitExceededDate = null;

  @SerializedName("aufs_template")
  private String aufsTemplate = null;

  @SerializedName("options_autolimit")
  private String optionsAutolimit = null;

  @SerializedName("iis_creation_commands")
  private String iisCreationCommands = null;

  @SerializedName("iis_creation_commands_unix")
  private String iisCreationCommandsUnix = null;

  @SerializedName("thumb_date")
  private String thumbDate = null;

  @SerializedName("thumb_failed")
  private String thumbFailed = null;

  @SerializedName("backup_stat_date")
  private String backupStatDate = null;

  @SerializedName("backup_date")
  private String backupDate = null;

  @SerializedName("detected_packages")
  private String detectedPackages = null;

  @SerializedName("stat_site_power")
  private String statSitePower = null;

  @SerializedName("smtp_from")
  private String smtpFrom = null;

  @SerializedName("super_backup_date")
  private String superBackupDate = null;

  @SerializedName("backup_delta_stat_date")
  private String backupDeltaStatDate = null;

  @SerializedName("backup_delta_date")
  private String backupDeltaDate = null;

  @SerializedName("backup_delta_desc")
  private String backupDeltaDesc = null;

  @SerializedName("alt_docroot_server")
  private String altDocrootServer = null;

  @SerializedName("alt_docroot_path")
  private String altDocrootPath = null;

  @SerializedName("alt_docroot_status")
  private String altDocrootStatus = null;

  @SerializedName("alt_docroot_status_cnt")
  private String altDocrootStatusCnt = null;

  @SerializedName("alt_docroot_status_date")
  private String altDocrootStatusDate = null;

  @SerializedName("bind_dtc")
  private String bindDtc = null;

  @SerializedName("backup_special_mode")
  private String backupSpecialMode = null;

  @SerializedName("size_check_problem")
  private String sizeCheckProblem = null;

  @SerializedName("wpb_domain")
  private String wpbDomain = null;

  @SerializedName("wpb_uuid")
  private String wpbUuid = null;

  @SerializedName("wpb_status")
  private String wpbStatus = null;

  @SerializedName("admin_protection")
  private String adminProtection = null;

  @SerializedName("size_comments")
  private String sizeComments = null;

  @SerializedName("alt_docroot_ssd_req")
  private String altDocrootSsdReq = null;

  @SerializedName("mail_limit")
  private String mailLimit = null;

  @SerializedName("mail_accept")
  private String mailAccept = null;

  @SerializedName("mail_drop")
  private String mailDrop = null;

  @SerializedName("ftp_name")
  private String ftpName = null;

  @SerializedName("ftp_pwd")
  private String ftpPwd = null;

  public InlineResponse20014 id(Integer id) {
    this.id = id;
    return this;
  }

   /**
   * 
   * @return id
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public Integer getId() {
    return id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  public InlineResponse20014 status(String status) {
    this.status = status;
    return this;
  }

   /**
   * 
   * @return status
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }

  public InlineResponse20014 unmovable(String unmovable) {
    this.unmovable = unmovable;
    return this;
  }

   /**
   * 
   * @return unmovable
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getUnmovable() {
    return unmovable;
  }

  public void setUnmovable(String unmovable) {
    this.unmovable = unmovable;
  }

  public InlineResponse20014 online(String online) {
    this.online = online;
    return this;
  }

   /**
   * Включен (активен), если true.
   * @return online
  **/
  @ApiModelProperty(example = "null", required = true, value = "Включен (активен), если true.")
  public String getOnline() {
    return online;
  }

  public void setOnline(String online) {
    this.online = online;
  }

  public InlineResponse20014 deleted(String deleted) {
    this.deleted = deleted;
    return this;
  }

   /**
   * Удален, если true. Данные могут сохраняться.
   * @return deleted
  **/
  @ApiModelProperty(example = "null", required = true, value = "Удален, если true. Данные могут сохраняться.")
  public String getDeleted() {
    return deleted;
  }

  public void setDeleted(String deleted) {
    this.deleted = deleted;
  }

  public InlineResponse20014 deletedAuto(String deletedAuto) {
    this.deletedAuto = deletedAuto;
    return this;
  }

   /**
   * Удален, если true. Данные могут сохраняться.
   * @return deletedAuto
  **/
  @ApiModelProperty(example = "null", required = true, value = "Удален, если true. Данные могут сохраняться.")
  public String getDeletedAuto() {
    return deletedAuto;
  }

  public void setDeletedAuto(String deletedAuto) {
    this.deletedAuto = deletedAuto;
  }

  public InlineResponse20014 deletedDump(String deletedDump) {
    this.deletedDump = deletedDump;
    return this;
  }

   /**
   * 
   * @return deletedDump
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getDeletedDump() {
    return deletedDump;
  }

  public void setDeletedDump(String deletedDump) {
    this.deletedDump = deletedDump;
  }

  public InlineResponse20014 userId(String userId) {
    this.userId = userId;
    return this;
  }

   /**
   * 
   * @return userId
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getUserId() {
    return userId;
  }

  public void setUserId(String userId) {
    this.userId = userId;
  }

  public InlineResponse20014 ftpId(String ftpId) {
    this.ftpId = ftpId;
    return this;
  }

   /**
   * 
   * @return ftpId
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getFtpId() {
    return ftpId;
  }

  public void setFtpId(String ftpId) {
    this.ftpId = ftpId;
  }

  public InlineResponse20014 dnsId(String dnsId) {
    this.dnsId = dnsId;
    return this;
  }

   /**
   * 
   * @return dnsId
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getDnsId() {
    return dnsId;
  }

  public void setDnsId(String dnsId) {
    this.dnsId = dnsId;
  }

  public InlineResponse20014 iisId(String iisId) {
    this.iisId = iisId;
    return this;
  }

   /**
   * 
   * @return iisId
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getIisId() {
    return iisId;
  }

  public void setIisId(String iisId) {
    this.iisId = iisId;
  }

  public InlineResponse20014 iisBinding(String iisBinding) {
    this.iisBinding = iisBinding;
    return this;
  }

   /**
   * 
   * @return iisBinding
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getIisBinding() {
    return iisBinding;
  }

  public void setIisBinding(String iisBinding) {
    this.iisBinding = iisBinding;
  }

  public InlineResponse20014 iisPath(String iisPath) {
    this.iisPath = iisPath;
    return this;
  }

   /**
   * 
   * @return iisPath
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getIisPath() {
    return iisPath;
  }

  public void setIisPath(String iisPath) {
    this.iisPath = iisPath;
  }

  public InlineResponse20014 iisComments(String iisComments) {
    this.iisComments = iisComments;
    return this;
  }

   /**
   * Уникальное строковое имя сайта (ID).
   * @return iisComments
  **/
  @ApiModelProperty(example = "null", required = true, value = "Уникальное строковое имя сайта (ID).")
  public String getIisComments() {
    return iisComments;
  }

  public void setIisComments(String iisComments) {
    this.iisComments = iisComments;
  }

  public InlineResponse20014 memo(String memo) {
    this.memo = memo;
    return this;
  }

   /**
   * 
   * @return memo
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getMemo() {
    return memo;
  }

  public void setMemo(String memo) {
    this.memo = memo;
  }

  public InlineResponse20014 dateReg(String dateReg) {
    this.dateReg = dateReg;
    return this;
  }

   /**
   * Дата создания.
   * @return dateReg
  **/
  @ApiModelProperty(example = "null", required = true, value = "Дата создания.")
  public String getDateReg() {
    return dateReg;
  }

  public void setDateReg(String dateReg) {
    this.dateReg = dateReg;
  }

  public InlineResponse20014 server(String server) {
    this.server = server;
    return this;
  }

   /**
   * Тип веб-сервера.
   * @return server
  **/
  @ApiModelProperty(example = "null", required = true, value = "Тип веб-сервера.")
  public String getServer() {
    return server;
  }

  public void setServer(String server) {
    this.server = server;
  }

  public InlineResponse20014 serverBak(String serverBak) {
    this.serverBak = serverBak;
    return this;
  }

   /**
   * 
   * @return serverBak
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getServerBak() {
    return serverBak;
  }

  public void setServerBak(String serverBak) {
    this.serverBak = serverBak;
  }

  public InlineResponse20014 serverAux(String serverAux) {
    this.serverAux = serverAux;
    return this;
  }

   /**
   * 
   * @return serverAux
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getServerAux() {
    return serverAux;
  }

  public void setServerAux(String serverAux) {
    this.serverAux = serverAux;
  }

  public InlineResponse20014 serverTransition(String serverTransition) {
    this.serverTransition = serverTransition;
    return this;
  }

   /**
   * Тип сервера недавно изменялся, если true.
   * @return serverTransition
  **/
  @ApiModelProperty(example = "null", required = true, value = "Тип сервера недавно изменялся, если true.")
  public String getServerTransition() {
    return serverTransition;
  }

  public void setServerTransition(String serverTransition) {
    this.serverTransition = serverTransition;
  }

  public InlineResponse20014 serverTransitionDtc(String serverTransitionDtc) {
    this.serverTransitionDtc = serverTransitionDtc;
    return this;
  }

   /**
   * 
   * @return serverTransitionDtc
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getServerTransitionDtc() {
    return serverTransitionDtc;
  }

  public void setServerTransitionDtc(String serverTransitionDtc) {
    this.serverTransitionDtc = serverTransitionDtc;
  }

  public InlineResponse20014 blockTransfer(String blockTransfer) {
    this.blockTransfer = blockTransfer;
    return this;
  }

   /**
   * 
   * @return blockTransfer
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getBlockTransfer() {
    return blockTransfer;
  }

  public void setBlockTransfer(String blockTransfer) {
    this.blockTransfer = blockTransfer;
  }

  public InlineResponse20014 serverChangedTime(String serverChangedTime) {
    this.serverChangedTime = serverChangedTime;
    return this;
  }

   /**
   * 
   * @return serverChangedTime
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getServerChangedTime() {
    return serverChangedTime;
  }

  public void setServerChangedTime(String serverChangedTime) {
    this.serverChangedTime = serverChangedTime;
  }

  public InlineResponse20014 sizeAmount(String sizeAmount) {
    this.sizeAmount = sizeAmount;
    return this;
  }

   /**
   * Размер веб-сайта - объем (Кб).
   * @return sizeAmount
  **/
  @ApiModelProperty(example = "null", required = true, value = "Размер веб-сайта - объем (Кб).")
  public String getSizeAmount() {
    return sizeAmount;
  }

  public void setSizeAmount(String sizeAmount) {
    this.sizeAmount = sizeAmount;
  }

  public InlineResponse20014 sizeFileCount(String sizeFileCount) {
    this.sizeFileCount = sizeFileCount;
    return this;
  }

   /**
   * Размер веб-сайта - кол-во файлов.
   * @return sizeFileCount
  **/
  @ApiModelProperty(example = "null", required = true, value = "Размер веб-сайта - кол-во файлов.")
  public String getSizeFileCount() {
    return sizeFileCount;
  }

  public void setSizeFileCount(String sizeFileCount) {
    this.sizeFileCount = sizeFileCount;
  }

  public InlineResponse20014 sizeFileCountLimit(String sizeFileCountLimit) {
    this.sizeFileCountLimit = sizeFileCountLimit;
    return this;
  }

   /**
   * 
   * @return sizeFileCountLimit
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getSizeFileCountLimit() {
    return sizeFileCountLimit;
  }

  public void setSizeFileCountLimit(String sizeFileCountLimit) {
    this.sizeFileCountLimit = sizeFileCountLimit;
  }

  public InlineResponse20014 sizeDate(String sizeDate) {
    this.sizeDate = sizeDate;
    return this;
  }

   /**
   * Размер веб-сайта - дата замера.
   * @return sizeDate
  **/
  @ApiModelProperty(example = "null", required = true, value = "Размер веб-сайта - дата замера.")
  public String getSizeDate() {
    return sizeDate;
  }

  public void setSizeDate(String sizeDate) {
    this.sizeDate = sizeDate;
  }

  public InlineResponse20014 sizePriorityScan(String sizePriorityScan) {
    this.sizePriorityScan = sizePriorityScan;
    return this;
  }

   /**
   * 
   * @return sizePriorityScan
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getSizePriorityScan() {
    return sizePriorityScan;
  }

  public void setSizePriorityScan(String sizePriorityScan) {
    this.sizePriorityScan = sizePriorityScan;
  }

  public InlineResponse20014 copyLogs(String copyLogs) {
    this.copyLogs = copyLogs;
    return this;
  }

   /**
   * 
   * @return copyLogs
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getCopyLogs() {
    return copyLogs;
  }

  public void setCopyLogs(String copyLogs) {
    this.copyLogs = copyLogs;
  }

  public InlineResponse20014 contentComments(String contentComments) {
    this.contentComments = contentComments;
    return this;
  }

   /**
   * 
   * @return contentComments
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getContentComments() {
    return contentComments;
  }

  public void setContentComments(String contentComments) {
    this.contentComments = contentComments;
  }

  public InlineResponse20014 contentCommentsVerbose(String contentCommentsVerbose) {
    this.contentCommentsVerbose = contentCommentsVerbose;
    return this;
  }

   /**
   * 
   * @return contentCommentsVerbose
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getContentCommentsVerbose() {
    return contentCommentsVerbose;
  }

  public void setContentCommentsVerbose(String contentCommentsVerbose) {
    this.contentCommentsVerbose = contentCommentsVerbose;
  }

  public InlineResponse20014 metaSaveCount(String metaSaveCount) {
    this.metaSaveCount = metaSaveCount;
    return this;
  }

   /**
   * 
   * @return metaSaveCount
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getMetaSaveCount() {
    return metaSaveCount;
  }

  public void setMetaSaveCount(String metaSaveCount) {
    this.metaSaveCount = metaSaveCount;
  }

  public InlineResponse20014 baseFolder(String baseFolder) {
    this.baseFolder = baseFolder;
    return this;
  }

   /**
   * 
   * @return baseFolder
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getBaseFolder() {
    return baseFolder;
  }

  public void setBaseFolder(String baseFolder) {
    this.baseFolder = baseFolder;
  }

  public InlineResponse20014 virtualhostConf(String virtualhostConf) {
    this.virtualhostConf = virtualhostConf;
    return this;
  }

   /**
   * 
   * @return virtualhostConf
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getVirtualhostConf() {
    return virtualhostConf;
  }

  public void setVirtualhostConf(String virtualhostConf) {
    this.virtualhostConf = virtualhostConf;
  }

  public InlineResponse20014 virtualhostServer(String virtualhostServer) {
    this.virtualhostServer = virtualhostServer;
    return this;
  }

   /**
   * 
   * @return virtualhostServer
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getVirtualhostServer() {
    return virtualhostServer;
  }

  public void setVirtualhostServer(String virtualhostServer) {
    this.virtualhostServer = virtualhostServer;
  }

  public InlineResponse20014 virtualhostServerConf(String virtualhostServerConf) {
    this.virtualhostServerConf = virtualhostServerConf;
    return this;
  }

   /**
   * 
   * @return virtualhostServerConf
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getVirtualhostServerConf() {
    return virtualhostServerConf;
  }

  public void setVirtualhostServerConf(String virtualhostServerConf) {
    this.virtualhostServerConf = virtualhostServerConf;
  }

  public InlineResponse20014 liveDayCount(String liveDayCount) {
    this.liveDayCount = liveDayCount;
    return this;
  }

   /**
   * 
   * @return liveDayCount
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getLiveDayCount() {
    return liveDayCount;
  }

  public void setLiveDayCount(String liveDayCount) {
    this.liveDayCount = liveDayCount;
  }

  public InlineResponse20014 scanDate(String scanDate) {
    this.scanDate = scanDate;
    return this;
  }

   /**
   * 
   * @return scanDate
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getScanDate() {
    return scanDate;
  }

  public void setScanDate(String scanDate) {
    this.scanDate = scanDate;
  }

  public InlineResponse20014 globalTransferCount(String globalTransferCount) {
    this.globalTransferCount = globalTransferCount;
    return this;
  }

   /**
   * 
   * @return globalTransferCount
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getGlobalTransferCount() {
    return globalTransferCount;
  }

  public void setGlobalTransferCount(String globalTransferCount) {
    this.globalTransferCount = globalTransferCount;
  }

  public InlineResponse20014 netLimitFile(String netLimitFile) {
    this.netLimitFile = netLimitFile;
    return this;
  }

   /**
   * 
   * @return netLimitFile
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getNetLimitFile() {
    return netLimitFile;
  }

  public void setNetLimitFile(String netLimitFile) {
    this.netLimitFile = netLimitFile;
  }

  public InlineResponse20014 netLimitDenyFromIp(String netLimitDenyFromIp) {
    this.netLimitDenyFromIp = netLimitDenyFromIp;
    return this;
  }

   /**
   * 
   * @return netLimitDenyFromIp
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getNetLimitDenyFromIp() {
    return netLimitDenyFromIp;
  }

  public void setNetLimitDenyFromIp(String netLimitDenyFromIp) {
    this.netLimitDenyFromIp = netLimitDenyFromIp;
  }

  public InlineResponse20014 netLimitDenyFromAgent(String netLimitDenyFromAgent) {
    this.netLimitDenyFromAgent = netLimitDenyFromAgent;
    return this;
  }

   /**
   * 
   * @return netLimitDenyFromAgent
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getNetLimitDenyFromAgent() {
    return netLimitDenyFromAgent;
  }

  public void setNetLimitDenyFromAgent(String netLimitDenyFromAgent) {
    this.netLimitDenyFromAgent = netLimitDenyFromAgent;
  }

  public InlineResponse20014 apachePhpPooled(String apachePhpPooled) {
    this.apachePhpPooled = apachePhpPooled;
    return this;
  }

   /**
   * 
   * @return apachePhpPooled
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getApachePhpPooled() {
    return apachePhpPooled;
  }

  public void setApachePhpPooled(String apachePhpPooled) {
    this.apachePhpPooled = apachePhpPooled;
  }

  public InlineResponse20014 apachePhpPooledExt(String apachePhpPooledExt) {
    this.apachePhpPooledExt = apachePhpPooledExt;
    return this;
  }

   /**
   * 
   * @return apachePhpPooledExt
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getApachePhpPooledExt() {
    return apachePhpPooledExt;
  }

  public void setApachePhpPooledExt(String apachePhpPooledExt) {
    this.apachePhpPooledExt = apachePhpPooledExt;
  }

  public InlineResponse20014 apachePhpPooledExtAuto(String apachePhpPooledExtAuto) {
    this.apachePhpPooledExtAuto = apachePhpPooledExtAuto;
    return this;
  }

   /**
   * 
   * @return apachePhpPooledExtAuto
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getApachePhpPooledExtAuto() {
    return apachePhpPooledExtAuto;
  }

  public void setApachePhpPooledExtAuto(String apachePhpPooledExtAuto) {
    this.apachePhpPooledExtAuto = apachePhpPooledExtAuto;
  }

  public InlineResponse20014 apachePhpPool1Only(String apachePhpPool1Only) {
    this.apachePhpPool1Only = apachePhpPool1Only;
    return this;
  }

   /**
   * 
   * @return apachePhpPool1Only
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getApachePhpPool1Only() {
    return apachePhpPool1Only;
  }

  public void setApachePhpPool1Only(String apachePhpPool1Only) {
    this.apachePhpPool1Only = apachePhpPool1Only;
  }

  public InlineResponse20014 apachePhpPool5Only(String apachePhpPool5Only) {
    this.apachePhpPool5Only = apachePhpPool5Only;
    return this;
  }

   /**
   * 
   * @return apachePhpPool5Only
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getApachePhpPool5Only() {
    return apachePhpPool5Only;
  }

  public void setApachePhpPool5Only(String apachePhpPool5Only) {
    this.apachePhpPool5Only = apachePhpPool5Only;
  }

  public InlineResponse20014 apacheSsi(String apacheSsi) {
    this.apacheSsi = apacheSsi;
    return this;
  }

   /**
   * 
   * @return apacheSsi
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getApacheSsi() {
    return apacheSsi;
  }

  public void setApacheSsi(String apacheSsi) {
    this.apacheSsi = apacheSsi;
  }

  public InlineResponse20014 bypassSecurity(String bypassSecurity) {
    this.bypassSecurity = bypassSecurity;
    return this;
  }

   /**
   * 
   * @return bypassSecurity
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getBypassSecurity() {
    return bypassSecurity;
  }

  public void setBypassSecurity(String bypassSecurity) {
    this.bypassSecurity = bypassSecurity;
  }

  public InlineResponse20014 flagGenericExec(String flagGenericExec) {
    this.flagGenericExec = flagGenericExec;
    return this;
  }

   /**
   * 
   * @return flagGenericExec
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getFlagGenericExec() {
    return flagGenericExec;
  }

  public void setFlagGenericExec(String flagGenericExec) {
    this.flagGenericExec = flagGenericExec;
  }

  public InlineResponse20014 flagNoWww(String flagNoWww) {
    this.flagNoWww = flagNoWww;
    return this;
  }

   /**
   * 
   * @return flagNoWww
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getFlagNoWww() {
    return flagNoWww;
  }

  public void setFlagNoWww(String flagNoWww) {
    this.flagNoWww = flagNoWww;
  }

  public InlineResponse20014 baseFolderSuffix(String baseFolderSuffix) {
    this.baseFolderSuffix = baseFolderSuffix;
    return this;
  }

   /**
   * 
   * @return baseFolderSuffix
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getBaseFolderSuffix() {
    return baseFolderSuffix;
  }

  public void setBaseFolderSuffix(String baseFolderSuffix) {
    this.baseFolderSuffix = baseFolderSuffix;
  }

  public InlineResponse20014 feedbackSpeed(String feedbackSpeed) {
    this.feedbackSpeed = feedbackSpeed;
    return this;
  }

   /**
   * 
   * @return feedbackSpeed
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getFeedbackSpeed() {
    return feedbackSpeed;
  }

  public void setFeedbackSpeed(String feedbackSpeed) {
    this.feedbackSpeed = feedbackSpeed;
  }

  public InlineResponse20014 feedbackSpeedDtc(String feedbackSpeedDtc) {
    this.feedbackSpeedDtc = feedbackSpeedDtc;
    return this;
  }

   /**
   * 
   * @return feedbackSpeedDtc
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getFeedbackSpeedDtc() {
    return feedbackSpeedDtc;
  }

  public void setFeedbackSpeedDtc(String feedbackSpeedDtc) {
    this.feedbackSpeedDtc = feedbackSpeedDtc;
  }

  public InlineResponse20014 feedbackSpeedFeedback(String feedbackSpeedFeedback) {
    this.feedbackSpeedFeedback = feedbackSpeedFeedback;
    return this;
  }

   /**
   * 
   * @return feedbackSpeedFeedback
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getFeedbackSpeedFeedback() {
    return feedbackSpeedFeedback;
  }

  public void setFeedbackSpeedFeedback(String feedbackSpeedFeedback) {
    this.feedbackSpeedFeedback = feedbackSpeedFeedback;
  }

  public InlineResponse20014 unixPathOnWindows(String unixPathOnWindows) {
    this.unixPathOnWindows = unixPathOnWindows;
    return this;
  }

   /**
   * 
   * @return unixPathOnWindows
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getUnixPathOnWindows() {
    return unixPathOnWindows;
  }

  public void setUnixPathOnWindows(String unixPathOnWindows) {
    this.unixPathOnWindows = unixPathOnWindows;
  }

  public InlineResponse20014 ftpIpfilter(String ftpIpfilter) {
    this.ftpIpfilter = ftpIpfilter;
    return this;
  }

   /**
   * Ограничение по IP адресам - FTP доступ.
   * @return ftpIpfilter
  **/
  @ApiModelProperty(example = "null", required = true, value = "Ограничение по IP адресам - FTP доступ.")
  public String getFtpIpfilter() {
    return ftpIpfilter;
  }

  public void setFtpIpfilter(String ftpIpfilter) {
    this.ftpIpfilter = ftpIpfilter;
  }

  public InlineResponse20014 sshIpfilter(String sshIpfilter) {
    this.sshIpfilter = sshIpfilter;
    return this;
  }

   /**
   * Ограничение по IP адресам - SSH доступ.
   * @return sshIpfilter
  **/
  @ApiModelProperty(example = "null", required = true, value = "Ограничение по IP адресам - SSH доступ.")
  public String getSshIpfilter() {
    return sshIpfilter;
  }

  public void setSshIpfilter(String sshIpfilter) {
    this.sshIpfilter = sshIpfilter;
  }

  public InlineResponse20014 l3dAuto(String l3dAuto) {
    this.l3dAuto = l3dAuto;
    return this;
  }

   /**
   * 
   * @return l3dAuto
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getL3dAuto() {
    return l3dAuto;
  }

  public void setL3dAuto(String l3dAuto) {
    this.l3dAuto = l3dAuto;
  }

  public InlineResponse20014 awstatsPrimaryDomain(String awstatsPrimaryDomain) {
    this.awstatsPrimaryDomain = awstatsPrimaryDomain;
    return this;
  }

   /**
   * 
   * @return awstatsPrimaryDomain
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getAwstatsPrimaryDomain() {
    return awstatsPrimaryDomain;
  }

  public void setAwstatsPrimaryDomain(String awstatsPrimaryDomain) {
    this.awstatsPrimaryDomain = awstatsPrimaryDomain;
  }

  public InlineResponse20014 sharepointMode(String sharepointMode) {
    this.sharepointMode = sharepointMode;
    return this;
  }

   /**
   * 
   * @return sharepointMode
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getSharepointMode() {
    return sharepointMode;
  }

  public void setSharepointMode(String sharepointMode) {
    this.sharepointMode = sharepointMode;
  }

  public InlineResponse20014 sharepointModePending(String sharepointModePending) {
    this.sharepointModePending = sharepointModePending;
    return this;
  }

   /**
   * 
   * @return sharepointModePending
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getSharepointModePending() {
    return sharepointModePending;
  }

  public void setSharepointModePending(String sharepointModePending) {
    this.sharepointModePending = sharepointModePending;
  }

  public InlineResponse20014 apacheGenericPoolPort(String apacheGenericPoolPort) {
    this.apacheGenericPoolPort = apacheGenericPoolPort;
    return this;
  }

   /**
   * 
   * @return apacheGenericPoolPort
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getApacheGenericPoolPort() {
    return apacheGenericPoolPort;
  }

  public void setApacheGenericPoolPort(String apacheGenericPoolPort) {
    this.apacheGenericPoolPort = apacheGenericPoolPort;
  }

  public InlineResponse20014 mongrelEnvironment(String mongrelEnvironment) {
    this.mongrelEnvironment = mongrelEnvironment;
    return this;
  }

   /**
   * 
   * @return mongrelEnvironment
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getMongrelEnvironment() {
    return mongrelEnvironment;
  }

  public void setMongrelEnvironment(String mongrelEnvironment) {
    this.mongrelEnvironment = mongrelEnvironment;
  }

  public InlineResponse20014 flagFree(String flagFree) {
    this.flagFree = flagFree;
    return this;
  }

   /**
   * 
   * @return flagFree
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getFlagFree() {
    return flagFree;
  }

  public void setFlagFree(String flagFree) {
    this.flagFree = flagFree;
  }

  public InlineResponse20014 rtmScanDate(String rtmScanDate) {
    this.rtmScanDate = rtmScanDate;
    return this;
  }

   /**
   * 
   * @return rtmScanDate
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getRtmScanDate() {
    return rtmScanDate;
  }

  public void setRtmScanDate(String rtmScanDate) {
    this.rtmScanDate = rtmScanDate;
  }

  public InlineResponse20014 analyzeAnalog(String analyzeAnalog) {
    this.analyzeAnalog = analyzeAnalog;
    return this;
  }

   /**
   * 
   * @return analyzeAnalog
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getAnalyzeAnalog() {
    return analyzeAnalog;
  }

  public void setAnalyzeAnalog(String analyzeAnalog) {
    this.analyzeAnalog = analyzeAnalog;
  }

  public InlineResponse20014 cpuDetailsEnabled(String cpuDetailsEnabled) {
    this.cpuDetailsEnabled = cpuDetailsEnabled;
    return this;
  }

   /**
   * Включен режим предоставления детализации процессорной нагрузки.
   * @return cpuDetailsEnabled
  **/
  @ApiModelProperty(example = "null", required = true, value = "Включен режим предоставления детализации процессорной нагрузки.")
  public String getCpuDetailsEnabled() {
    return cpuDetailsEnabled;
  }

  public void setCpuDetailsEnabled(String cpuDetailsEnabled) {
    this.cpuDetailsEnabled = cpuDetailsEnabled;
  }

  public InlineResponse20014 contentModeratedStatus(String contentModeratedStatus) {
    this.contentModeratedStatus = contentModeratedStatus;
    return this;
  }

   /**
   * 
   * @return contentModeratedStatus
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getContentModeratedStatus() {
    return contentModeratedStatus;
  }

  public void setContentModeratedStatus(String contentModeratedStatus) {
    this.contentModeratedStatus = contentModeratedStatus;
  }

  public InlineResponse20014 contentModeratedDate(String contentModeratedDate) {
    this.contentModeratedDate = contentModeratedDate;
    return this;
  }

   /**
   * 
   * @return contentModeratedDate
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getContentModeratedDate() {
    return contentModeratedDate;
  }

  public void setContentModeratedDate(String contentModeratedDate) {
    this.contentModeratedDate = contentModeratedDate;
  }

  public InlineResponse20014 httpFrontendIp(String httpFrontendIp) {
    this.httpFrontendIp = httpFrontendIp;
    return this;
  }

   /**
   * 
   * @return httpFrontendIp
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getHttpFrontendIp() {
    return httpFrontendIp;
  }

  public void setHttpFrontendIp(String httpFrontendIp) {
    this.httpFrontendIp = httpFrontendIp;
  }

  public InlineResponse20014 httpFrontendIpTransition(String httpFrontendIpTransition) {
    this.httpFrontendIpTransition = httpFrontendIpTransition;
    return this;
  }

   /**
   * 
   * @return httpFrontendIpTransition
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getHttpFrontendIpTransition() {
    return httpFrontendIpTransition;
  }

  public void setHttpFrontendIpTransition(String httpFrontendIpTransition) {
    this.httpFrontendIpTransition = httpFrontendIpTransition;
  }

  public InlineResponse20014 cpuLimitExceededDate(String cpuLimitExceededDate) {
    this.cpuLimitExceededDate = cpuLimitExceededDate;
    return this;
  }

   /**
   * Дата последнего превышения процессорной нагрузки.
   * @return cpuLimitExceededDate
  **/
  @ApiModelProperty(example = "null", required = true, value = "Дата последнего превышения процессорной нагрузки.")
  public String getCpuLimitExceededDate() {
    return cpuLimitExceededDate;
  }

  public void setCpuLimitExceededDate(String cpuLimitExceededDate) {
    this.cpuLimitExceededDate = cpuLimitExceededDate;
  }

  public InlineResponse20014 aufsTemplate(String aufsTemplate) {
    this.aufsTemplate = aufsTemplate;
    return this;
  }

   /**
   * Признак сайта-конструктора.
   * @return aufsTemplate
  **/
  @ApiModelProperty(example = "null", required = true, value = "Признак сайта-конструктора.")
  public String getAufsTemplate() {
    return aufsTemplate;
  }

  public void setAufsTemplate(String aufsTemplate) {
    this.aufsTemplate = aufsTemplate;
  }

  public InlineResponse20014 optionsAutolimit(String optionsAutolimit) {
    this.optionsAutolimit = optionsAutolimit;
    return this;
  }

   /**
   * 
   * @return optionsAutolimit
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getOptionsAutolimit() {
    return optionsAutolimit;
  }

  public void setOptionsAutolimit(String optionsAutolimit) {
    this.optionsAutolimit = optionsAutolimit;
  }

  public InlineResponse20014 iisCreationCommands(String iisCreationCommands) {
    this.iisCreationCommands = iisCreationCommands;
    return this;
  }

   /**
   * Версия ASP.NET, если отлична от 2.0.
   * @return iisCreationCommands
  **/
  @ApiModelProperty(example = "null", required = true, value = "Версия ASP.NET, если отлична от 2.0.")
  public String getIisCreationCommands() {
    return iisCreationCommands;
  }

  public void setIisCreationCommands(String iisCreationCommands) {
    this.iisCreationCommands = iisCreationCommands;
  }

  public InlineResponse20014 iisCreationCommandsUnix(String iisCreationCommandsUnix) {
    this.iisCreationCommandsUnix = iisCreationCommandsUnix;
    return this;
  }

   /**
   * 
   * @return iisCreationCommandsUnix
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getIisCreationCommandsUnix() {
    return iisCreationCommandsUnix;
  }

  public void setIisCreationCommandsUnix(String iisCreationCommandsUnix) {
    this.iisCreationCommandsUnix = iisCreationCommandsUnix;
  }

  public InlineResponse20014 thumbDate(String thumbDate) {
    this.thumbDate = thumbDate;
    return this;
  }

   /**
   * 
   * @return thumbDate
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getThumbDate() {
    return thumbDate;
  }

  public void setThumbDate(String thumbDate) {
    this.thumbDate = thumbDate;
  }

  public InlineResponse20014 thumbFailed(String thumbFailed) {
    this.thumbFailed = thumbFailed;
    return this;
  }

   /**
   * 
   * @return thumbFailed
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getThumbFailed() {
    return thumbFailed;
  }

  public void setThumbFailed(String thumbFailed) {
    this.thumbFailed = thumbFailed;
  }

  public InlineResponse20014 backupStatDate(String backupStatDate) {
    this.backupStatDate = backupStatDate;
    return this;
  }

   /**
   * 
   * @return backupStatDate
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getBackupStatDate() {
    return backupStatDate;
  }

  public void setBackupStatDate(String backupStatDate) {
    this.backupStatDate = backupStatDate;
  }

  public InlineResponse20014 backupDate(String backupDate) {
    this.backupDate = backupDate;
    return this;
  }

   /**
   * Дата пофайловой резервной копии.
   * @return backupDate
  **/
  @ApiModelProperty(example = "null", required = true, value = "Дата пофайловой резервной копии.")
  public String getBackupDate() {
    return backupDate;
  }

  public void setBackupDate(String backupDate) {
    this.backupDate = backupDate;
  }

  public InlineResponse20014 detectedPackages(String detectedPackages) {
    this.detectedPackages = detectedPackages;
    return this;
  }

   /**
   * 
   * @return detectedPackages
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getDetectedPackages() {
    return detectedPackages;
  }

  public void setDetectedPackages(String detectedPackages) {
    this.detectedPackages = detectedPackages;
  }

  public InlineResponse20014 statSitePower(String statSitePower) {
    this.statSitePower = statSitePower;
    return this;
  }

   /**
   * 
   * @return statSitePower
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getStatSitePower() {
    return statSitePower;
  }

  public void setStatSitePower(String statSitePower) {
    this.statSitePower = statSitePower;
  }

  public InlineResponse20014 smtpFrom(String smtpFrom) {
    this.smtpFrom = smtpFrom;
    return this;
  }

   /**
   * 
   * @return smtpFrom
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getSmtpFrom() {
    return smtpFrom;
  }

  public void setSmtpFrom(String smtpFrom) {
    this.smtpFrom = smtpFrom;
  }

  public InlineResponse20014 superBackupDate(String superBackupDate) {
    this.superBackupDate = superBackupDate;
    return this;
  }

   /**
   * 
   * @return superBackupDate
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getSuperBackupDate() {
    return superBackupDate;
  }

  public void setSuperBackupDate(String superBackupDate) {
    this.superBackupDate = superBackupDate;
  }

  public InlineResponse20014 backupDeltaStatDate(String backupDeltaStatDate) {
    this.backupDeltaStatDate = backupDeltaStatDate;
    return this;
  }

   /**
   * 
   * @return backupDeltaStatDate
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getBackupDeltaStatDate() {
    return backupDeltaStatDate;
  }

  public void setBackupDeltaStatDate(String backupDeltaStatDate) {
    this.backupDeltaStatDate = backupDeltaStatDate;
  }

  public InlineResponse20014 backupDeltaDate(String backupDeltaDate) {
    this.backupDeltaDate = backupDeltaDate;
    return this;
  }

   /**
   * Дата архивной резервной копии.
   * @return backupDeltaDate
  **/
  @ApiModelProperty(example = "null", required = true, value = "Дата архивной резервной копии.")
  public String getBackupDeltaDate() {
    return backupDeltaDate;
  }

  public void setBackupDeltaDate(String backupDeltaDate) {
    this.backupDeltaDate = backupDeltaDate;
  }

  public InlineResponse20014 backupDeltaDesc(String backupDeltaDesc) {
    this.backupDeltaDesc = backupDeltaDesc;
    return this;
  }

   /**
   * Содержимое архивной резервной копии.
   * @return backupDeltaDesc
  **/
  @ApiModelProperty(example = "null", required = true, value = "Содержимое архивной резервной копии.")
  public String getBackupDeltaDesc() {
    return backupDeltaDesc;
  }

  public void setBackupDeltaDesc(String backupDeltaDesc) {
    this.backupDeltaDesc = backupDeltaDesc;
  }

  public InlineResponse20014 altDocrootServer(String altDocrootServer) {
    this.altDocrootServer = altDocrootServer;
    return this;
  }

   /**
   * 
   * @return altDocrootServer
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getAltDocrootServer() {
    return altDocrootServer;
  }

  public void setAltDocrootServer(String altDocrootServer) {
    this.altDocrootServer = altDocrootServer;
  }

  public InlineResponse20014 altDocrootPath(String altDocrootPath) {
    this.altDocrootPath = altDocrootPath;
    return this;
  }

   /**
   * 
   * @return altDocrootPath
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getAltDocrootPath() {
    return altDocrootPath;
  }

  public void setAltDocrootPath(String altDocrootPath) {
    this.altDocrootPath = altDocrootPath;
  }

  public InlineResponse20014 altDocrootStatus(String altDocrootStatus) {
    this.altDocrootStatus = altDocrootStatus;
    return this;
  }

   /**
   * 
   * @return altDocrootStatus
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getAltDocrootStatus() {
    return altDocrootStatus;
  }

  public void setAltDocrootStatus(String altDocrootStatus) {
    this.altDocrootStatus = altDocrootStatus;
  }

  public InlineResponse20014 altDocrootStatusCnt(String altDocrootStatusCnt) {
    this.altDocrootStatusCnt = altDocrootStatusCnt;
    return this;
  }

   /**
   * 
   * @return altDocrootStatusCnt
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getAltDocrootStatusCnt() {
    return altDocrootStatusCnt;
  }

  public void setAltDocrootStatusCnt(String altDocrootStatusCnt) {
    this.altDocrootStatusCnt = altDocrootStatusCnt;
  }

  public InlineResponse20014 altDocrootStatusDate(String altDocrootStatusDate) {
    this.altDocrootStatusDate = altDocrootStatusDate;
    return this;
  }

   /**
   * 
   * @return altDocrootStatusDate
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getAltDocrootStatusDate() {
    return altDocrootStatusDate;
  }

  public void setAltDocrootStatusDate(String altDocrootStatusDate) {
    this.altDocrootStatusDate = altDocrootStatusDate;
  }

  public InlineResponse20014 bindDtc(String bindDtc) {
    this.bindDtc = bindDtc;
    return this;
  }

   /**
   * Последнее изменение привязок доменов для сайта.
   * @return bindDtc
  **/
  @ApiModelProperty(example = "null", required = true, value = "Последнее изменение привязок доменов для сайта.")
  public String getBindDtc() {
    return bindDtc;
  }

  public void setBindDtc(String bindDtc) {
    this.bindDtc = bindDtc;
  }

  public InlineResponse20014 backupSpecialMode(String backupSpecialMode) {
    this.backupSpecialMode = backupSpecialMode;
    return this;
  }

   /**
   * 
   * @return backupSpecialMode
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getBackupSpecialMode() {
    return backupSpecialMode;
  }

  public void setBackupSpecialMode(String backupSpecialMode) {
    this.backupSpecialMode = backupSpecialMode;
  }

  public InlineResponse20014 sizeCheckProblem(String sizeCheckProblem) {
    this.sizeCheckProblem = sizeCheckProblem;
    return this;
  }

   /**
   * 
   * @return sizeCheckProblem
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getSizeCheckProblem() {
    return sizeCheckProblem;
  }

  public void setSizeCheckProblem(String sizeCheckProblem) {
    this.sizeCheckProblem = sizeCheckProblem;
  }

  public InlineResponse20014 wpbDomain(String wpbDomain) {
    this.wpbDomain = wpbDomain;
    return this;
  }

   /**
   * 
   * @return wpbDomain
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getWpbDomain() {
    return wpbDomain;
  }

  public void setWpbDomain(String wpbDomain) {
    this.wpbDomain = wpbDomain;
  }

  public InlineResponse20014 wpbUuid(String wpbUuid) {
    this.wpbUuid = wpbUuid;
    return this;
  }

   /**
   * Для сайта включен конструктор Parallels WPB.
   * @return wpbUuid
  **/
  @ApiModelProperty(example = "null", required = true, value = "Для сайта включен конструктор Parallels WPB.")
  public String getWpbUuid() {
    return wpbUuid;
  }

  public void setWpbUuid(String wpbUuid) {
    this.wpbUuid = wpbUuid;
  }

  public InlineResponse20014 wpbStatus(String wpbStatus) {
    this.wpbStatus = wpbStatus;
    return this;
  }

   /**
   * 
   * @return wpbStatus
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getWpbStatus() {
    return wpbStatus;
  }

  public void setWpbStatus(String wpbStatus) {
    this.wpbStatus = wpbStatus;
  }

  public InlineResponse20014 adminProtection(String adminProtection) {
    this.adminProtection = adminProtection;
    return this;
  }

   /**
   * 
   * @return adminProtection
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getAdminProtection() {
    return adminProtection;
  }

  public void setAdminProtection(String adminProtection) {
    this.adminProtection = adminProtection;
  }

  public InlineResponse20014 sizeComments(String sizeComments) {
    this.sizeComments = sizeComments;
    return this;
  }

   /**
   * 
   * @return sizeComments
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getSizeComments() {
    return sizeComments;
  }

  public void setSizeComments(String sizeComments) {
    this.sizeComments = sizeComments;
  }

  public InlineResponse20014 altDocrootSsdReq(String altDocrootSsdReq) {
    this.altDocrootSsdReq = altDocrootSsdReq;
    return this;
  }

   /**
   * 
   * @return altDocrootSsdReq
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getAltDocrootSsdReq() {
    return altDocrootSsdReq;
  }

  public void setAltDocrootSsdReq(String altDocrootSsdReq) {
    this.altDocrootSsdReq = altDocrootSsdReq;
  }

  public InlineResponse20014 mailLimit(String mailLimit) {
    this.mailLimit = mailLimit;
    return this;
  }

   /**
   * 
   * @return mailLimit
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getMailLimit() {
    return mailLimit;
  }

  public void setMailLimit(String mailLimit) {
    this.mailLimit = mailLimit;
  }

  public InlineResponse20014 mailAccept(String mailAccept) {
    this.mailAccept = mailAccept;
    return this;
  }

   /**
   * 
   * @return mailAccept
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getMailAccept() {
    return mailAccept;
  }

  public void setMailAccept(String mailAccept) {
    this.mailAccept = mailAccept;
  }

  public InlineResponse20014 mailDrop(String mailDrop) {
    this.mailDrop = mailDrop;
    return this;
  }

   /**
   * 
   * @return mailDrop
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getMailDrop() {
    return mailDrop;
  }

  public void setMailDrop(String mailDrop) {
    this.mailDrop = mailDrop;
  }

  public InlineResponse20014 ftpName(String ftpName) {
    this.ftpName = ftpName;
    return this;
  }

   /**
   * FTP/SSH/SCP/SFTP логин.
   * @return ftpName
  **/
  @ApiModelProperty(example = "null", required = true, value = "FTP/SSH/SCP/SFTP логин.")
  public String getFtpName() {
    return ftpName;
  }

  public void setFtpName(String ftpName) {
    this.ftpName = ftpName;
  }

  public InlineResponse20014 ftpPwd(String ftpPwd) {
    this.ftpPwd = ftpPwd;
    return this;
  }

   /**
   * FTP/SSH/SCP/SFTP пароль.
   * @return ftpPwd
  **/
  @ApiModelProperty(example = "null", required = true, value = "FTP/SSH/SCP/SFTP пароль.")
  public String getFtpPwd() {
    return ftpPwd;
  }

  public void setFtpPwd(String ftpPwd) {
    this.ftpPwd = ftpPwd;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse20014 inlineResponse20014 = (InlineResponse20014) o;
    return Objects.equals(this.id, inlineResponse20014.id) &&
        Objects.equals(this.status, inlineResponse20014.status) &&
        Objects.equals(this.unmovable, inlineResponse20014.unmovable) &&
        Objects.equals(this.online, inlineResponse20014.online) &&
        Objects.equals(this.deleted, inlineResponse20014.deleted) &&
        Objects.equals(this.deletedAuto, inlineResponse20014.deletedAuto) &&
        Objects.equals(this.deletedDump, inlineResponse20014.deletedDump) &&
        Objects.equals(this.userId, inlineResponse20014.userId) &&
        Objects.equals(this.ftpId, inlineResponse20014.ftpId) &&
        Objects.equals(this.dnsId, inlineResponse20014.dnsId) &&
        Objects.equals(this.iisId, inlineResponse20014.iisId) &&
        Objects.equals(this.iisBinding, inlineResponse20014.iisBinding) &&
        Objects.equals(this.iisPath, inlineResponse20014.iisPath) &&
        Objects.equals(this.iisComments, inlineResponse20014.iisComments) &&
        Objects.equals(this.memo, inlineResponse20014.memo) &&
        Objects.equals(this.dateReg, inlineResponse20014.dateReg) &&
        Objects.equals(this.server, inlineResponse20014.server) &&
        Objects.equals(this.serverBak, inlineResponse20014.serverBak) &&
        Objects.equals(this.serverAux, inlineResponse20014.serverAux) &&
        Objects.equals(this.serverTransition, inlineResponse20014.serverTransition) &&
        Objects.equals(this.serverTransitionDtc, inlineResponse20014.serverTransitionDtc) &&
        Objects.equals(this.blockTransfer, inlineResponse20014.blockTransfer) &&
        Objects.equals(this.serverChangedTime, inlineResponse20014.serverChangedTime) &&
        Objects.equals(this.sizeAmount, inlineResponse20014.sizeAmount) &&
        Objects.equals(this.sizeFileCount, inlineResponse20014.sizeFileCount) &&
        Objects.equals(this.sizeFileCountLimit, inlineResponse20014.sizeFileCountLimit) &&
        Objects.equals(this.sizeDate, inlineResponse20014.sizeDate) &&
        Objects.equals(this.sizePriorityScan, inlineResponse20014.sizePriorityScan) &&
        Objects.equals(this.copyLogs, inlineResponse20014.copyLogs) &&
        Objects.equals(this.contentComments, inlineResponse20014.contentComments) &&
        Objects.equals(this.contentCommentsVerbose, inlineResponse20014.contentCommentsVerbose) &&
        Objects.equals(this.metaSaveCount, inlineResponse20014.metaSaveCount) &&
        Objects.equals(this.baseFolder, inlineResponse20014.baseFolder) &&
        Objects.equals(this.virtualhostConf, inlineResponse20014.virtualhostConf) &&
        Objects.equals(this.virtualhostServer, inlineResponse20014.virtualhostServer) &&
        Objects.equals(this.virtualhostServerConf, inlineResponse20014.virtualhostServerConf) &&
        Objects.equals(this.liveDayCount, inlineResponse20014.liveDayCount) &&
        Objects.equals(this.scanDate, inlineResponse20014.scanDate) &&
        Objects.equals(this.globalTransferCount, inlineResponse20014.globalTransferCount) &&
        Objects.equals(this.netLimitFile, inlineResponse20014.netLimitFile) &&
        Objects.equals(this.netLimitDenyFromIp, inlineResponse20014.netLimitDenyFromIp) &&
        Objects.equals(this.netLimitDenyFromAgent, inlineResponse20014.netLimitDenyFromAgent) &&
        Objects.equals(this.apachePhpPooled, inlineResponse20014.apachePhpPooled) &&
        Objects.equals(this.apachePhpPooledExt, inlineResponse20014.apachePhpPooledExt) &&
        Objects.equals(this.apachePhpPooledExtAuto, inlineResponse20014.apachePhpPooledExtAuto) &&
        Objects.equals(this.apachePhpPool1Only, inlineResponse20014.apachePhpPool1Only) &&
        Objects.equals(this.apachePhpPool5Only, inlineResponse20014.apachePhpPool5Only) &&
        Objects.equals(this.apacheSsi, inlineResponse20014.apacheSsi) &&
        Objects.equals(this.bypassSecurity, inlineResponse20014.bypassSecurity) &&
        Objects.equals(this.flagGenericExec, inlineResponse20014.flagGenericExec) &&
        Objects.equals(this.flagNoWww, inlineResponse20014.flagNoWww) &&
        Objects.equals(this.baseFolderSuffix, inlineResponse20014.baseFolderSuffix) &&
        Objects.equals(this.feedbackSpeed, inlineResponse20014.feedbackSpeed) &&
        Objects.equals(this.feedbackSpeedDtc, inlineResponse20014.feedbackSpeedDtc) &&
        Objects.equals(this.feedbackSpeedFeedback, inlineResponse20014.feedbackSpeedFeedback) &&
        Objects.equals(this.unixPathOnWindows, inlineResponse20014.unixPathOnWindows) &&
        Objects.equals(this.ftpIpfilter, inlineResponse20014.ftpIpfilter) &&
        Objects.equals(this.sshIpfilter, inlineResponse20014.sshIpfilter) &&
        Objects.equals(this.l3dAuto, inlineResponse20014.l3dAuto) &&
        Objects.equals(this.awstatsPrimaryDomain, inlineResponse20014.awstatsPrimaryDomain) &&
        Objects.equals(this.sharepointMode, inlineResponse20014.sharepointMode) &&
        Objects.equals(this.sharepointModePending, inlineResponse20014.sharepointModePending) &&
        Objects.equals(this.apacheGenericPoolPort, inlineResponse20014.apacheGenericPoolPort) &&
        Objects.equals(this.mongrelEnvironment, inlineResponse20014.mongrelEnvironment) &&
        Objects.equals(this.flagFree, inlineResponse20014.flagFree) &&
        Objects.equals(this.rtmScanDate, inlineResponse20014.rtmScanDate) &&
        Objects.equals(this.analyzeAnalog, inlineResponse20014.analyzeAnalog) &&
        Objects.equals(this.cpuDetailsEnabled, inlineResponse20014.cpuDetailsEnabled) &&
        Objects.equals(this.contentModeratedStatus, inlineResponse20014.contentModeratedStatus) &&
        Objects.equals(this.contentModeratedDate, inlineResponse20014.contentModeratedDate) &&
        Objects.equals(this.httpFrontendIp, inlineResponse20014.httpFrontendIp) &&
        Objects.equals(this.httpFrontendIpTransition, inlineResponse20014.httpFrontendIpTransition) &&
        Objects.equals(this.cpuLimitExceededDate, inlineResponse20014.cpuLimitExceededDate) &&
        Objects.equals(this.aufsTemplate, inlineResponse20014.aufsTemplate) &&
        Objects.equals(this.optionsAutolimit, inlineResponse20014.optionsAutolimit) &&
        Objects.equals(this.iisCreationCommands, inlineResponse20014.iisCreationCommands) &&
        Objects.equals(this.iisCreationCommandsUnix, inlineResponse20014.iisCreationCommandsUnix) &&
        Objects.equals(this.thumbDate, inlineResponse20014.thumbDate) &&
        Objects.equals(this.thumbFailed, inlineResponse20014.thumbFailed) &&
        Objects.equals(this.backupStatDate, inlineResponse20014.backupStatDate) &&
        Objects.equals(this.backupDate, inlineResponse20014.backupDate) &&
        Objects.equals(this.detectedPackages, inlineResponse20014.detectedPackages) &&
        Objects.equals(this.statSitePower, inlineResponse20014.statSitePower) &&
        Objects.equals(this.smtpFrom, inlineResponse20014.smtpFrom) &&
        Objects.equals(this.superBackupDate, inlineResponse20014.superBackupDate) &&
        Objects.equals(this.backupDeltaStatDate, inlineResponse20014.backupDeltaStatDate) &&
        Objects.equals(this.backupDeltaDate, inlineResponse20014.backupDeltaDate) &&
        Objects.equals(this.backupDeltaDesc, inlineResponse20014.backupDeltaDesc) &&
        Objects.equals(this.altDocrootServer, inlineResponse20014.altDocrootServer) &&
        Objects.equals(this.altDocrootPath, inlineResponse20014.altDocrootPath) &&
        Objects.equals(this.altDocrootStatus, inlineResponse20014.altDocrootStatus) &&
        Objects.equals(this.altDocrootStatusCnt, inlineResponse20014.altDocrootStatusCnt) &&
        Objects.equals(this.altDocrootStatusDate, inlineResponse20014.altDocrootStatusDate) &&
        Objects.equals(this.bindDtc, inlineResponse20014.bindDtc) &&
        Objects.equals(this.backupSpecialMode, inlineResponse20014.backupSpecialMode) &&
        Objects.equals(this.sizeCheckProblem, inlineResponse20014.sizeCheckProblem) &&
        Objects.equals(this.wpbDomain, inlineResponse20014.wpbDomain) &&
        Objects.equals(this.wpbUuid, inlineResponse20014.wpbUuid) &&
        Objects.equals(this.wpbStatus, inlineResponse20014.wpbStatus) &&
        Objects.equals(this.adminProtection, inlineResponse20014.adminProtection) &&
        Objects.equals(this.sizeComments, inlineResponse20014.sizeComments) &&
        Objects.equals(this.altDocrootSsdReq, inlineResponse20014.altDocrootSsdReq) &&
        Objects.equals(this.mailLimit, inlineResponse20014.mailLimit) &&
        Objects.equals(this.mailAccept, inlineResponse20014.mailAccept) &&
        Objects.equals(this.mailDrop, inlineResponse20014.mailDrop) &&
        Objects.equals(this.ftpName, inlineResponse20014.ftpName) &&
        Objects.equals(this.ftpPwd, inlineResponse20014.ftpPwd);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, status, unmovable, online, deleted, deletedAuto, deletedDump, userId, ftpId, dnsId, iisId, iisBinding, iisPath, iisComments, memo, dateReg, server, serverBak, serverAux, serverTransition, serverTransitionDtc, blockTransfer, serverChangedTime, sizeAmount, sizeFileCount, sizeFileCountLimit, sizeDate, sizePriorityScan, copyLogs, contentComments, contentCommentsVerbose, metaSaveCount, baseFolder, virtualhostConf, virtualhostServer, virtualhostServerConf, liveDayCount, scanDate, globalTransferCount, netLimitFile, netLimitDenyFromIp, netLimitDenyFromAgent, apachePhpPooled, apachePhpPooledExt, apachePhpPooledExtAuto, apachePhpPool1Only, apachePhpPool5Only, apacheSsi, bypassSecurity, flagGenericExec, flagNoWww, baseFolderSuffix, feedbackSpeed, feedbackSpeedDtc, feedbackSpeedFeedback, unixPathOnWindows, ftpIpfilter, sshIpfilter, l3dAuto, awstatsPrimaryDomain, sharepointMode, sharepointModePending, apacheGenericPoolPort, mongrelEnvironment, flagFree, rtmScanDate, analyzeAnalog, cpuDetailsEnabled, contentModeratedStatus, contentModeratedDate, httpFrontendIp, httpFrontendIpTransition, cpuLimitExceededDate, aufsTemplate, optionsAutolimit, iisCreationCommands, iisCreationCommandsUnix, thumbDate, thumbFailed, backupStatDate, backupDate, detectedPackages, statSitePower, smtpFrom, superBackupDate, backupDeltaStatDate, backupDeltaDate, backupDeltaDesc, altDocrootServer, altDocrootPath, altDocrootStatus, altDocrootStatusCnt, altDocrootStatusDate, bindDtc, backupSpecialMode, sizeCheckProblem, wpbDomain, wpbUuid, wpbStatus, adminProtection, sizeComments, altDocrootSsdReq, mailLimit, mailAccept, mailDrop, ftpName, ftpPwd);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse20014 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    unmovable: ").append(toIndentedString(unmovable)).append("\n");
    sb.append("    online: ").append(toIndentedString(online)).append("\n");
    sb.append("    deleted: ").append(toIndentedString(deleted)).append("\n");
    sb.append("    deletedAuto: ").append(toIndentedString(deletedAuto)).append("\n");
    sb.append("    deletedDump: ").append(toIndentedString(deletedDump)).append("\n");
    sb.append("    userId: ").append(toIndentedString(userId)).append("\n");
    sb.append("    ftpId: ").append(toIndentedString(ftpId)).append("\n");
    sb.append("    dnsId: ").append(toIndentedString(dnsId)).append("\n");
    sb.append("    iisId: ").append(toIndentedString(iisId)).append("\n");
    sb.append("    iisBinding: ").append(toIndentedString(iisBinding)).append("\n");
    sb.append("    iisPath: ").append(toIndentedString(iisPath)).append("\n");
    sb.append("    iisComments: ").append(toIndentedString(iisComments)).append("\n");
    sb.append("    memo: ").append(toIndentedString(memo)).append("\n");
    sb.append("    dateReg: ").append(toIndentedString(dateReg)).append("\n");
    sb.append("    server: ").append(toIndentedString(server)).append("\n");
    sb.append("    serverBak: ").append(toIndentedString(serverBak)).append("\n");
    sb.append("    serverAux: ").append(toIndentedString(serverAux)).append("\n");
    sb.append("    serverTransition: ").append(toIndentedString(serverTransition)).append("\n");
    sb.append("    serverTransitionDtc: ").append(toIndentedString(serverTransitionDtc)).append("\n");
    sb.append("    blockTransfer: ").append(toIndentedString(blockTransfer)).append("\n");
    sb.append("    serverChangedTime: ").append(toIndentedString(serverChangedTime)).append("\n");
    sb.append("    sizeAmount: ").append(toIndentedString(sizeAmount)).append("\n");
    sb.append("    sizeFileCount: ").append(toIndentedString(sizeFileCount)).append("\n");
    sb.append("    sizeFileCountLimit: ").append(toIndentedString(sizeFileCountLimit)).append("\n");
    sb.append("    sizeDate: ").append(toIndentedString(sizeDate)).append("\n");
    sb.append("    sizePriorityScan: ").append(toIndentedString(sizePriorityScan)).append("\n");
    sb.append("    copyLogs: ").append(toIndentedString(copyLogs)).append("\n");
    sb.append("    contentComments: ").append(toIndentedString(contentComments)).append("\n");
    sb.append("    contentCommentsVerbose: ").append(toIndentedString(contentCommentsVerbose)).append("\n");
    sb.append("    metaSaveCount: ").append(toIndentedString(metaSaveCount)).append("\n");
    sb.append("    baseFolder: ").append(toIndentedString(baseFolder)).append("\n");
    sb.append("    virtualhostConf: ").append(toIndentedString(virtualhostConf)).append("\n");
    sb.append("    virtualhostServer: ").append(toIndentedString(virtualhostServer)).append("\n");
    sb.append("    virtualhostServerConf: ").append(toIndentedString(virtualhostServerConf)).append("\n");
    sb.append("    liveDayCount: ").append(toIndentedString(liveDayCount)).append("\n");
    sb.append("    scanDate: ").append(toIndentedString(scanDate)).append("\n");
    sb.append("    globalTransferCount: ").append(toIndentedString(globalTransferCount)).append("\n");
    sb.append("    netLimitFile: ").append(toIndentedString(netLimitFile)).append("\n");
    sb.append("    netLimitDenyFromIp: ").append(toIndentedString(netLimitDenyFromIp)).append("\n");
    sb.append("    netLimitDenyFromAgent: ").append(toIndentedString(netLimitDenyFromAgent)).append("\n");
    sb.append("    apachePhpPooled: ").append(toIndentedString(apachePhpPooled)).append("\n");
    sb.append("    apachePhpPooledExt: ").append(toIndentedString(apachePhpPooledExt)).append("\n");
    sb.append("    apachePhpPooledExtAuto: ").append(toIndentedString(apachePhpPooledExtAuto)).append("\n");
    sb.append("    apachePhpPool1Only: ").append(toIndentedString(apachePhpPool1Only)).append("\n");
    sb.append("    apachePhpPool5Only: ").append(toIndentedString(apachePhpPool5Only)).append("\n");
    sb.append("    apacheSsi: ").append(toIndentedString(apacheSsi)).append("\n");
    sb.append("    bypassSecurity: ").append(toIndentedString(bypassSecurity)).append("\n");
    sb.append("    flagGenericExec: ").append(toIndentedString(flagGenericExec)).append("\n");
    sb.append("    flagNoWww: ").append(toIndentedString(flagNoWww)).append("\n");
    sb.append("    baseFolderSuffix: ").append(toIndentedString(baseFolderSuffix)).append("\n");
    sb.append("    feedbackSpeed: ").append(toIndentedString(feedbackSpeed)).append("\n");
    sb.append("    feedbackSpeedDtc: ").append(toIndentedString(feedbackSpeedDtc)).append("\n");
    sb.append("    feedbackSpeedFeedback: ").append(toIndentedString(feedbackSpeedFeedback)).append("\n");
    sb.append("    unixPathOnWindows: ").append(toIndentedString(unixPathOnWindows)).append("\n");
    sb.append("    ftpIpfilter: ").append(toIndentedString(ftpIpfilter)).append("\n");
    sb.append("    sshIpfilter: ").append(toIndentedString(sshIpfilter)).append("\n");
    sb.append("    l3dAuto: ").append(toIndentedString(l3dAuto)).append("\n");
    sb.append("    awstatsPrimaryDomain: ").append(toIndentedString(awstatsPrimaryDomain)).append("\n");
    sb.append("    sharepointMode: ").append(toIndentedString(sharepointMode)).append("\n");
    sb.append("    sharepointModePending: ").append(toIndentedString(sharepointModePending)).append("\n");
    sb.append("    apacheGenericPoolPort: ").append(toIndentedString(apacheGenericPoolPort)).append("\n");
    sb.append("    mongrelEnvironment: ").append(toIndentedString(mongrelEnvironment)).append("\n");
    sb.append("    flagFree: ").append(toIndentedString(flagFree)).append("\n");
    sb.append("    rtmScanDate: ").append(toIndentedString(rtmScanDate)).append("\n");
    sb.append("    analyzeAnalog: ").append(toIndentedString(analyzeAnalog)).append("\n");
    sb.append("    cpuDetailsEnabled: ").append(toIndentedString(cpuDetailsEnabled)).append("\n");
    sb.append("    contentModeratedStatus: ").append(toIndentedString(contentModeratedStatus)).append("\n");
    sb.append("    contentModeratedDate: ").append(toIndentedString(contentModeratedDate)).append("\n");
    sb.append("    httpFrontendIp: ").append(toIndentedString(httpFrontendIp)).append("\n");
    sb.append("    httpFrontendIpTransition: ").append(toIndentedString(httpFrontendIpTransition)).append("\n");
    sb.append("    cpuLimitExceededDate: ").append(toIndentedString(cpuLimitExceededDate)).append("\n");
    sb.append("    aufsTemplate: ").append(toIndentedString(aufsTemplate)).append("\n");
    sb.append("    optionsAutolimit: ").append(toIndentedString(optionsAutolimit)).append("\n");
    sb.append("    iisCreationCommands: ").append(toIndentedString(iisCreationCommands)).append("\n");
    sb.append("    iisCreationCommandsUnix: ").append(toIndentedString(iisCreationCommandsUnix)).append("\n");
    sb.append("    thumbDate: ").append(toIndentedString(thumbDate)).append("\n");
    sb.append("    thumbFailed: ").append(toIndentedString(thumbFailed)).append("\n");
    sb.append("    backupStatDate: ").append(toIndentedString(backupStatDate)).append("\n");
    sb.append("    backupDate: ").append(toIndentedString(backupDate)).append("\n");
    sb.append("    detectedPackages: ").append(toIndentedString(detectedPackages)).append("\n");
    sb.append("    statSitePower: ").append(toIndentedString(statSitePower)).append("\n");
    sb.append("    smtpFrom: ").append(toIndentedString(smtpFrom)).append("\n");
    sb.append("    superBackupDate: ").append(toIndentedString(superBackupDate)).append("\n");
    sb.append("    backupDeltaStatDate: ").append(toIndentedString(backupDeltaStatDate)).append("\n");
    sb.append("    backupDeltaDate: ").append(toIndentedString(backupDeltaDate)).append("\n");
    sb.append("    backupDeltaDesc: ").append(toIndentedString(backupDeltaDesc)).append("\n");
    sb.append("    altDocrootServer: ").append(toIndentedString(altDocrootServer)).append("\n");
    sb.append("    altDocrootPath: ").append(toIndentedString(altDocrootPath)).append("\n");
    sb.append("    altDocrootStatus: ").append(toIndentedString(altDocrootStatus)).append("\n");
    sb.append("    altDocrootStatusCnt: ").append(toIndentedString(altDocrootStatusCnt)).append("\n");
    sb.append("    altDocrootStatusDate: ").append(toIndentedString(altDocrootStatusDate)).append("\n");
    sb.append("    bindDtc: ").append(toIndentedString(bindDtc)).append("\n");
    sb.append("    backupSpecialMode: ").append(toIndentedString(backupSpecialMode)).append("\n");
    sb.append("    sizeCheckProblem: ").append(toIndentedString(sizeCheckProblem)).append("\n");
    sb.append("    wpbDomain: ").append(toIndentedString(wpbDomain)).append("\n");
    sb.append("    wpbUuid: ").append(toIndentedString(wpbUuid)).append("\n");
    sb.append("    wpbStatus: ").append(toIndentedString(wpbStatus)).append("\n");
    sb.append("    adminProtection: ").append(toIndentedString(adminProtection)).append("\n");
    sb.append("    sizeComments: ").append(toIndentedString(sizeComments)).append("\n");
    sb.append("    altDocrootSsdReq: ").append(toIndentedString(altDocrootSsdReq)).append("\n");
    sb.append("    mailLimit: ").append(toIndentedString(mailLimit)).append("\n");
    sb.append("    mailAccept: ").append(toIndentedString(mailAccept)).append("\n");
    sb.append("    mailDrop: ").append(toIndentedString(mailDrop)).append("\n");
    sb.append("    ftpName: ").append(toIndentedString(ftpName)).append("\n");
    sb.append("    ftpPwd: ").append(toIndentedString(ftpPwd)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

