/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package io.swagger.client.model;

import java.util.Objects;
import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * InlineResponse2003
 */
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaClientCodegen", date = "2016-11-03T11:50:36.776+04:00")
public class InlineResponse2003   {
  @SerializedName("id")
  private Integer id = null;

  @SerializedName("iis_id")
  private Integer iisId = null;

  @SerializedName("online")
  private Boolean online = null;

  @SerializedName("full_domain_name")
  private String fullDomainName = null;

  @SerializedName("full_domain_name_local")
  private String fullDomainNameLocal = null;

  @SerializedName("addr1")
  private String addr1 = null;

  @SerializedName("zone")
  private String zone = null;

  public InlineResponse2003 id(Integer id) {
    this.id = id;
    return this;
  }

   /**
   * идентификатор домена
   * @return id
  **/
  @ApiModelProperty(example = "null", required = true, value = "идентификатор домена")
  public Integer getId() {
    return id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  public InlineResponse2003 iisId(Integer iisId) {
    this.iisId = iisId;
    return this;
  }

   /**
   * идентификатор связанной записи IIS
   * @return iisId
  **/
  @ApiModelProperty(example = "null", required = true, value = "идентификатор связанной записи IIS")
  public Integer getIisId() {
    return iisId;
  }

  public void setIisId(Integer iisId) {
    this.iisId = iisId;
  }

  public InlineResponse2003 online(Boolean online) {
    this.online = online;
    return this;
  }

   /**
   * домен работает, если true
   * @return online
  **/
  @ApiModelProperty(example = "null", required = true, value = "домен работает, если true")
  public Boolean getOnline() {
    return online;
  }

  public void setOnline(Boolean online) {
    this.online = online;
  }

  public InlineResponse2003 fullDomainName(String fullDomainName) {
    this.fullDomainName = fullDomainName;
    return this;
  }

   /**
   * полное имя домена
   * @return fullDomainName
  **/
  @ApiModelProperty(example = "null", required = true, value = "полное имя домена")
  public String getFullDomainName() {
    return fullDomainName;
  }

  public void setFullDomainName(String fullDomainName) {
    this.fullDomainName = fullDomainName;
  }

  public InlineResponse2003 fullDomainNameLocal(String fullDomainNameLocal) {
    this.fullDomainNameLocal = fullDomainNameLocal;
    return this;
  }

   /**
   * 
   * @return fullDomainNameLocal
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getFullDomainNameLocal() {
    return fullDomainNameLocal;
  }

  public void setFullDomainNameLocal(String fullDomainNameLocal) {
    this.fullDomainNameLocal = fullDomainNameLocal;
  }

  public InlineResponse2003 addr1(String addr1) {
    this.addr1 = addr1;
    return this;
  }

   /**
   * 
   * @return addr1
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getAddr1() {
    return addr1;
  }

  public void setAddr1(String addr1) {
    this.addr1 = addr1;
  }

  public InlineResponse2003 zone(String zone) {
    this.zone = zone;
    return this;
  }

   /**
   * зона домена
   * @return zone
  **/
  @ApiModelProperty(example = "null", required = true, value = "зона домена")
  public String getZone() {
    return zone;
  }

  public void setZone(String zone) {
    this.zone = zone;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse2003 inlineResponse2003 = (InlineResponse2003) o;
    return Objects.equals(this.id, inlineResponse2003.id) &&
        Objects.equals(this.iisId, inlineResponse2003.iisId) &&
        Objects.equals(this.online, inlineResponse2003.online) &&
        Objects.equals(this.fullDomainName, inlineResponse2003.fullDomainName) &&
        Objects.equals(this.fullDomainNameLocal, inlineResponse2003.fullDomainNameLocal) &&
        Objects.equals(this.addr1, inlineResponse2003.addr1) &&
        Objects.equals(this.zone, inlineResponse2003.zone);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, iisId, online, fullDomainName, fullDomainNameLocal, addr1, zone);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2003 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    iisId: ").append(toIndentedString(iisId)).append("\n");
    sb.append("    online: ").append(toIndentedString(online)).append("\n");
    sb.append("    fullDomainName: ").append(toIndentedString(fullDomainName)).append("\n");
    sb.append("    fullDomainNameLocal: ").append(toIndentedString(fullDomainNameLocal)).append("\n");
    sb.append("    addr1: ").append(toIndentedString(addr1)).append("\n");
    sb.append("    zone: ").append(toIndentedString(zone)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

