/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package io.swagger.client.model;

import java.util.Objects;
import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * InlineResponse2004
 */
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaClientCodegen", date = "2016-11-03T11:50:36.776+04:00")
public class InlineResponse2004   {
  @SerializedName("date_updated")
  private String dateUpdated = null;

  @SerializedName("record_created")
  private String recordCreated = null;

  @SerializedName("subject_contract")
  private String subjectContract = null;

  @SerializedName("end_date")
  private String endDate = null;

  @SerializedName("payed_till")
  private String payedTill = null;

  @SerializedName("object_state")
  private String objectState = null;

  @SerializedName("domain_addr")
  private String domainAddr = null;

  @SerializedName("nservers")
  private String nservers = null;

  @SerializedName("expires_countdown")
  private Integer expiresCountdown = null;

  public InlineResponse2004 dateUpdated(String dateUpdated) {
    this.dateUpdated = dateUpdated;
    return this;
  }

   /**
   * Дата последнего обновления домена
   * @return dateUpdated
  **/
  @ApiModelProperty(example = "null", required = true, value = "Дата последнего обновления домена")
  public String getDateUpdated() {
    return dateUpdated;
  }

  public void setDateUpdated(String dateUpdated) {
    this.dateUpdated = dateUpdated;
  }

  public InlineResponse2004 recordCreated(String recordCreated) {
    this.recordCreated = recordCreated;
    return this;
  }

   /**
   * Дата создания записи
   * @return recordCreated
  **/
  @ApiModelProperty(example = "null", required = true, value = "Дата создания записи")
  public String getRecordCreated() {
    return recordCreated;
  }

  public void setRecordCreated(String recordCreated) {
    this.recordCreated = recordCreated;
  }

  public InlineResponse2004 subjectContract(String subjectContract) {
    this.subjectContract = subjectContract;
    return this;
  }

   /**
   * 
   * @return subjectContract
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getSubjectContract() {
    return subjectContract;
  }

  public void setSubjectContract(String subjectContract) {
    this.subjectContract = subjectContract;
  }

  public InlineResponse2004 endDate(String endDate) {
    this.endDate = endDate;
    return this;
  }

   /**
   * 
   * @return endDate
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getEndDate() {
    return endDate;
  }

  public void setEndDate(String endDate) {
    this.endDate = endDate;
  }

  public InlineResponse2004 payedTill(String payedTill) {
    this.payedTill = payedTill;
    return this;
  }

   /**
   * Дата, до которой оплачен домен
   * @return payedTill
  **/
  @ApiModelProperty(example = "null", required = true, value = "Дата, до которой оплачен домен")
  public String getPayedTill() {
    return payedTill;
  }

  public void setPayedTill(String payedTill) {
    this.payedTill = payedTill;
  }

  public InlineResponse2004 objectState(String objectState) {
    this.objectState = objectState;
    return this;
  }

   /**
   * 
   * @return objectState
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getObjectState() {
    return objectState;
  }

  public void setObjectState(String objectState) {
    this.objectState = objectState;
  }

  public InlineResponse2004 domainAddr(String domainAddr) {
    this.domainAddr = domainAddr;
    return this;
  }

   /**
   * Имя домена
   * @return domainAddr
  **/
  @ApiModelProperty(example = "null", required = true, value = "Имя домена")
  public String getDomainAddr() {
    return domainAddr;
  }

  public void setDomainAddr(String domainAddr) {
    this.domainAddr = domainAddr;
  }

  public InlineResponse2004 nservers(String nservers) {
    this.nservers = nservers;
    return this;
  }

   /**
   * Сервера имён домена
   * @return nservers
  **/
  @ApiModelProperty(example = "null", required = true, value = "Сервера имён домена")
  public String getNservers() {
    return nservers;
  }

  public void setNservers(String nservers) {
    this.nservers = nservers;
  }

  public InlineResponse2004 expiresCountdown(Integer expiresCountdown) {
    this.expiresCountdown = expiresCountdown;
    return this;
  }

   /**
   * Количество дней до окончания срока действия домена
   * @return expiresCountdown
  **/
  @ApiModelProperty(example = "null", required = true, value = "Количество дней до окончания срока действия домена")
  public Integer getExpiresCountdown() {
    return expiresCountdown;
  }

  public void setExpiresCountdown(Integer expiresCountdown) {
    this.expiresCountdown = expiresCountdown;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse2004 inlineResponse2004 = (InlineResponse2004) o;
    return Objects.equals(this.dateUpdated, inlineResponse2004.dateUpdated) &&
        Objects.equals(this.recordCreated, inlineResponse2004.recordCreated) &&
        Objects.equals(this.subjectContract, inlineResponse2004.subjectContract) &&
        Objects.equals(this.endDate, inlineResponse2004.endDate) &&
        Objects.equals(this.payedTill, inlineResponse2004.payedTill) &&
        Objects.equals(this.objectState, inlineResponse2004.objectState) &&
        Objects.equals(this.domainAddr, inlineResponse2004.domainAddr) &&
        Objects.equals(this.nservers, inlineResponse2004.nservers) &&
        Objects.equals(this.expiresCountdown, inlineResponse2004.expiresCountdown);
  }

  @Override
  public int hashCode() {
    return Objects.hash(dateUpdated, recordCreated, subjectContract, endDate, payedTill, objectState, domainAddr, nservers, expiresCountdown);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2004 {\n");
    
    sb.append("    dateUpdated: ").append(toIndentedString(dateUpdated)).append("\n");
    sb.append("    recordCreated: ").append(toIndentedString(recordCreated)).append("\n");
    sb.append("    subjectContract: ").append(toIndentedString(subjectContract)).append("\n");
    sb.append("    endDate: ").append(toIndentedString(endDate)).append("\n");
    sb.append("    payedTill: ").append(toIndentedString(payedTill)).append("\n");
    sb.append("    objectState: ").append(toIndentedString(objectState)).append("\n");
    sb.append("    domainAddr: ").append(toIndentedString(domainAddr)).append("\n");
    sb.append("    nservers: ").append(toIndentedString(nservers)).append("\n");
    sb.append("    expiresCountdown: ").append(toIndentedString(expiresCountdown)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

