/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package io.swagger.client.model;

import java.util.Objects;
import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * InlineResponse2006
 */
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaClientCodegen", date = "2016-11-03T11:50:36.776+04:00")
public class InlineResponse2006   {
  @SerializedName("id")
  private Integer id = null;

  @SerializedName("status")
  private Integer status = null;

  @SerializedName("online")
  private Boolean online = null;

  @SerializedName("mail")
  private String mail = null;

  @SerializedName("mercury_user")
  private String mercuryUser = null;

  @SerializedName("mercury_pwd")
  private String mercuryPwd = null;

  @SerializedName("size_amount")
  private Integer sizeAmount = null;

  @SerializedName("size_file_count")
  private Integer sizeFileCount = null;

  @SerializedName("archived_count")
  private Integer archivedCount = null;

  @SerializedName("server_pop3")
  private String serverPop3 = null;

  @SerializedName("server_smtp")
  private String serverSmtp = null;

  @SerializedName("server_webmail")
  private String serverWebmail = null;

  @SerializedName("server_imap")
  private String serverImap = null;

  @SerializedName("wm1")
  private String wm1 = null;

  @SerializedName("wm2")
  private String wm2 = null;

  public InlineResponse2006 id(Integer id) {
    this.id = id;
    return this;
  }

   /**
   * идентификатор ящика
   * @return id
  **/
  @ApiModelProperty(example = "null", required = true, value = "идентификатор ящика")
  public Integer getId() {
    return id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  public InlineResponse2006 status(Integer status) {
    this.status = status;
    return this;
  }

   /**
   * 
   * @return status
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public Integer getStatus() {
    return status;
  }

  public void setStatus(Integer status) {
    this.status = status;
  }

  public InlineResponse2006 online(Boolean online) {
    this.online = online;
    return this;
  }

   /**
   * ящик работает, если true
   * @return online
  **/
  @ApiModelProperty(example = "null", required = true, value = "ящик работает, если true")
  public Boolean getOnline() {
    return online;
  }

  public void setOnline(Boolean online) {
    this.online = online;
  }

  public InlineResponse2006 mail(String mail) {
    this.mail = mail;
    return this;
  }

   /**
   * полный адрес ящика
   * @return mail
  **/
  @ApiModelProperty(example = "null", required = true, value = "полный адрес ящика")
  public String getMail() {
    return mail;
  }

  public void setMail(String mail) {
    this.mail = mail;
  }

  public InlineResponse2006 mercuryUser(String mercuryUser) {
    this.mercuryUser = mercuryUser;
    return this;
  }

   /**
   * имя пользователя для входа в Mercury
   * @return mercuryUser
  **/
  @ApiModelProperty(example = "null", required = true, value = "имя пользователя для входа в Mercury")
  public String getMercuryUser() {
    return mercuryUser;
  }

  public void setMercuryUser(String mercuryUser) {
    this.mercuryUser = mercuryUser;
  }

  public InlineResponse2006 mercuryPwd(String mercuryPwd) {
    this.mercuryPwd = mercuryPwd;
    return this;
  }

   /**
   * пароль для входа в Mercury
   * @return mercuryPwd
  **/
  @ApiModelProperty(example = "null", required = true, value = "пароль для входа в Mercury")
  public String getMercuryPwd() {
    return mercuryPwd;
  }

  public void setMercuryPwd(String mercuryPwd) {
    this.mercuryPwd = mercuryPwd;
  }

  public InlineResponse2006 sizeAmount(Integer sizeAmount) {
    this.sizeAmount = sizeAmount;
    return this;
  }

   /**
   * текущий размер ящика
   * @return sizeAmount
  **/
  @ApiModelProperty(example = "null", required = true, value = "текущий размер ящика")
  public Integer getSizeAmount() {
    return sizeAmount;
  }

  public void setSizeAmount(Integer sizeAmount) {
    this.sizeAmount = sizeAmount;
  }

  public InlineResponse2006 sizeFileCount(Integer sizeFileCount) {
    this.sizeFileCount = sizeFileCount;
    return this;
  }

   /**
   * количество файлов, занятых ящиком
   * @return sizeFileCount
  **/
  @ApiModelProperty(example = "null", required = true, value = "количество файлов, занятых ящиком")
  public Integer getSizeFileCount() {
    return sizeFileCount;
  }

  public void setSizeFileCount(Integer sizeFileCount) {
    this.sizeFileCount = sizeFileCount;
  }

  public InlineResponse2006 archivedCount(Integer archivedCount) {
    this.archivedCount = archivedCount;
    return this;
  }

   /**
   * 
   * @return archivedCount
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public Integer getArchivedCount() {
    return archivedCount;
  }

  public void setArchivedCount(Integer archivedCount) {
    this.archivedCount = archivedCount;
  }

  public InlineResponse2006 serverPop3(String serverPop3) {
    this.serverPop3 = serverPop3;
    return this;
  }

   /**
   * адрес сервера для доступа к ящику по POP3
   * @return serverPop3
  **/
  @ApiModelProperty(example = "null", required = true, value = "адрес сервера для доступа к ящику по POP3")
  public String getServerPop3() {
    return serverPop3;
  }

  public void setServerPop3(String serverPop3) {
    this.serverPop3 = serverPop3;
  }

  public InlineResponse2006 serverSmtp(String serverSmtp) {
    this.serverSmtp = serverSmtp;
    return this;
  }

   /**
   * адрес сервера для доступа к ящику по SMTP
   * @return serverSmtp
  **/
  @ApiModelProperty(example = "null", required = true, value = "адрес сервера для доступа к ящику по SMTP")
  public String getServerSmtp() {
    return serverSmtp;
  }

  public void setServerSmtp(String serverSmtp) {
    this.serverSmtp = serverSmtp;
  }

  public InlineResponse2006 serverWebmail(String serverWebmail) {
    this.serverWebmail = serverWebmail;
    return this;
  }

   /**
   * адрес сервера Webmail для входа в ящик через браузер
   * @return serverWebmail
  **/
  @ApiModelProperty(example = "null", required = true, value = "адрес сервера Webmail для входа в ящик через браузер")
  public String getServerWebmail() {
    return serverWebmail;
  }

  public void setServerWebmail(String serverWebmail) {
    this.serverWebmail = serverWebmail;
  }

  public InlineResponse2006 serverImap(String serverImap) {
    this.serverImap = serverImap;
    return this;
  }

   /**
   * адрес сервера для доступа к ящику по IMAP
   * @return serverImap
  **/
  @ApiModelProperty(example = "null", required = true, value = "адрес сервера для доступа к ящику по IMAP")
  public String getServerImap() {
    return serverImap;
  }

  public void setServerImap(String serverImap) {
    this.serverImap = serverImap;
  }

  public InlineResponse2006 wm1(String wm1) {
    this.wm1 = wm1;
    return this;
  }

   /**
   * 
   * @return wm1
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getWm1() {
    return wm1;
  }

  public void setWm1(String wm1) {
    this.wm1 = wm1;
  }

  public InlineResponse2006 wm2(String wm2) {
    this.wm2 = wm2;
    return this;
  }

   /**
   * 
   * @return wm2
  **/
  @ApiModelProperty(example = "null", required = true, value = "")
  public String getWm2() {
    return wm2;
  }

  public void setWm2(String wm2) {
    this.wm2 = wm2;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse2006 inlineResponse2006 = (InlineResponse2006) o;
    return Objects.equals(this.id, inlineResponse2006.id) &&
        Objects.equals(this.status, inlineResponse2006.status) &&
        Objects.equals(this.online, inlineResponse2006.online) &&
        Objects.equals(this.mail, inlineResponse2006.mail) &&
        Objects.equals(this.mercuryUser, inlineResponse2006.mercuryUser) &&
        Objects.equals(this.mercuryPwd, inlineResponse2006.mercuryPwd) &&
        Objects.equals(this.sizeAmount, inlineResponse2006.sizeAmount) &&
        Objects.equals(this.sizeFileCount, inlineResponse2006.sizeFileCount) &&
        Objects.equals(this.archivedCount, inlineResponse2006.archivedCount) &&
        Objects.equals(this.serverPop3, inlineResponse2006.serverPop3) &&
        Objects.equals(this.serverSmtp, inlineResponse2006.serverSmtp) &&
        Objects.equals(this.serverWebmail, inlineResponse2006.serverWebmail) &&
        Objects.equals(this.serverImap, inlineResponse2006.serverImap) &&
        Objects.equals(this.wm1, inlineResponse2006.wm1) &&
        Objects.equals(this.wm2, inlineResponse2006.wm2);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, status, online, mail, mercuryUser, mercuryPwd, sizeAmount, sizeFileCount, archivedCount, serverPop3, serverSmtp, serverWebmail, serverImap, wm1, wm2);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2006 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    online: ").append(toIndentedString(online)).append("\n");
    sb.append("    mail: ").append(toIndentedString(mail)).append("\n");
    sb.append("    mercuryUser: ").append(toIndentedString(mercuryUser)).append("\n");
    sb.append("    mercuryPwd: ").append(toIndentedString(mercuryPwd)).append("\n");
    sb.append("    sizeAmount: ").append(toIndentedString(sizeAmount)).append("\n");
    sb.append("    sizeFileCount: ").append(toIndentedString(sizeFileCount)).append("\n");
    sb.append("    archivedCount: ").append(toIndentedString(archivedCount)).append("\n");
    sb.append("    serverPop3: ").append(toIndentedString(serverPop3)).append("\n");
    sb.append("    serverSmtp: ").append(toIndentedString(serverSmtp)).append("\n");
    sb.append("    serverWebmail: ").append(toIndentedString(serverWebmail)).append("\n");
    sb.append("    serverImap: ").append(toIndentedString(serverImap)).append("\n");
    sb.append("    wm1: ").append(toIndentedString(wm1)).append("\n");
    sb.append("    wm2: ").append(toIndentedString(wm2)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

