/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package io.swagger.client.model;

import java.util.Objects;
import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * InlineResponse2008
 */
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaClientCodegen", date = "2016-11-03T11:50:36.776+04:00")
public class InlineResponse2008   {
  @SerializedName("id")
  private Integer id = null;

  @SerializedName("online")
  private Boolean online = null;

  @SerializedName("ftp_id")
  private Integer ftpId = null;

  @SerializedName("dns_id")
  private Integer dnsId = null;

  @SerializedName("size_amount")
  private Integer sizeAmount = null;

  @SerializedName("size_file_count")
  private Integer sizeFileCount = null;

  @SerializedName("size_file_count_limit")
  private Integer sizeFileCountLimit = null;

  public InlineResponse2008 id(Integer id) {
    this.id = id;
    return this;
  }

   /**
   * идентификатор сайта
   * @return id
  **/
  @ApiModelProperty(example = "null", required = true, value = "идентификатор сайта")
  public Integer getId() {
    return id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  public InlineResponse2008 online(Boolean online) {
    this.online = online;
    return this;
  }

   /**
   * сайт работает нормально если true
   * @return online
  **/
  @ApiModelProperty(example = "null", required = true, value = "сайт работает нормально если true")
  public Boolean getOnline() {
    return online;
  }

  public void setOnline(Boolean online) {
    this.online = online;
  }

  public InlineResponse2008 ftpId(Integer ftpId) {
    this.ftpId = ftpId;
    return this;
  }

   /**
   * идентификатор связанного аккаунта FTP
   * @return ftpId
  **/
  @ApiModelProperty(example = "null", required = true, value = "идентификатор связанного аккаунта FTP")
  public Integer getFtpId() {
    return ftpId;
  }

  public void setFtpId(Integer ftpId) {
    this.ftpId = ftpId;
  }

  public InlineResponse2008 dnsId(Integer dnsId) {
    this.dnsId = dnsId;
    return this;
  }

   /**
   * идентификатор связанной записи DNS
   * @return dnsId
  **/
  @ApiModelProperty(example = "null", required = true, value = "идентификатор связанной записи DNS")
  public Integer getDnsId() {
    return dnsId;
  }

  public void setDnsId(Integer dnsId) {
    this.dnsId = dnsId;
  }

  public InlineResponse2008 sizeAmount(Integer sizeAmount) {
    this.sizeAmount = sizeAmount;
    return this;
  }

   /**
   * размер занятого места
   * @return sizeAmount
  **/
  @ApiModelProperty(example = "null", required = true, value = "размер занятого места")
  public Integer getSizeAmount() {
    return sizeAmount;
  }

  public void setSizeAmount(Integer sizeAmount) {
    this.sizeAmount = sizeAmount;
  }

  public InlineResponse2008 sizeFileCount(Integer sizeFileCount) {
    this.sizeFileCount = sizeFileCount;
    return this;
  }

   /**
   * количество файлов
   * @return sizeFileCount
  **/
  @ApiModelProperty(example = "null", required = true, value = "количество файлов")
  public Integer getSizeFileCount() {
    return sizeFileCount;
  }

  public void setSizeFileCount(Integer sizeFileCount) {
    this.sizeFileCount = sizeFileCount;
  }

  public InlineResponse2008 sizeFileCountLimit(Integer sizeFileCountLimit) {
    this.sizeFileCountLimit = sizeFileCountLimit;
    return this;
  }

   /**
   * ограничение на количество файлов
   * @return sizeFileCountLimit
  **/
  @ApiModelProperty(example = "null", required = true, value = "ограничение на количество файлов")
  public Integer getSizeFileCountLimit() {
    return sizeFileCountLimit;
  }

  public void setSizeFileCountLimit(Integer sizeFileCountLimit) {
    this.sizeFileCountLimit = sizeFileCountLimit;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse2008 inlineResponse2008 = (InlineResponse2008) o;
    return Objects.equals(this.id, inlineResponse2008.id) &&
        Objects.equals(this.online, inlineResponse2008.online) &&
        Objects.equals(this.ftpId, inlineResponse2008.ftpId) &&
        Objects.equals(this.dnsId, inlineResponse2008.dnsId) &&
        Objects.equals(this.sizeAmount, inlineResponse2008.sizeAmount) &&
        Objects.equals(this.sizeFileCount, inlineResponse2008.sizeFileCount) &&
        Objects.equals(this.sizeFileCountLimit, inlineResponse2008.sizeFileCountLimit);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, online, ftpId, dnsId, sizeAmount, sizeFileCount, sizeFileCountLimit);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2008 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    online: ").append(toIndentedString(online)).append("\n");
    sb.append("    ftpId: ").append(toIndentedString(ftpId)).append("\n");
    sb.append("    dnsId: ").append(toIndentedString(dnsId)).append("\n");
    sb.append("    sizeAmount: ").append(toIndentedString(sizeAmount)).append("\n");
    sb.append("    sizeFileCount: ").append(toIndentedString(sizeFileCount)).append("\n");
    sb.append("    sizeFileCountLimit: ").append(toIndentedString(sizeFileCountLimit)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

