/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package io.swagger.client.model;

import java.util.Objects;
import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * _
 */
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaClientCodegen", date = "2016-11-03T11:50:36.776+04:00")
public class _   {
  @SerializedName("mail")
  private String mail = null;

  @SerializedName("website")
  private String website = null;

  @SerializedName("mysql")
  private Boolean mysql = null;

  @SerializedName("size")
  private String size = null;

  @SerializedName("mssql")
  private Boolean mssql = null;

  @SerializedName("dynamic_content")
  private Boolean dynamicContent = null;

  @SerializedName("php_exec")
  private Boolean phpExec = null;

  @SerializedName("ftp2")
  private String ftp2 = null;

  public _ mail(String mail) {
    this.mail = mail;
    return this;
  }

   /**
   * Ограничение на количество почтовых ящиков. '-' означает отсутствие лимита.
   * @return mail
  **/
  @ApiModelProperty(example = "null", required = true, value = "Ограничение на количество почтовых ящиков. '-' означает отсутствие лимита.")
  public String getMail() {
    return mail;
  }

  public void setMail(String mail) {
    this.mail = mail;
  }

  public _ website(String website) {
    this.website = website;
    return this;
  }

   /**
   * Ограничение на количество сайтов. '-' означает отсутствие лимита.
   * @return website
  **/
  @ApiModelProperty(example = "null", required = true, value = "Ограничение на количество сайтов. '-' означает отсутствие лимита.")
  public String getWebsite() {
    return website;
  }

  public void setWebsite(String website) {
    this.website = website;
  }

  public _ mysql(Boolean mysql) {
    this.mysql = mysql;
    return this;
  }

   /**
   * MySQL разрешен, если true.
   * @return mysql
  **/
  @ApiModelProperty(example = "null", required = true, value = "MySQL разрешен, если true.")
  public Boolean getMysql() {
    return mysql;
  }

  public void setMysql(Boolean mysql) {
    this.mysql = mysql;
  }

  public _ size(String size) {
    this.size = size;
    return this;
  }

   /**
   * Ограничение на размер дискового пространства. '-' означает отсутствие лимита.
   * @return size
  **/
  @ApiModelProperty(example = "null", required = true, value = "Ограничение на размер дискового пространства. '-' означает отсутствие лимита.")
  public String getSize() {
    return size;
  }

  public void setSize(String size) {
    this.size = size;
  }

  public _ mssql(Boolean mssql) {
    this.mssql = mssql;
    return this;
  }

   /**
   * MSSQL разрешен, если true.
   * @return mssql
  **/
  @ApiModelProperty(example = "null", required = true, value = "MSSQL разрешен, если true.")
  public Boolean getMssql() {
    return mssql;
  }

  public void setMssql(Boolean mssql) {
    this.mssql = mssql;
  }

  public _ dynamicContent(Boolean dynamicContent) {
    this.dynamicContent = dynamicContent;
    return this;
  }

   /**
   * CGI и PHP скрипты разрешены, если true.
   * @return dynamicContent
  **/
  @ApiModelProperty(example = "null", required = true, value = "CGI и PHP скрипты разрешены, если true.")
  public Boolean getDynamicContent() {
    return dynamicContent;
  }

  public void setDynamicContent(Boolean dynamicContent) {
    this.dynamicContent = dynamicContent;
  }

  public _ phpExec(Boolean phpExec) {
    this.phpExec = phpExec;
    return this;
  }

   /**
   * Функция exec() в PHP разрешена, если true.
   * @return phpExec
  **/
  @ApiModelProperty(example = "null", required = true, value = "Функция exec() в PHP разрешена, если true.")
  public Boolean getPhpExec() {
    return phpExec;
  }

  public void setPhpExec(Boolean phpExec) {
    this.phpExec = phpExec;
  }

  public _ ftp2(String ftp2) {
    this.ftp2 = ftp2;
    return this;
  }

   /**
   * Ограничение на количество дополнительных FTP логинов. '-' означает отсутствие лимита.
   * @return ftp2
  **/
  @ApiModelProperty(example = "null", required = true, value = "Ограничение на количество дополнительных FTP логинов. '-' означает отсутствие лимита.")
  public String getFtp2() {
    return ftp2;
  }

  public void setFtp2(String ftp2) {
    this.ftp2 = ftp2;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    _ u = (_) o;
    return Objects.equals(this.mail, u.mail) &&
        Objects.equals(this.website, u.website) &&
        Objects.equals(this.mysql, u.mysql) &&
        Objects.equals(this.size, u.size) &&
        Objects.equals(this.mssql, u.mssql) &&
        Objects.equals(this.dynamicContent, u.dynamicContent) &&
        Objects.equals(this.phpExec, u.phpExec) &&
        Objects.equals(this.ftp2, u.ftp2);
  }

  @Override
  public int hashCode() {
    return Objects.hash(mail, website, mysql, size, mssql, dynamicContent, phpExec, ftp2);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class _ {\n");
    
    sb.append("    mail: ").append(toIndentedString(mail)).append("\n");
    sb.append("    website: ").append(toIndentedString(website)).append("\n");
    sb.append("    mysql: ").append(toIndentedString(mysql)).append("\n");
    sb.append("    size: ").append(toIndentedString(size)).append("\n");
    sb.append("    mssql: ").append(toIndentedString(mssql)).append("\n");
    sb.append("    dynamicContent: ").append(toIndentedString(dynamicContent)).append("\n");
    sb.append("    phpExec: ").append(toIndentedString(phpExec)).append("\n");
    sb.append("    ftp2: ").append(toIndentedString(ftp2)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

