/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package io.swagger.client.api;

import io.swagger.client.ApiException;
import java.math.BigDecimal;
import io.swagger.client.model.InlineResponse200;
import io.swagger.client.model.InlineResponse2001;
import io.swagger.client.model._;
import io.swagger.client.model.InlineResponse2004;
import io.swagger.client.model.InlineResponse2005;
import io.swagger.client.model.InlineResponse2006;
import io.swagger.client.model.InlineResponse20010;
import io.swagger.client.model.InlineResponse20014;
import org.junit.Test;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for DefaultApi
 */
public class DefaultApiTest {

    private final DefaultApi api = new DefaultApi();

    
    /**
     * Аккаунт: баланс
     *
     * Возвращает текущий баланс аккаунта
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void balanceGetTest() throws ApiException {
        String token_ = null;
        // BigDecimal response = api.balanceGet(token_);

        // TODO: test validations
    }
    
    /**
     * Аккаунт: баланс аккаунта лицензий
     *
     * Возвращает текущий баланс аккаунта лицензий
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void balanceLicGetTest() throws ApiException {
        String token_ = null;
        // BigDecimal response = api.balanceLicGet(token_);

        // TODO: test validations
    }
    
    /**
     * Информация по дебету аккаунта
     *
     * Данный запрос позволяет получить информацию по планируемым датам наступления негативного баланса и отключения
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void billingDebtGetTest() throws ApiException {
        String token_ = null;
        // List<InlineResponse200> response = api.billingDebtGet(token_);

        // TODO: test validations
    }
    
    /**
     * Информация об аккаунте
     *
     * Этот запрос позволяет получить информацию об аккаунте, а также базовую статистику использования ресурсов.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void billingInfoGetTest() throws ApiException {
        String token_ = null;
        // List<InlineResponse2001> response = api.billingInfoGet(token_);

        // TODO: test validations
    }
    
    /**
     * Получить ограничения аккаунта
     *
     * 
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void billingLimitsGetTest() throws ApiException {
        String token_ = null;
        // _ response = api.billingLimitsGet(token_);

        // TODO: test validations
    }
    
    /**
     * Информация по продлению доменов
     *
     * 
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void dnsProlongListGetTest() throws ApiException {
        String token_ = null;
        // List<InlineResponse2004> response = api.dnsProlongListGet(token_);

        // TODO: test validations
    }
    
    /**
     * Создание почтового ящика
     *
     * 
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void emailAddGetTest() throws ApiException {
        String token_ = null;
        String addEmail = null;
        // String response = api.emailAddGet(token_, addEmail);

        // TODO: test validations
    }
    
    /**
     * Удаление псевдонимов почтовых ящиков
     *
     * 
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void emailAliasDeleteGetTest() throws ApiException {
        String token_ = null;
        String key_ = null;
        // String response = api.emailAliasDeleteGet(token_, key_);

        // TODO: test validations
    }
    
    /**
     * Получить список псевдонимов почтовых ящиков
     *
     * 
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void emailAliasListGetTest() throws ApiException {
        String token_ = null;
        // List<InlineResponse2005> response = api.emailAliasListGet(token_);

        // TODO: test validations
    }
    
    /**
     * Удаление почтового ящика
     *
     * 
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void emailDeleteGetTest() throws ApiException {
        String token_ = null;
        String key_ = null;
        // String response = api.emailDeleteGet(token_, key_);

        // TODO: test validations
    }
    
    /**
     * Получить список почтовых ящиков
     *
     * 
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void emailListGetTest() throws ApiException {
        String token_ = null;
        // List<InlineResponse2006> response = api.emailListGet(token_);

        // TODO: test validations
    }
    
    /**
     * Идентификатор последнего уведомления в аудите
     *
     * 
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void updatesLastGetTest() throws ApiException {
        String token_ = null;
        // Integer response = api.updatesLastGet(token_);

        // TODO: test validations
    }
    
    /**
     * Список записей аудита
     *
     * 
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void updatesListGetTest() throws ApiException {
        String token_ = null;
        Integer key_ = null;
        // List<InlineResponse20010> response = api.updatesListGet(token_, key_);

        // TODO: test validations
    }
    
    /**
     * Удаление сайта
     *
     * 
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void websiteDeleteGetTest() throws ApiException {
        String token_ = null;
        String key_ = null;
        // String response = api.websiteDeleteGet(token_, key_);

        // TODO: test validations
    }
    
    /**
     * Список сайтов аккаунта
     *
     * 
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void websiteListGetTest() throws ApiException {
        String token_ = null;
        // List<InlineResponse20014> response = api.websiteListGet(token_);

        // TODO: test validations
    }
    
}
