/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package io.swagger.client.api;

import io.swagger.client.ApiException;
import io.swagger.client.model.InlineResponse20011;
import io.swagger.client.model.InlineResponse20012;
import io.swagger.client.model.InlineResponse20013;
import org.junit.Test;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for VDSHyperVOpenVZApi
 */
public class VDSHyperVOpenVZApiTest {

    private final VDSHyperVOpenVZApi api = new VDSHyperVOpenVZApi();

    
    /**
     * Изменение параметров VDS
     *
     * Изменение параметров уже существующего VDS
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void vdsCreateGetTest() throws ApiException {
        String token_ = null;
        String type = null;
        Integer crHvmem = null;
        Integer crHvdsk = null;
        Integer crHvcpu = null;
        String template = null;
        String forceMemo = null;
        String hv1gbPanelVersion = null;
        Boolean panelInstall = null;
        Boolean crSsd1 = null;
        Boolean crHvAllSystem = null;
        // String response = api.vdsCreateGet(token_, type, crHvmem, crHvdsk, crHvcpu, template, forceMemo, hv1gbPanelVersion, panelInstall, crSsd1, crHvAllSystem);

        // TODO: test validations
    }
    
    /**
     * Удаление VDS
     *
     * Предоставляет функционал для удаления VDS
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void vdsDeleteGetTest() throws ApiException {
        String token_ = null;
        Integer key_ = null;
        Boolean forceCritical = null;
        // String response = api.vdsDeleteGet(token_, key_, forceCritical);

        // TODO: test validations
    }
    
    /**
     * Добавление IP на VDS
     *
     * Этот вызов позволяет добавить ещё один IP адрес на указанный VDS
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void vdsIpAddGetTest() throws ApiException {
        String token_ = null;
        Integer key_ = null;
        // String response = api.vdsIpAddGet(token_, key_);

        // TODO: test validations
    }
    
    /**
     * Удаление IP с VDS
     *
     * Этот вызов позволяет отвязать IP адрес от VDS
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void vdsIpDeleteGetTest() throws ApiException {
        String token_ = null;
        Integer key_ = null;
        String delIp = null;
        // String response = api.vdsIpDeleteGet(token_, key_, delIp);

        // TODO: test validations
    }
    
    /**
     * Список IP-адресов виртуальных серверов
     *
     * Список IP-адресов виртуальных серверов
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void vdsIpListGetTest() throws ApiException {
        String token_ = null;
        Integer key_ = null;
        // List<InlineResponse20011> response = api.vdsIpListGet(token_, key_);

        // TODO: test validations
    }
    
    /**
     * Список виртуальных серверов
     *
     * Позволяет получить список виртуальных серверов
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void vdsListGetTest() throws ApiException {
        String token_ = null;
        Integer key_ = null;
        // List<InlineResponse20012> response = api.vdsListGet(token_, key_);

        // TODO: test validations
    }
    
    /**
     * Перезагрузка VDS
     *
     * Предоставляет функционал для перезагрузки VDS
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void vdsRebootGetTest() throws ApiException {
        String token_ = null;
        Integer key_ = null;
        // String response = api.vdsRebootGet(token_, key_);

        // TODO: test validations
    }
    
    /**
     * Список шаблонов виртуальных серверов
     *
     * Позволяет получить список шаблонов виртуальных серверов
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void vdsTemplatesListGetTest() throws ApiException {
        String token_ = null;
        // List<InlineResponse20013> response = api.vdsTemplatesListGet(token_);

        // TODO: test validations
    }
    
    /**
     * Создание VDS
     *
     * Создание новых VDS с произвольными характеристиками
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void vdsUpdateGetTest() throws ApiException {
        String token_ = null;
        Integer key_ = null;
        Integer crHvmem = null;
        Integer crHvdsk = null;
        Integer crHvcpu = null;
        // String response = api.vdsUpdateGet(token_, key_, crHvmem, crHvdsk, crHvcpu);

        // TODO: test validations
    }
    
}
